!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-15 18:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_4806) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4856) = coupl(nGC_11)**2d0*coupl(nGC_148)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4807) = cima*(-cMB*coupl(nGC_18)*coupl(nGC_27) - cMC*coupl(nGC_62&
                      )*coupl(nGC_80) - cMD*coupl(nGC_86)*coupl(nGC_95) - cMS* &
                      coupl(nGC_17)*coupl(nGC_26) - cMT*coupl(nGC_65)*coupl(   &
                      nGC_83) - cMU*coupl(nGC_59)*coupl(nGC_77))/(8d0*pi**2d0)
    coupl(nGC_4851) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4999) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)*coupl( &
                      nGC_62) - coupl(nGC_109)*coupl(nGC_60) - coupl(nGC_42)*  &
                      coupl(nGC_67) - coupl(nGC_43)*coupl(nGC_59) - coupl(     &
                      nGC_43)*coupl(nGC_63))/(96d0*pi**2d0*Nc)
    coupl(nGC_4965) = coupl(nGC_11)*sq2*(-coupl(nGC_17)**2d0 - coupl(nGC_19)** &
                      2d0 - coupl(nGC_60)**2d0 - coupl(nGC_63)**2d0 - coupl(   &
                      nGC_66)**2d0 - coupl(nGC_87)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4967) = coupl(nGC_11)*sq2*(-coupl(nGC_26)**2d0 - coupl(nGC_28)** &
                      2d0 - coupl(nGC_78)**2d0 - coupl(nGC_81)**2d0 - coupl(   &
                      nGC_84)**2d0 - coupl(nGC_96)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4961) = coupl(nGC_11)*sq2*(coupl(nGC_17)**2d0 + coupl(nGC_18)**  &
                      2d0 + coupl(nGC_59)**2d0 + coupl(nGC_62)**2d0 + coupl(   &
                      nGC_65)**2d0 + coupl(nGC_86)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4963) = coupl(nGC_11)*sq2*(coupl(nGC_26)**2d0 + coupl(nGC_27)**  &
                      2d0 + coupl(nGC_77)**2d0 + coupl(nGC_80)**2d0 + coupl(   &
                      nGC_83)**2d0 + coupl(nGC_95)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4847) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(nGC_11 &
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4814) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_5150) = -cima*dytau_QED1
    coupl(nGC_4968) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10   &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_5427) = coupl(nGC_5426)*dsw_
    coupl(nGC_5108) = coupl(nGC_5107)*dydo_QED1
    coupl(nGC_4808) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0* &
                      pi**2d0*Nc)
    coupl(nGC_4809) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_108)**2d0 - coupl(  &
                      nGC_114)**2d0 - coupl(nGC_43)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4829) = cima*(-coupl(nGC_17)**2d0 - coupl(nGC_19)**2d0 - coupl(  &
                      nGC_60)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_66)**2d0 - &
                      coupl(nGC_87)**2d0)/(16d0*pi**2d0)
    coupl(nGC_8638) = coupl(nGC_123)*dZWMinus/2d0 + coupl(nGC_123)*dZZ/2d0 +   &
                      coupl(nGC_5217)
    coupl(nGC_5062) = coupl(nGC_5060)*dMW2 + coupl(nGC_5061)*dsw_
    coupl(nGC_5012) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(64d0*pi**2d0)
    coupl(nGC_8241) = coupl(nGC_5139) + coupl(nGC_8239)
    coupl(nGC_5135) = coupl(nGC_5134)*dyb_QED1
    coupl(nGC_5010) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_101)*coupl(  &
                      nGC_111) + coupl(nGC_102)*coupl(nGC_111) + coupl(nGC_103 &
                      )*coupl(nGC_111) + coupl(nGC_110)*coupl(nGC_95) + coupl( &
                      nGC_110)*coupl(nGC_96) + coupl(nGC_110)*coupl(nGC_97) +  &
                      coupl(nGC_114)*coupl(nGC_86) + coupl(nGC_114)*coupl(     &
                      nGC_87) + coupl(nGC_114)*coupl(nGC_88) + coupl(nGC_115)* &
                      coupl(nGC_92) + coupl(nGC_115)*coupl(nGC_93) + coupl(    &
                      nGC_115)*coupl(nGC_94))/(96d0*pi**2d0)
    coupl(nGC_8221) = coupl(nGC_147)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_7548) = coupl(nGC_148)*dZcL_QCD2/2d0 + coupl(nGC_148)*dZsR_QCD2/ &
                      2d0 + coupl(nGC_5114)
    coupl(nGC_7549) = coupl(nGC_4)*dZWMinus/2d0
    coupl(nGC_5441) = coupl(nGC_5439)*dcw_ + coupl(nGC_5440)*dsw_
    coupl(nGC_5447) = coupl(nGC_5445)*dcw_ + coupl(nGC_5446)*dsw_
    coupl(nGC_7901) = coupl(nGC_5264) + coupl(nGC_83)*dZWpMinus/2d0
    coupl(nGC_7862) = coupl(nGC_5250) + coupl(nGC_79)*dZWpMinus/2d0
    coupl(nGC_8099) = coupl(nGC_126)*dZH/2d0 + coupl(nGC_126)*dZWMinus + coupl(&
                      nGC_5198)
    coupl(nGC_8319) = coupl(nGC_138)*dZH/2d0 + coupl(nGC_5099)
    coupl(nGC_5001) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_131)**2d0 +  &
                      coupl(nGC_132)**2d0 + coupl(nGC_138)**2d0 + coupl(nGC_140&
                      )**2d0 + coupl(nGC_150)**2d0 + coupl(nGC_152)**2d0 +     &
                      coupl(nGC_155)**2d0 + coupl(nGC_160)**2d0)/(16d0*pi**2d0*&
                      Nc)
    coupl(nGC_5000) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_131)**2d0 - &
                      coupl(nGC_132)**2d0 - coupl(nGC_138)**2d0 - coupl(nGC_140&
                      )**2d0 - coupl(nGC_150)**2d0 - coupl(nGC_152)**2d0 -     &
                      coupl(nGC_155)**2d0 - coupl(nGC_160)**2d0)/(16d0*pi**2d0)
    coupl(nGC_5003) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -   &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_5002) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +    &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0)
    coupl(nGC_5005) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(   &
                      nGC_86) - coupl(nGC_1)*coupl(nGC_87) - coupl(nGC_1)*coupl&
                      (nGC_88) - coupl(nGC_1)*coupl(nGC_95) - coupl(nGC_1)*    &
                      coupl(nGC_96) - coupl(nGC_1)*coupl(nGC_97) - coupl(      &
                      nGC_101)*coupl(nGC_2) - coupl(nGC_102)*coupl(nGC_2) -    &
                      coupl(nGC_103)*coupl(nGC_2) - coupl(nGC_2)*coupl(nGC_92  &
                      ) - coupl(nGC_2)*coupl(nGC_93) - coupl(nGC_2)*coupl(     &
                      nGC_94))/(96d0*pi**2d0*Nc)
    coupl(nGC_5168) = coupl(nGC_5167)*dyc_QED1
    coupl(nGC_5007) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(   &
                      nGC_110) - coupl(nGC_1)*coupl(nGC_114) - coupl(nGC_111)* &
                      coupl(nGC_2) - coupl(nGC_115)*coupl(nGC_2))/(32d0*pi**2d0&
                      *Nc)
    coupl(nGC_5006) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(    &
                      nGC_110) + coupl(nGC_1)*coupl(nGC_114) + coupl(nGC_111)* &
                      coupl(nGC_2) + coupl(nGC_115)*coupl(nGC_2))/(32d0*pi**2d0&
                      )
    coupl(nGC_8704) = coupl(nGC_5)*(dZA + dZWMinus)
    coupl(nGC_5169) = coupl(nGC_5167)*dyc_QED1_QCD2
    coupl(nGC_8958) = coupl(nGC_4)*dZtauMinusR
    coupl(nGC_8486) = coupl(nGC_66)*(dZsL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_8957) = coupl(nGC_4)*dZtauMinusL
    coupl(nGC_8952) = coupl(nGC_5460) + coupl(nGC_MZ)*dZZ
    coupl(nGC_5346) = coupl(nGC_5344)*dcw_ + coupl(nGC_5345)*dsw_
    coupl(nGC_5228) = coupl(nGC_5226)*dcw_ + coupl(nGC_5227)*dsw_
    coupl(nGC_5340) = coupl(nGC_5338)*dcw_ + coupl(nGC_5339)*dsw_
    coupl(nGC_5225) = coupl(nGC_5223)*dcw_ + coupl(nGC_5224)*dsw_
    coupl(nGC_8007) = coupl(nGC_5276) + coupl(nGC_68)*dZWpMinus/2d0 + coupl(   &
                      nGC_68)*dZeMinusR/2d0 + coupl(nGC_68)*dZnu_eR/2d0
    coupl(nGC_9571) = coupl(nGC_5346) + coupl(nGC_97)*dZZp/2d0
    coupl(nGC_8008) = coupl(nGC_50)*dZWpMinus/2d0 + coupl(nGC_50)*dZeMinusL/2d0&
                       + coupl(nGC_50)*dZnu_eL/2d0 + coupl(nGC_5278)
    coupl(nGC_8796) = coupl(nGC_MI)*dZnu_tauR
    coupl(nGC_8224) = coupl(nGC_147)*dZH/2d0 + coupl(nGC_5149)
    coupl(nGC_11025) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_8795) = coupl(nGC_MI)*dZnu_tauL
    coupl(nGC_8225) = coupl(nGC_8221) + coupl(nGC_8224)
    coupl(nGC_10175) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_7990) = coupl(nGC_114)*dZZ/2d0 + coupl(nGC_5441)
    coupl(nGC_7646) = coupl(nGC_141)*dZdR_QCD2/2d0 + coupl(nGC_141)*dZsL_QCD2/ &
                      2d0 + coupl(nGC_5123)
    coupl(nGC_4842) = cima*(-coupl(nGC_24)**2d0 - coupl(nGC_25)**2d0 - coupl(  &
                      nGC_65)**2d0 - coupl(nGC_66)**2d0 - coupl(nGC_67)**2d0 - &
                      coupl(nGC_94)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4843) = cima*(-coupl(nGC_103)**2d0 - coupl(nGC_33)**2d0 - coupl( &
                      nGC_34)**2d0 - coupl(nGC_83)**2d0 - coupl(nGC_84)**2d0 - &
                      coupl(nGC_85)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4840) = cima*(-cMB*coupl(nGC_67)*coupl(nGC_85) - cMC*coupl(nGC_25&
                      )*coupl(nGC_34) - cMD*coupl(nGC_65)*coupl(nGC_83) - cMS* &
                      coupl(nGC_66)*coupl(nGC_84) - cMT*coupl(nGC_103)*coupl(  &
                      nGC_94) - cMU*coupl(nGC_24)*coupl(nGC_33))/(8d0*pi**2d0)
    coupl(nGC_4841) = cima*(-coupl(nGC_115)**2d0 - coupl(nGC_2)**2d0 - coupl(  &
                      nGC_42)**2d0)/(16d0*pi**2d0)
    coupl(nGC_9375) = coupl(nGC_161)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_7767) = coupl(nGC_42)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_5331) = coupl(nGC_5329)*dcw_ + coupl(nGC_5330)*dsw_
    coupl(nGC_9665) = coupl(nGC_MI)*dZeMinusL
    coupl(nGC_8172) = coupl(nGC_7716) + coupl(nGC_8170)
    coupl(nGC_8173) = coupl(nGC_7716) + coupl(nGC_8169)
    coupl(nGC_5406) = coupl(nGC_5404)*dcw_ + coupl(nGC_5405)*dsw_
    coupl(nGC_5400) = coupl(nGC_5398)*dcw_ + coupl(nGC_5399)*dsw_
    coupl(nGC_5403) = coupl(nGC_5401)*dcw_ + coupl(nGC_5402)*dsw_
    coupl(nGC_5409) = coupl(nGC_5407)*dcw_ + coupl(nGC_5408)*dsw_
    coupl(nGC_4837) = cima*(-coupl(nGC_101)**2d0 - coupl(nGC_32)**2d0 - coupl( &
                      nGC_33)**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_78)**2d0 - &
                      coupl(nGC_79)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4835) = cima*(-coupl(nGC_109)**2d0 - coupl(nGC_115)**2d0 - coupl(&
                      nGC_2)**2d0 - coupl(nGC_43)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4834) = cima*(-cMB*coupl(nGC_61)*coupl(nGC_79) - cMC*coupl(nGC_23&
                      )*coupl(nGC_32) - cMD*coupl(nGC_59)*coupl(nGC_77) - cMS* &
                      coupl(nGC_60)*coupl(nGC_78) - cMT*coupl(nGC_24)*coupl(   &
                      nGC_33) - cMU*coupl(nGC_101)*coupl(nGC_92))/(8d0*pi**2d0)
    coupl(nGC_4832) = cMU*cima*(-coupl(nGC_111)*coupl(nGC_115) - coupl(nGC_2)**&
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_4938) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(       &
                      nGC_1017)*coupl(nGC_130) - 4d0*coupl(nGC_114)**2d0 -     &
                      coupl(nGC_131)**2d0 - coupl(nGC_154)**2d0 - 4d0*coupl(   &
                      nGC_42)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4939) = coupl(nGC_11)*sq2*(-coupl(nGC_18)**2d0 - coupl(nGC_19)** &
                      2d0 - coupl(nGC_61)**2d0 - coupl(nGC_64)**2d0 - coupl(   &
                      nGC_67)**2d0 - coupl(nGC_88)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4936) = coupl(nGC_11)**2d0*coupl(nGC_92)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4937) = coupl(nGC_101)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9202) = coupl(nGC_11)*dZuL_QCD2
    coupl(nGC_4839) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4931) = coupl(nGC_103)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_7948) = coupl(nGC_60)*(dZsL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_9666) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_5045) = coupl(nGC_5044)*dlam_QED2
    coupl(nGC_5047) = coupl(nGC_5046)*dlam_QED2
    coupl(nGC_5041) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_1215) + 9d0*Nc*coupl(nGC_10)**2d0&
                      *coupl(nGC_12)*sq2**2d0 - 12d0*Nc*coupl(nGC_10)**2d0*    &
                      coupl(nGC_1215)*sq2**2d0 + 18d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(384d0*pi**2d0)
    coupl(nGC_5040) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 24d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_1215) + 3d0*Nc*coupl(nGC_10)**2d0&
                      *coupl(nGC_12)*sq2**2d0 - 39d0*Nc*coupl(nGC_10)**2d0*    &
                      coupl(nGC_1215)*sq2**2d0 + 36d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_5043) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc** &
                      3d0)
    coupl(nGC_5042) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
    coupl(nGC_8357) = coupl(nGC_27)*(dZbR_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_7579) = coupl(nGC_112)*dZZ/2d0 + coupl(nGC_112)*dZtauMinusR +    &
                      coupl(nGC_5447)
    coupl(nGC_7578) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_116)*dZtauMinusL +    &
                      coupl(nGC_5210)
    coupl(nGC_5166) = coupl(nGC_5164)*dyc_QED1_QCD2
    coupl(nGC_8401) = coupl(nGC_MI)*dZZp
    coupl(nGC_5163) = coupl(nGC_5161)*dyup_QED1_QCD2
    coupl(nGC_5160) = coupl(nGC_5158)*dyup_QED1_QCD2
    coupl(nGC_7835) = coupl(nGC_46)*dZA/2d0 + coupl(nGC_46)*dZWMinus/2d0 +     &
                      coupl(nGC_5191)
    coupl(nGC_8855) = coupl(nGC_5298) + coupl(nGC_73)*dZWpMinus/2d0 + coupl(   &
                      nGC_73)*dZnu_muR/2d0 + coupl(nGC_73)*dZtauMinusR/2d0
    coupl(nGC_8854) = coupl(nGC_5296) + coupl(nGC_55)*dZWpMinus/2d0 + coupl(   &
                      nGC_55)*dZnu_muL/2d0 + coupl(nGC_55)*dZtauMinusL/2d0
    coupl(nGC_5308) = coupl(nGC_5307)*dsw_
    coupl(nGC_5302) = coupl(nGC_5301)*dsw_
    coupl(nGC_5300) = coupl(nGC_5299)*dsw_
    coupl(nGC_8751) = coupl(nGC_122)*dZZ + coupl(nGC_5225)
    coupl(nGC_5306) = coupl(nGC_5305)*dsw_
    coupl(nGC_4886) = coupl(nGC_11)**2d0*coupl(nGC_42)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_7688) = coupl(nGC_5316) + coupl(nGC_86)*dZZp/2d0
    coupl(nGC_5274) = coupl(nGC_5273)*dsw_
    coupl(nGC_4882) = coupl(nGC_11)**2d0*coupl(nGC_155)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7727) = coupl(nGC_11)*dZtL_QCD2
    coupl(nGC_5270) = coupl(nGC_5269)*dsw_
    coupl(nGC_7725) = coupl(nGC_43)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_7680) = coupl(nGC_5212) + coupl(nGC_9)*dZWMinus/2d0 + coupl(nGC_9&
                      )*dZZ/2d0
    coupl(nGC_7728) = coupl(nGC_11)*dZtR_QCD2
    coupl(nGC_7682) = coupl(nGC_95)*dZdR_QCD2
    coupl(nGC_7685) = coupl(nGC_86)*dZdL_QCD2
    coupl(nGC_9601) = coupl(nGC_MI)*dZnu_muR
    coupl(nGC_7687) = coupl(nGC_5313) + coupl(nGC_95)*dZZp/2d0
    coupl(nGC_8130) = coupl(nGC_108)*dZWMinus/2d0 + coupl(nGC_5427)
    coupl(nGC_9033) = coupl(nGC_43)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_5379) = coupl(nGC_5377)*dcw_ + coupl(nGC_5378)*dsw_
    coupl(nGC_9039) = coupl(nGC_146)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_5373) = coupl(nGC_5371)*dcw_ + coupl(nGC_5372)*dsw_
    coupl(nGC_5370) = coupl(nGC_5368)*dcw_ + coupl(nGC_5369)*dsw_
    coupl(nGC_8032) = coupl(nGC_MI)*dZWpMinus
    coupl(nGC_8037) = coupl(nGC_MI)*dZWMinus
    coupl(nGC_8036) = -coupl(nGC_8032)
    coupl(nGC_8035) = coupl(nGC_5463) + coupl(nGC_MWp)*dZWpMinus
    coupl(nGC_8610) = coupl(nGC_101)*dZZp/2d0 + coupl(nGC_5385)
    coupl(nGC_4972) = coupl(nGC_11)*sq2*(coupl(nGC_26)**2d0 + coupl(nGC_28)**  &
                      2d0 + coupl(nGC_78)**2d0 + coupl(nGC_81)**2d0 + coupl(   &
                      nGC_84)**2d0 + coupl(nGC_96)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4973) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10  &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_4970) = coupl(nGC_11)*sq2*(coupl(nGC_17)**2d0 + coupl(nGC_19)**  &
                      2d0 + coupl(nGC_60)**2d0 + coupl(nGC_63)**2d0 + coupl(   &
                      nGC_66)**2d0 + coupl(nGC_87)**2d0)/(16d0*pi**2d0)
    coupl(nGC_7754) = coupl(nGC_33)*(dZtR_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_7751) = coupl(nGC_150)*dZH/2d0 + coupl(nGC_5128)
    coupl(nGC_4975) = coupl(nGC_11)*sq2*(-coupl(nGC_23)**2d0 - coupl(nGC_24)** &
                      2d0 - coupl(nGC_59)**2d0 - coupl(nGC_60)**2d0 - coupl(   &
                      nGC_61)**2d0 - coupl(nGC_92)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_7615) = -coupl(nGC_7614)
    coupl(nGC_7613) = coupl(nGC_5219) + coupl(nGC_7)*dZWMinus/2d0 + coupl(nGC_7&
                      )*dZZ/2d0
    coupl(nGC_7610) = coupl(nGC_118)*dZA/2d0 + coupl(nGC_118)*dZZ/2d0 + coupl( &
                      nGC_5204)
    coupl(nGC_9085) = coupl(nGC_I)*dZH
    coupl(nGC_5288) = coupl(nGC_5287)*dsw_
    coupl(nGC_8318) = coupl(nGC_138)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_8628) = -coupl(nGC_5096)
    coupl(nGC_4873) = coupl(nGC_11)**2d0*coupl(nGC_156)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4872) = coupl(nGC_11)**2d0*coupl(nGC_665)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8625) = coupl(nGC_137)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_5286) = coupl(nGC_5285)*dsw_
    coupl(nGC_8149) = coupl(nGC_5240) + coupl(nGC_77)*dZWpMinus/2d0
    coupl(nGC_5089) = coupl(nGC_5088)*dZgs_QCD2
    coupl(nGC_5120) = coupl(nGC_5118)*dys_QED1_QCD2
    coupl(nGC_5126) = coupl(nGC_5124)*dys_QED1_QCD2
    coupl(nGC_7536) = coupl(nGC_157)*dZnu_tauL/2d0 + coupl(nGC_157)*dZtauMinusR&
                      /2d0 + coupl(nGC_5150)
    coupl(nGC_4951) = coupl(nGC_11)*sq2*(-coupl(nGC_102)**2d0 - coupl(nGC_32)**&
                      2d0 - coupl(nGC_34)**2d0 - coupl(nGC_80)**2d0 - coupl(   &
                      nGC_81)**2d0 - coupl(nGC_82)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_5081) = coupl(nGC_5079)*dMZ2 + coupl(nGC_5080)*dsw_
    coupl(nGC_7539) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_5210)
    coupl(nGC_5129) = coupl(nGC_5127)*dys_QED1_QCD2
    coupl(nGC_5085) = coupl(nGC_5082)*dcw_ + coupl(nGC_5083)*dMZ2 + coupl(     &
                      nGC_5084)*dsw_
    coupl(nGC_5087) = coupl(nGC_5086)*dZgs_QCD2
    coupl(nGC_5004) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(    &
                      nGC_86) + coupl(nGC_1)*coupl(nGC_87) + coupl(nGC_1)*coupl&
                      (nGC_88) + coupl(nGC_1)*coupl(nGC_95) + coupl(nGC_1)*    &
                      coupl(nGC_96) + coupl(nGC_1)*coupl(nGC_97) + coupl(      &
                      nGC_101)*coupl(nGC_2) + coupl(nGC_102)*coupl(nGC_2) +    &
                      coupl(nGC_103)*coupl(nGC_2) + coupl(nGC_2)*coupl(nGC_92  &
                      ) + coupl(nGC_2)*coupl(nGC_93) + coupl(nGC_2)*coupl(     &
                      nGC_94))/(96d0*pi**2d0)
    coupl(nGC_4989) = coupl(nGC_11)*sq2*(coupl(nGC_103)**2d0 + coupl(nGC_33)** &
                      2d0 + coupl(nGC_34)**2d0 + coupl(nGC_83)**2d0 + coupl(   &
                      nGC_84)**2d0 + coupl(nGC_85)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4907) = coupl(nGC_11)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4906) = coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4905) = coupl(nGC_11)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4904) = coupl(nGC_11)**2d0*coupl(nGC_66)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4903) = coupl(nGC_11)**2d0*coupl(nGC_77)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4902) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4901) = coupl(nGC_11)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4900) = coupl(nGC_11)**2d0*coupl(nGC_65)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9669) = coupl(nGC_5451) + coupl(nGC_9666)
    coupl(nGC_9668) = coupl(nGC_MI)*dZeMinusR
    coupl(nGC_4985) = coupl(nGC_11)*sq2*(-coupl(nGC_103)**2d0 - coupl(nGC_33)**&
                      2d0 - coupl(nGC_34)**2d0 - coupl(nGC_83)**2d0 - coupl(   &
                      nGC_84)**2d0 - coupl(nGC_85)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4909) = coupl(nGC_11)**2d0*coupl(nGC_110)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4908) = coupl(nGC_11)**2d0*coupl(nGC_114)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4983) = coupl(nGC_11)*sq2*(-coupl(nGC_24)**2d0 - coupl(nGC_25)** &
                      2d0 - coupl(nGC_65)**2d0 - coupl(nGC_66)**2d0 - coupl(   &
                      nGC_67)**2d0 - coupl(nGC_94)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_7870) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_5087)
    coupl(nGC_7871) = -coupl(nGC_7870)
    coupl(nGC_8088) = coupl(nGC_5274) + coupl(nGC_85)*dZWpMinus/2d0
    coupl(nGC_8082) = coupl(nGC_67)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_8085) = coupl(nGC_85)*(dZbR_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_5157) = coupl(nGC_5155)*dyup_QED1_QCD2
    coupl(nGC_5156) = coupl(nGC_5155)*dyup_QED1
    coupl(nGC_5154) = coupl(nGC_5153)*dytau_QED1
    coupl(nGC_5152) = coupl(nGC_5151)*dytau_QED1
    coupl(nGC_11304) = -coupl(nGC_8372)
    coupl(nGC_5019) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_110) + coupl(&
                      nGC_111) + coupl(nGC_114) + coupl(nGC_115))/(32d0*pi**2d0&
                      *Nc**2d0)
    coupl(nGC_5016) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_59)**2d0 -  &
                      coupl(nGC_60)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_62)**&
                      2d0 - coupl(nGC_63)**2d0 - coupl(nGC_64)**2d0 - coupl(   &
                      nGC_65)**2d0 - coupl(nGC_66)**2d0 - coupl(nGC_67)**2d0 - &
                      coupl(nGC_77)**2d0 - coupl(nGC_78)**2d0 - coupl(nGC_79)**&
                      2d0 - coupl(nGC_80)**2d0 - coupl(nGC_81)**2d0 - coupl(   &
                      nGC_82)**2d0 - coupl(nGC_83)**2d0 - coupl(nGC_84)**2d0 - &
                      coupl(nGC_85)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_5017) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_110) + coupl(&
                      nGC_111) + coupl(nGC_114) + coupl(nGC_115))/(128d0*pi**  &
                      2d0)
    coupl(nGC_5014) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(16d0*pi**2d0*Nc**2d0)
    coupl(nGC_5015) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_59)**2d0 +   &
                      coupl(nGC_60)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_62)**&
                      2d0 + coupl(nGC_63)**2d0 + coupl(nGC_64)**2d0 + coupl(   &
                      nGC_65)**2d0 + coupl(nGC_66)**2d0 + coupl(nGC_67)**2d0 + &
                      coupl(nGC_77)**2d0 + coupl(nGC_78)**2d0 + coupl(nGC_79)**&
                      2d0 + coupl(nGC_80)**2d0 + coupl(nGC_81)**2d0 + coupl(   &
                      nGC_82)**2d0 + coupl(nGC_83)**2d0 + coupl(nGC_84)**2d0 + &
                      coupl(nGC_85)**2d0)/(96d0*pi**2d0)
    coupl(nGC_8240) = coupl(nGC_131)*dZH/2d0 + coupl(nGC_5138)
    coupl(nGC_5013) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl( &
                      nGC_2))/(32d0*pi**2d0*Nc)
    coupl(nGC_5159) = coupl(nGC_5158)*dyup_QED1
    coupl(nGC_5011) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_101)*coupl( &
                      nGC_111) - coupl(nGC_102)*coupl(nGC_111) - coupl(nGC_103 &
                      )*coupl(nGC_111) - coupl(nGC_110)*coupl(nGC_95) - coupl( &
                      nGC_110)*coupl(nGC_96) - coupl(nGC_110)*coupl(nGC_97) -  &
                      coupl(nGC_114)*coupl(nGC_86) - coupl(nGC_114)*coupl(     &
                      nGC_87) - coupl(nGC_114)*coupl(nGC_88) - coupl(nGC_115)* &
                      coupl(nGC_92) - coupl(nGC_115)*coupl(nGC_93) - coupl(    &
                      nGC_115)*coupl(nGC_94))/(96d0*pi**2d0*Nc)
    coupl(nGC_8961) = coupl(nGC_7716) + coupl(nGC_8957)
    coupl(nGC_8960) = coupl(nGC_7716) + coupl(nGC_8958)
    coupl(nGC_5238) = coupl(nGC_5236)*dcw_ + coupl(nGC_5237)*dsw_
    coupl(nGC_5337) = coupl(nGC_5335)*dcw_ + coupl(nGC_5336)*dsw_
    coupl(nGC_5334) = coupl(nGC_5332)*dcw_ + coupl(nGC_5333)*dsw_
    coupl(nGC_7803) = coupl(nGC_117)*dZZ/2d0 + coupl(nGC_117)*dZnu_tauL + coupl&
                      (nGC_5444)
    coupl(nGC_4862) = coupl(nGC_1041)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -   &
                      1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_9569) = coupl(nGC_88)*dZbL_QCD2
    coupl(nGC_8404) = coupl(nGC_5461) + coupl(nGC_MZp)*dZZp
    coupl(nGC_8405) = -coupl(nGC_8401)
    coupl(nGC_4887) = coupl(nGC_108)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5248) = coupl(nGC_5247)*dsw_
    coupl(nGC_11011) = 3d0*coupl(nGC_125)*dZH/2d0 + coupl(nGC_5054)
    coupl(nGC_5272) = coupl(nGC_5271)*dsw_
    coupl(nGC_8813) = coupl(nGC_5331) + coupl(nGC_87)*dZZp/2d0
    coupl(nGC_8583) = coupl(nGC_5172) + coupl(nGC_8581)
    coupl(nGC_8582) = coupl(nGC_132)*dZH/2d0 + coupl(nGC_5171)
    coupl(nGC_8589) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_116)*dZmuMinusL +     &
                      coupl(nGC_5210)
    coupl(nGC_8588) = coupl(nGC_112)*dZZ/2d0 + coupl(nGC_112)*dZmuMinusR +     &
                      coupl(nGC_5447)
    coupl(nGC_7651) = coupl(nGC_135)*dZcR_QCD2/2d0 + coupl(nGC_135)*dZdL_QCD2/ &
                      2d0 + coupl(nGC_5166)
    coupl(nGC_4960) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_1041&
                      )*coupl(nGC_137) + 4d0*coupl(nGC_108)**2d0 + 4d0*coupl(  &
                      nGC_114)**2d0 + coupl(nGC_135)**2d0 + coupl(nGC_138)**2d0&
                       + coupl(nGC_151)*coupl(nGC_153) + coupl(nGC_152)**2d0 + &
                      coupl(nGC_162)**2d0 + 4d0*coupl(nGC_43)**2d0)/(64d0*pi** &
                      2d0)
    coupl(nGC_7719) = coupl(nGC_47)*dZA/2d0 + coupl(nGC_47)*dZH/2d0 + coupl(   &
                      nGC_47)*dZWMinus/2d0 + coupl(nGC_5182)
    coupl(nGC_5246) = coupl(nGC_5245)*dsw_
    coupl(nGC_7715) = coupl(nGC_127)*dZA/2d0 + coupl(nGC_127)*dZWMinus/2d0 +   &
                      coupl(nGC_5185)
    coupl(nGC_4893) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9048) = coupl(nGC_MI)*dZtauMinusR
    coupl(nGC_8063) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_5089)
    coupl(nGC_9041) = -coupl(nGC_5147) - coupl(nGC_9039)
    coupl(nGC_9042) = coupl(nGC_5147) + coupl(nGC_9039)
    coupl(nGC_9045) = coupl(nGC_MI)*dZtauMinusL
    coupl(nGC_8105) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_116)*dZeMinusL + coupl&
                      (nGC_5210)
    coupl(nGC_8104) = coupl(nGC_112)*dZZ/2d0 + coupl(nGC_112)*dZeMinusR + coupl&
                      (nGC_5447)
    coupl(nGC_5412) = coupl(nGC_5410)*dcw_ + coupl(nGC_5411)*dsw_
    coupl(nGC_9621) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_9185) = coupl(nGC_5406) + coupl(nGC_93)*dZZp/2d0
    coupl(nGC_5418) = coupl(nGC_5416)*dcw_ + coupl(nGC_5417)*dsw_
    coupl(nGC_9180) = coupl(nGC_93)*dZcL_QCD2
    coupl(nGC_4824) = cima*(-coupl(nGC_111)**2d0 - coupl(nGC_2)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_4825) = cima*(-coupl(nGC_102)**2d0 - coupl(nGC_32)**2d0 - coupl( &
                      nGC_34)**2d0 - coupl(nGC_80)**2d0 - coupl(nGC_81)**2d0 - &
                      coupl(nGC_82)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4949) = coupl(nGC_11)*sq2*(-coupl(nGC_23)**2d0 - coupl(nGC_25)** &
                      2d0 - coupl(nGC_62)**2d0 - coupl(nGC_63)**2d0 - coupl(   &
                      nGC_64)**2d0 - coupl(nGC_93)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4827) = cima*(-cMB*coupl(nGC_19)*coupl(nGC_28) - cMC*coupl(nGC_63&
                      )*coupl(nGC_81) - cMD*coupl(nGC_17)*coupl(nGC_26) - cMS* &
                      coupl(nGC_87)*coupl(nGC_96) - cMT*coupl(nGC_66)*coupl(   &
                      nGC_84) - cMU*coupl(nGC_60)*coupl(nGC_78))/(8d0*pi**2d0)
    coupl(nGC_4821) = cima*(-cMB*coupl(nGC_64)*coupl(nGC_82) - cMC*coupl(      &
                      nGC_102)*coupl(nGC_93) - cMD*coupl(nGC_62)*coupl(nGC_80  &
                      ) - cMS*coupl(nGC_63)*coupl(nGC_81) - cMT*coupl(nGC_25)* &
                      coupl(nGC_34) - cMU*coupl(nGC_23)*coupl(nGC_32))/(8d0*pi &
                      **2d0)
    coupl(nGC_9748) = coupl(nGC_143)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_4823) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_25)**2d0 - coupl(  &
                      nGC_62)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_64)**2d0 - &
                      coupl(nGC_93)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4943) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_1017&
                      )*coupl(nGC_130) + 4d0*coupl(nGC_114)**2d0 + coupl(      &
                      nGC_131)**2d0 + coupl(nGC_154)**2d0 + 4d0*coupl(nGC_42)**&
                      2d0)/(64d0*pi**2d0)
    coupl(nGC_4942) = coupl(nGC_11)*sq2*(-coupl(nGC_27)**2d0 - coupl(nGC_28)** &
                      2d0 - coupl(nGC_79)**2d0 - coupl(nGC_82)**2d0 - coupl(   &
                      nGC_85)**2d0 - coupl(nGC_97)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4941) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(       &
                      nGC_1017)*coupl(nGC_130) - 4d0*coupl(nGC_110)**2d0 -     &
                      coupl(nGC_129)**2d0 - coupl(nGC_131)**2d0)/(64d0*pi**2d0*&
                      Nc)
    coupl(nGC_9046) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_4947) = coupl(nGC_11)*sq2*(coupl(nGC_27)**2d0 + coupl(nGC_28)**  &
                      2d0 + coupl(nGC_79)**2d0 + coupl(nGC_82)**2d0 + coupl(   &
                      nGC_85)**2d0 + coupl(nGC_97)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4946) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_1017&
                      )*coupl(nGC_130) + 4d0*coupl(nGC_110)**2d0 + coupl(      &
                      nGC_129)**2d0 + coupl(nGC_131)**2d0)/(64d0*pi**2d0)
    coupl(nGC_5343) = coupl(nGC_5341)*dcw_ + coupl(nGC_5342)*dsw_
    coupl(nGC_8208) = coupl(nGC_115)*dZtL_QCD2
    coupl(nGC_11904) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
