!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-15 18:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl2()
    coupl(nGC_63) = sqrt(2d0)*CWqL2x2*cima*ee*kWL/(2d0*sw)
    coupl(nGC_60) = sqrt(2d0)*CWqL1x2*cima*ee*kWL/(2d0*sw)
    coupl(nGC_115) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_68) = sqrt(2d0)*CWlR1x1*cima*ee*kWR/(2d0*sw)
    coupl(nGC_5151) = -sqrt(2d0)/2d0
    coupl(nGC_113) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
    coupl(nGC_112) = cima*ee*sw/cw
    coupl(nGC_111) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_110) = cima*ee*sw/(3d0*cw)
    coupl(nGC_387) = -coupl(nGC_45)
    coupl(nGC_1329) = -coupl(nGC_146)
    coupl(nGC_1813) = -coupl(nGC_41)
    coupl(nGC_1041) = -coupl(nGC_137)
    coupl(nGC_341) = -coupl(nGC_10)
    coupl(nGC_605) = -coupl(nGC_44)
    coupl(nGC_839) = -coupl(nGC_133)
    coupl(nGC_909) = -coupl(nGC_149)
    coupl(nGC_265) = -coupl(nGC_49)/2d0
    coupl(nGC_1217) = 2d0*coupl(nGC_12)
    coupl(nGC_421) = -coupl(nGC_161)
    coupl(nGC_2473) = -coupl(nGC_40)
    coupl(nGC_299) = -coupl(nGC_143)
    coupl(nGC_709) = -coupl(nGC_113)
    coupl(nGC_989) = -2d0*coupl(nGC_36)
  end subroutine fill_couplings_mdl2
end module fill_couplings2
