!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-15 18:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_5136) = coupl(nGC_5134)*dyb_QED1_QCD2
    coupl(nGC_5131) = cima*dyt_QED1_QCD2
    coupl(nGC_5130) = cima*dyt_QED1
    coupl(nGC_5133) = -cima*dyb_QED1_QCD2
    coupl(nGC_5132) = -cima*dyb_QED1
    coupl(nGC_5139) = coupl(nGC_5137)*dyb_QED1_QCD2
    coupl(nGC_5138) = coupl(nGC_5137)*dyb_QED1
    coupl(nGC_5444) = coupl(nGC_5442)*dcw_ + coupl(nGC_5443)*dsw_
    coupl(nGC_5449) = -cima*dMH2
    coupl(nGC_5222) = coupl(nGC_5220)*dcw_ + coupl(nGC_5221)*dsw_
    coupl(nGC_5048) = -cima*dlam_QED2
    coupl(nGC_5165) = coupl(nGC_5164)*dyc_QED1
    coupl(nGC_5304) = coupl(nGC_5303)*dsw_
    coupl(nGC_5294) = coupl(nGC_5293)*dsw_
    coupl(nGC_5462) = cima*dMW2
    coupl(nGC_5459) = -cima*dMB_QCD2
    coupl(nGC_5278) = coupl(nGC_5277)*dsw_
    coupl(nGC_5282) = coupl(nGC_5281)*dsw_
    coupl(nGC_7757) = coupl(nGC_24)*(dZtL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_7750) = coupl(nGC_150)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_8147) = coupl(nGC_59)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_5280) = coupl(nGC_5279)*dsw_
    coupl(nGC_5125) = coupl(nGC_5124)*dys_QED1
    coupl(nGC_5128) = coupl(nGC_5127)*dys_QED1
    coupl(nGC_8608) = coupl(nGC_92)*dZuL_QCD2
    coupl(nGC_5456) = -cima*dMT_QCD2
    coupl(nGC_5454) = -cima*dMU_QCD2
    coupl(nGC_5455) = -cima*dMC_QCD2
    coupl(nGC_5452) = -cima*dMM
    coupl(nGC_5453) = -cima*dMTA
    coupl(nGC_5451) = -cima*dME
    coupl(nGC_8360) = coupl(nGC_18)*(dZbL_QCD2 + dZdL_QCD2)/2d0
    coupl(nGC_5171) = coupl(nGC_5170)*dyc_QED1
    coupl(nGC_8965) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_8966) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_7808) = coupl(nGC_26)*(dZdR_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_5232) = coupl(nGC_5229)*dcw_ + coupl(nGC_5230)*dsw_ + coupl(     &
                      nGC_5231)*dvev_QEDM1
    coupl(nGC_5235) = coupl(nGC_5233)*dcw_ + coupl(nGC_5234)*dsw_
    coupl(nGC_5276) = coupl(nGC_5275)*dsw_
    coupl(nGC_8158) = coupl(nGC_51)*dZWpMinus/2d0 + coupl(nGC_51)*dZmuMinusL/  &
                      2d0 + coupl(nGC_51)*dZnu_eL/2d0 + coupl(nGC_5280)
    coupl(nGC_7720) = coupl(nGC_2)*dZA/2d0
    coupl(nGC_7721) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_5296) = coupl(nGC_5295)*dsw_
    coupl(nGC_8811) = coupl(nGC_96)*dZsR_QCD2
    coupl(nGC_5091) = -cima*dydo_QED1_QCD2
    coupl(nGC_7895) = coupl(nGC_65)*(dZdL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_5244) = coupl(nGC_5243)*dsw_
    coupl(nGC_7898) = coupl(nGC_83)*(dZdR_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_5242) = coupl(nGC_5241)*dsw_
    coupl(nGC_5240) = coupl(nGC_5239)*dsw_
    coupl(nGC_5415) = coupl(nGC_5413)*dcw_ + coupl(nGC_5414)*dsw_
    coupl(nGC_9183) = coupl(nGC_102)*dZcR_QCD2
    coupl(nGC_4826) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4820) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4940) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10 &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_4945) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10  &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_9405) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_5051) = coupl(nGC_5049)*dlam_QED2 + coupl(nGC_5050)*dvev_QEDM1
    coupl(nGC_5054) = coupl(nGC_5052)*dlam_QED2 + coupl(nGC_5053)*dvev_QEDM1
    coupl(nGC_5059) = coupl(nGC_5058)*dMW2
    coupl(nGC_5113) = -cima*dys_QED1
    coupl(nGC_5114) = -cima*dys_QED1_QCD2
    coupl(nGC_5463) = cima*dMWp2
    coupl(nGC_5461) = cima*dMZp2
    coupl(nGC_5460) = cima*dMZ2
    coupl(nGC_5349) = coupl(nGC_5347)*dcw_ + coupl(nGC_5348)*dsw_
    coupl(nGC_7846) = coupl(nGC_155)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_8723) = coupl(nGC_3)*dZA/2d0
    coupl(nGC_227) = 1d0/(2d0*cMZ)
    coupl(nGC_8724) = -coupl(nGC_8723)
    coupl(nGC_5162) = coupl(nGC_5161)*dyup_QED1
    coupl(nGC_7677) = coupl(nGC_5304) + coupl(nGC_57)*dZWpMinus/2d0 + coupl(   &
                      nGC_57)*dZmuMinusL/2d0 + coupl(nGC_57)*dZnu_tauL/2d0
    coupl(nGC_5204) = coupl(nGC_5202)*dcw_ + coupl(nGC_5203)*dsw_
    coupl(nGC_9419) = coupl(nGC_4)*dZeMinusL
    coupl(nGC_5367) = coupl(nGC_5365)*dcw_ + coupl(nGC_5366)*dsw_
    coupl(nGC_8381) = coupl(nGC_2)*dZtR_QCD2
    coupl(nGC_8380) = coupl(nGC_2)*dZtL_QCD2
    coupl(nGC_8024) = coupl(nGC_25)*(dZcL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_7773) = -coupl(nGC_5125)
    coupl(nGC_4850) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_7662) = coupl(nGC_154)*dZbL_QCD2/2d0 + coupl(nGC_154)*dZtR_QCD2/ &
                      2d0 + coupl(nGC_5131)
    coupl(nGC_5298) = coupl(nGC_5297)*dsw_
    coupl(nGC_8150) = coupl(nGC_5242) + coupl(nGC_59)*dZWpMinus/2d0
    coupl(nGC_4865) = coupl(nGC_11)**2d0*coupl(nGC_133)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4866) = coupl(nGC_11)**2d0*coupl(nGC_141)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4867) = coupl(nGC_11)**2d0*coupl(nGC_153)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5096) = coupl(nGC_5095)*dydo_QED1
    coupl(nGC_5097) = coupl(nGC_5095)*dydo_QED1_QCD2
    coupl(nGC_5093) = coupl(nGC_5092)*dyup_QED1
    coupl(nGC_5090) = -cima*dydo_QED1
    coupl(nGC_5099) = coupl(nGC_5098)*dydo_QED1
    coupl(nGC_8483) = coupl(nGC_84)*(dZsR_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_7805) = coupl(nGC_17)*(dZdL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_4915) = coupl(nGC_11)**2d0*coupl(nGC_97)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_7722) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_4912) = coupl(nGC_11)**2d0*coupl(nGC_18)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4913) = coupl(nGC_11)**2d0*coupl(nGC_27)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5423) = coupl(nGC_5422)*dsw_
    coupl(nGC_4918) = coupl(nGC_11)**2d0*coupl(nGC_93)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5425) = coupl(nGC_5424)*dsw_
    coupl(nGC_4991) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl(  &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_7963) = coupl(nGC_49)*dZA/2d0 + coupl(nGC_49)*dZWMinus + coupl(  &
                      nGC_49)*dZZ/2d0 + coupl(nGC_5222)
    coupl(nGC_7964) = -coupl(nGC_7963)/2d0
    coupl(nGC_7969) = coupl(nGC_5349) + coupl(nGC_98)*dZZp/2d0 + coupl(nGC_98)*&
                      dZeMinusR
    coupl(nGC_8372) = coupl(nGC_3)*(dZA + 2d0*dZWMinus)/2d0
    coupl(nGC_5145) = -cima*dym_QED1
    coupl(nGC_5140) = -cima*dye_QED1
    coupl(nGC_5142) = coupl(nGC_5141)*dye_QED1
    coupl(nGC_7614) = coupl(nGC_3)*dZWMinus/2d0
    coupl(nGC_5322) = coupl(nGC_5320)*dcw_ + coupl(nGC_5321)*dsw_
    coupl(nGC_5328) = coupl(nGC_5326)*dcw_ + coupl(nGC_5327)*dsw_
    coupl(nGC_7810) = coupl(nGC_17)*dZZp/2d0 + coupl(nGC_5322)
    coupl(nGC_4859) = coupl(nGC_11)**2d0*coupl(nGC_163)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4848) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_7726) = coupl(nGC_43)*dZWMinus/2d0 + coupl(nGC_5423)
    coupl(nGC_4879) = coupl(nGC_11)**2d0*coupl(nGC_140)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8808) = coupl(nGC_87)*dZsL_QCD2
    coupl(nGC_4878) = coupl(nGC_11)**2d0*coupl(nGC_138)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4919) = coupl(nGC_102)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5210) = coupl(nGC_5208)*dcw_ + coupl(nGC_5209)*dsw_
    coupl(nGC_8989) = coupl(nGC_28)*(dZbR_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_4871) = coupl(nGC_11)**2d0*coupl(nGC_151)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5391) = coupl(nGC_5389)*dcw_ + coupl(nGC_5390)*dsw_
    coupl(nGC_4844) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11  &
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_5254) = coupl(nGC_5253)*dsw_
    coupl(nGC_4877) = coupl(nGC_11)**2d0*coupl(nGC_132)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5256) = coupl(nGC_5255)*dsw_
    coupl(nGC_4845) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_5252) = coupl(nGC_5251)*dsw_
    coupl(nGC_4876) = coupl(nGC_11)**2d0*coupl(nGC_131)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8050) = coupl(nGC_158)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_5191) = coupl(nGC_5190)*dsw_
    coupl(nGC_4849) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 - &
                      cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**2d0*&
                      Nc)
    coupl(nGC_5198) = coupl(nGC_5196)*dsw_ + coupl(nGC_5197)*dvev_QEDM1
    coupl(nGC_5149) = coupl(nGC_5148)*dym_QED1
    coupl(nGC_8605) = coupl(nGC_101)*dZuR_QCD2
    coupl(nGC_4880) = coupl(nGC_11)**2d0*coupl(nGC_152)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9421) = coupl(nGC_4)*dZeMinusR
    coupl(nGC_9007) = coupl(nGC_159)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_8239) = coupl(nGC_131)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_7533) = coupl(nGC_23)*dZZp/2d0 + coupl(nGC_5391)
    coupl(nGC_5100) = coupl(nGC_5098)*dydo_QED1_QCD2
    coupl(nGC_7553) = coupl(nGC_109)*(dZsL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_5105) = coupl(nGC_5104)*dydo_QED1
    coupl(nGC_5106) = coupl(nGC_5104)*dydo_QED1_QCD2
    coupl(nGC_4884) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_131) + cMC*   &
                      coupl(nGC_132) + cMD*coupl(nGC_138) + cMS*coupl(nGC_150  &
                      ) + cMT*coupl(nGC_155) + cMU*coupl(nGC_160))/(16d0*pi**  &
                      2d0*Nc)
    coupl(nGC_7530) = coupl(nGC_23)*(dZcL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_8170) = coupl(nGC_4)*dZmuMinusR
    coupl(nGC_5112) = coupl(nGC_5110)*dys_QED1_QCD2
    coupl(nGC_7856) = coupl(nGC_61)*(dZbL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_8129) = coupl(nGC_108)*(dZcL_QCD2 + dZdL_QCD2)/2d0
    coupl(nGC_4885) = coupl(nGC_11)**2d0*coupl(nGC_160)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5264) = coupl(nGC_5263)*dsw_
    coupl(nGC_5262) = coupl(nGC_5261)*dsw_
    coupl(nGC_5036) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_1215) + 12d0*Nc*coupl(nGC_10)**  &
                      2d0*coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*  &
                      coupl(nGC_1215)*sq2**2d0 + 18d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(384d0*pi**2d0)
    coupl(nGC_5037) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_1215)**2d0 + &
                      39d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 3d0* &
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1215)*sq2**2d0 + 36d0*   &
                      cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_219) = cima/(2d0*cMW)
    coupl(nGC_5032) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl( &
                      nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)*coupl(nGC_1215) +  &
                      3d0*cima*coupl(nGC_1215)**2d0 + 9d0*coupl(nGC_10)**2d0*  &
                      coupl(nGC_12)*sq2**2d0 - 6d0*coupl(nGC_10)**2d0*coupl(   &
                      nGC_1215)*sq2**2d0)/(96d0*pi**2d0)
    coupl(nGC_7647) = coupl(nGC_6)*dZA
    coupl(nGC_4916) = coupl(nGC_11)**2d0*coupl(nGC_19)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9135) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_9134) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_4883) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_131) - cMC*  &
                      coupl(nGC_132) - cMD*coupl(nGC_138) - cMS*coupl(nGC_150  &
                      ) - cMT*coupl(nGC_155) - cMU*coupl(nGC_160))/(16d0*pi**  &
                      2d0)
    coupl(nGC_5212) = coupl(nGC_5211)*dcw_
    coupl(nGC_5214) = coupl(nGC_5213)*dcw_
    coupl(nGC_5217) = coupl(nGC_5215)*dcw_ + coupl(nGC_5216)*dvev_QEDM1
    coupl(nGC_5219) = coupl(nGC_5218)*dcw_
    coupl(nGC_9544) = coupl(nGC_11)*dZsR_QCD2
    coupl(nGC_8832) = coupl(nGC_160)*dZH/2d0 + coupl(nGC_5162)
    coupl(nGC_8831) = coupl(nGC_160)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_8781) = coupl(nGC_11)*dZcL_QCD2
    coupl(nGC_4881) = coupl(nGC_11)**2d0*coupl(nGC_150)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8019) = coupl(nGC_117)*dZZ/2d0 + coupl(nGC_117)*dZnu_eL + coupl( &
                      nGC_5444)
    coupl(nGC_8986) = coupl(nGC_19)*(dZbL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_4855) = coupl(nGC_11)**2d0*coupl(nGC_134)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4854) = coupl(nGC_11)**2d0*coupl(nGC_154)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4857) = coupl(nGC_11)**2d0*coupl(nGC_136)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7772) = coupl(nGC_149)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_4990) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl( &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_4858) = coupl(nGC_11)**2d0*coupl(nGC_162)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4992) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_108)**2d0 +  &
                      coupl(nGC_109)**2d0 + coupl(nGC_42)**2d0 + 2d0*coupl(    &
                      nGC_43)**2d0)/(96d0*pi**2d0)
    coupl(nGC_4993) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)**2d0 - &
                      coupl(nGC_109)**2d0 - coupl(nGC_42)**2d0 - 2d0*coupl(    &
                      nGC_43)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_8169) = coupl(nGC_4)*dZmuMinusL
    coupl(nGC_7716) = coupl(nGC_4)*dZA/2d0
    coupl(nGC_7813) = coupl(nGC_103)*dZtR_QCD2
    coupl(nGC_8646) = coupl(nGC_11)*dZdR_QCD2
    coupl(nGC_8647) = coupl(nGC_11)*dZdL_QCD2
    coupl(nGC_9403) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_5458) = -cima*dMS_QCD2
    coupl(nGC_10174) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_8581) = coupl(nGC_132)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_5457) = -cima*dMD_QCD2
    coupl(nGC_5102) = coupl(nGC_5101)*dys_QED1
    coupl(nGC_9566) = coupl(nGC_97)*dZbR_QCD2
    coupl(nGC_4921) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4920) = coupl(nGC_11)**2d0*coupl(nGC_25)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4922) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4925) = coupl(nGC_11)**2d0*coupl(nGC_95)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4924) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4927) = coupl(nGC_11)**2d0*coupl(nGC_26)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4926) = coupl(nGC_11)**2d0*coupl(nGC_17)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5122) = coupl(nGC_5121)*dydo_QED1
    coupl(nGC_4928) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5435) = coupl(nGC_5433)*dcw_ + coupl(nGC_5434)*dsw_
    coupl(nGC_14078) = -coupl(nGC_4991)
    coupl(nGC_5250) = coupl(nGC_5249)*dsw_
    coupl(nGC_7951) = coupl(nGC_78)*(dZsR_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_14076) = -coupl(nGC_4990)
    coupl(nGC_4895) = coupl(nGC_11)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5123) = coupl(nGC_5121)*dydo_QED1_QCD2
    coupl(nGC_8346) = coupl(nGC_38)*dZWMinus + coupl(nGC_38)*dZZ + coupl(      &
                      nGC_5235)
    coupl(nGC_7582) = coupl(nGC_1)*dZA/2d0
    coupl(nGC_7580) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_5172) = coupl(nGC_5170)*dyc_QED1_QCD2
    coupl(nGC_5175) = coupl(nGC_5173)*dyt_QED1_QCD2
    coupl(nGC_5174) = coupl(nGC_5173)*dyt_QED1
    coupl(nGC_5177) = coupl(nGC_5176)*dyt_QED1
    coupl(nGC_5178) = coupl(nGC_5176)*dyt_QED1_QCD2
    coupl(nGC_4833) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_8144) = coupl(nGC_77)*(dZdR_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_7789) = coupl(nGC_130)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_223) = -cima/(2d0*cMW)
    coupl(nGC_8449) = coupl(nGC_11)*dZbL_QCD2
    coupl(nGC_4888) = coupl(nGC_11)**2d0*coupl(nGC_43)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4917) = coupl(nGC_11)**2d0*coupl(nGC_28)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5316) = coupl(nGC_5314)*dcw_ + coupl(nGC_5315)*dsw_
    coupl(nGC_4934) = coupl(nGC_11)**2d0*coupl(nGC_24)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5313) = coupl(nGC_5311)*dcw_ + coupl(nGC_5312)*dsw_
    coupl(nGC_4935) = coupl(nGC_11)**2d0*coupl(nGC_33)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_7706) = coupl(nGC_5294) + coupl(nGC_54)*dZWpMinus/2d0 + coupl(   &
                      nGC_54)*dZmuMinusL/2d0 + coupl(nGC_54)*dZnu_muL/2d0
    coupl(nGC_8362) = coupl(nGC_27)*dZZp/2d0 + coupl(nGC_5328)
    coupl(nGC_4889) = coupl(nGC_109)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5290) = coupl(nGC_5289)*dsw_
    coupl(nGC_10356) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_10357) = -coupl(nGC_10356)
    coupl(nGC_9620) = coupl(nGC_MI)*dZtL_QCD2
    coupl(nGC_4875) = coupl(nGC_11)**2d0*coupl(nGC_161)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_11903) = coupl(nGC_MI)*dZmuMinusL
    coupl(nGC_7558) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_5028) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_1215)**2d0 + &
                      21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 21d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1215)*sq2**2d0 + 36d0*   &
                      cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_5310) = coupl(nGC_5309)*dsw_
    coupl(nGC_5385) = coupl(nGC_5383)*dcw_ + coupl(nGC_5384)*dsw_
    coupl(nGC_4891) = coupl(nGC_11)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_8680) = coupl(nGC_128)*dZH/2d0 + coupl(nGC_128)*dZZ + coupl(     &
                      nGC_5232)
    coupl(nGC_4894) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5180) = coupl(nGC_5179)*dsw_
    coupl(nGC_5182) = coupl(nGC_5181)*dsw_
    coupl(nGC_5185) = coupl(nGC_5183)*dsw_ + coupl(nGC_5184)*dvev_QEDM1
    coupl(nGC_5147) = coupl(nGC_5146)*dym_QED1
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
