!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-15 18:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_5376) = coupl(nGC_5374)*dcw_ + coupl(nGC_5375)*dsw_
    coupl(nGC_8630) = coupl(nGC_5097) + coupl(nGC_8625)
    coupl(nGC_5260) = coupl(nGC_5259)*dsw_
    coupl(nGC_5388) = coupl(nGC_5386)*dcw_ + coupl(nGC_5387)*dsw_
    coupl(nGC_4892) = coupl(nGC_11)**2d0*coupl(nGC_67)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4897) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5266) = coupl(nGC_5265)*dsw_
    coupl(nGC_8044) = 2d0*coupl(nGC_36)*dZWMinus + coupl(nGC_5201)
    coupl(nGC_8045) = -2d0*coupl(nGC_8044)
    coupl(nGC_8040) = coupl(nGC_5462) + coupl(nGC_MW)*dZWMinus
    coupl(nGC_8041) = -coupl(nGC_8037)
    coupl(nGC_4950) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_111)**2d0 - coupl(     &
                      nGC_132)**2d0 - coupl(nGC_133)*coupl(nGC_839) - coupl(   &
                      nGC_134)**2d0 - coupl(nGC_135)**2d0 - 4d0*coupl(nGC_2)** &
                      2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_5187) = coupl(nGC_5186)*dsw_
    coupl(nGC_5189) = coupl(nGC_5188)*dsw_
    coupl(nGC_7618) = coupl(nGC_13)*dZH + coupl(nGC_5047)
    coupl(nGC_4998) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_108)*coupl(  &
                      nGC_62) + coupl(nGC_109)*coupl(nGC_60) + coupl(nGC_42)*  &
                      coupl(nGC_67) + coupl(nGC_43)*coupl(nGC_59) + coupl(     &
                      nGC_43)*coupl(nGC_63))/(96d0*pi**2d0)
    coupl(nGC_8213) = coupl(nGC_111)*dZZ/2d0 + coupl(nGC_5435)
    coupl(nGC_4966) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_110)**2d0 - coupl(nGC_148)**2d0 - coupl(nGC_149)*    &
                      coupl(nGC_909) - coupl(nGC_150)**2d0 - coupl(nGC_151)*   &
                      coupl(nGC_153) - coupl(nGC_152)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_5018) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_110) - coupl&
                      (nGC_111) - coupl(nGC_114) - coupl(nGC_115))/(64d0*pi**  &
                      2d0*Nc)
    coupl(nGC_7607) = coupl(nGC_136)*dZdR_QCD2/2d0 + coupl(nGC_136)*dZuL_QCD2/ &
                      2d0 + coupl(nGC_5091)
    coupl(nGC_7606) = coupl(nGC_162)*dZdL_QCD2/2d0 + coupl(nGC_162)*dZuR_QCD2/ &
                      2d0 + coupl(nGC_5094)
    coupl(nGC_4969) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_109)**2d0 + 4d0*coupl(nGC_114)**2d0 + coupl(nGC_134  &
                      )**2d0 + coupl(nGC_139)*coupl(nGC_141) + coupl(nGC_140)**&
                      2d0 + coupl(nGC_149)*coupl(nGC_909) + coupl(nGC_150)**2d0&
                       + coupl(nGC_163)**2d0 + 4d0*coupl(nGC_43)**2d0)/(64d0*pi&
                      **2d0)
    coupl(nGC_8211) = coupl(nGC_111)*dZtR_QCD2
    coupl(nGC_7779) = coupl(nGC_163)*dZsL_QCD2/2d0 + coupl(nGC_163)*dZuR_QCD2/ &
                      2d0 + coupl(nGC_5157)
    coupl(nGC_9722) = coupl(nGC_5466) + coupl(nGC_MZ_GF)*dZZ/2d0
    coupl(nGC_4805) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)*coupl(     &
                      nGC_114))/(8d0*pi**2d0)
    coupl(nGC_8897) = coupl(nGC_44)*dZZ/2d0 + coupl(nGC_5075)
    coupl(nGC_7970) = coupl(nGC_5352) + coupl(nGC_89)*dZZp/2d0 + coupl(nGC_89)*&
                      dZeMinusL
    coupl(nGC_7654) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_42)*dZnu_tauL/2d0 &
                       + coupl(nGC_42)*dZtauMinusL/2d0 + coupl(nGC_5429)
    coupl(nGC_8488) = coupl(nGC_5268) + coupl(nGC_84)*dZWpMinus/2d0
    coupl(nGC_8489) = coupl(nGC_5270) + coupl(nGC_66)*dZWpMinus/2d0
    coupl(nGC_7989) = coupl(nGC_110)*dZZ/2d0 + coupl(nGC_5438)
    coupl(nGC_7876) = coupl(nGC_35)*dZH + coupl(nGC_35)*dZWMinus + coupl(      &
                      nGC_5195)
    coupl(nGC_8898) = -coupl(nGC_8897)
    coupl(nGC_8953) = -coupl(nGC_8949)
    coupl(nGC_8363) = coupl(nGC_18)*dZZp/2d0 + coupl(nGC_5325)
    coupl(nGC_7547) = coupl(nGC_134)*dZcR_QCD2/2d0 + coupl(nGC_134)*dZsL_QCD2/ &
                      2d0 + coupl(nGC_5117)
    coupl(nGC_7811) = coupl(nGC_26)*dZZp/2d0 + coupl(nGC_5319)
    coupl(nGC_8453) = coupl(nGC_7731) + coupl(nGC_8449)
    coupl(nGC_7540) = -coupl(nGC_7539)
    coupl(nGC_7934) = coupl(nGC_5286) + coupl(nGC_70)*dZWpMinus/2d0 + coupl(   &
                      nGC_70)*dZnu_eR/2d0 + coupl(nGC_70)*dZtauMinusR/2d0
    coupl(nGC_7933) = coupl(nGC_52)*dZWpMinus/2d0 + coupl(nGC_52)*dZnu_eL/2d0  &
                       + coupl(nGC_52)*dZtauMinusL/2d0 + coupl(nGC_5284)
    coupl(nGC_8087) = coupl(nGC_5272) + coupl(nGC_67)*dZWpMinus/2d0
    coupl(nGC_7588) = -coupl(nGC_5169) - coupl(nGC_7584)
    coupl(nGC_8064) = -coupl(nGC_8063)
    coupl(nGC_8771) = coupl(nGC_151)*dZdL_QCD2/2d0 + coupl(nGC_151)*dZsR_QCD2/ &
                      2d0 + coupl(nGC_5103)
    coupl(nGC_4976) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_111)**2d0 - coupl(     &
                      nGC_160)**2d0 - coupl(nGC_161)*coupl(nGC_421) - coupl(   &
                      nGC_162)**2d0 - coupl(nGC_163)**2d0 - 4d0*coupl(nGC_2)** &
                      2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_7752) = coupl(nGC_5129) + coupl(nGC_7750)
    coupl(nGC_8065) = 2d0*coupl(nGC_8063)
    coupl(nGC_7670) = coupl(nGC_5260) + coupl(nGC_82)*dZWpMinus/2d0
    coupl(nGC_8326) = coupl(nGC_21)*dZZp/2d0 + coupl(nGC_21)*dZeMinusL/2d0 +   &
                      coupl(nGC_21)*dZtauMinusL/2d0 + coupl(nGC_5364)
    coupl(nGC_8325) = coupl(nGC_30)*dZZp/2d0 + coupl(nGC_30)*dZeMinusR/2d0 +   &
                      coupl(nGC_30)*dZtauMinusR/2d0 + coupl(nGC_5361)
    coupl(nGC_9572) = coupl(nGC_5343) + coupl(nGC_88)*dZZp/2d0
    coupl(nGC_7759) = coupl(nGC_33)*dZZp/2d0 + coupl(nGC_5397)
    coupl(nGC_8320) = coupl(nGC_5100) + coupl(nGC_8318)
    coupl(nGC_9049) = coupl(nGC_5453) + coupl(nGC_9046)
    coupl(nGC_9750) = coupl(nGC_5142) + coupl(nGC_9748)
    coupl(nGC_7621) = coupl(nGC_41)*dZWMinus/2d0 + coupl(nGC_5187)
    coupl(nGC_7745) = coupl(nGC_5258) + coupl(nGC_63)*dZWpMinus/2d0
    coupl(nGC_9540) = -coupl(nGC_8641)
    coupl(nGC_8629) = -coupl(nGC_5097) - coupl(nGC_8625)
    coupl(nGC_8649) = coupl(nGC_7731) + coupl(nGC_8647)
    coupl(nGC_11029) = coupl(nGC_11026) + coupl(nGC_5457)
    coupl(nGC_9009) = coupl(nGC_9007) + coupl(nGC_9008)
    coupl(nGC_9203) = coupl(nGC_7731) + coupl(nGC_9201)
    coupl(nGC_7594) = coupl(nGC_31)*dZZp/2d0 + coupl(nGC_31)*dZmuMinusR/2d0 +  &
                      coupl(nGC_31)*dZtauMinusR/2d0 + coupl(nGC_5376)
    coupl(nGC_8648) = coupl(nGC_7731) + coupl(nGC_8646)
    coupl(nGC_4874) = coupl(nGC_11)**2d0*coupl(nGC_421)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9285) = coupl(nGC_5175) + coupl(nGC_9282)
    coupl(nGC_9284) = -coupl(nGC_5175) - coupl(nGC_9282)
    coupl(nGC_7900) = coupl(nGC_5266) + coupl(nGC_65)*dZWpMinus/2d0
    coupl(nGC_8537) = coupl(nGC_40)*dZH/2d0 + coupl(nGC_40)*dZWMinus/2d0 +     &
                      coupl(nGC_5189)
    coupl(nGC_8538) = -coupl(nGC_8537)
    coupl(nGC_7861) = coupl(nGC_5248) + coupl(nGC_61)*dZWpMinus/2d0
    coupl(nGC_7645) = coupl(nGC_153)*dZdL_QCD2/2d0 + coupl(nGC_153)*dZsR_QCD2/ &
                      2d0 + coupl(nGC_5120)
    coupl(nGC_8212) = coupl(nGC_115)*dZZ/2d0 + coupl(nGC_5432)
    coupl(nGC_7637) = coupl(nGC_140)*dZdR_QCD2/2d0 + coupl(nGC_140)*dZsL_QCD2/ &
                      2d0 + coupl(nGC_5109)
    coupl(nGC_8452) = coupl(nGC_7731) + coupl(nGC_8448)
    coupl(nGC_8425) = coupl(nGC_5454) + coupl(nGC_8423)
    coupl(nGC_8094) = coupl(nGC_100)*dZZp/2d0 + coupl(nGC_100)*dZtauMinusR +   &
                      coupl(nGC_5382)
    coupl(nGC_7926) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_42)*dZeMinusL/2d0 &
                       + coupl(nGC_42)*dZnu_eL/2d0 + coupl(nGC_5429)
    coupl(nGC_13170) = -coupl(nGC_5021)
    coupl(nGC_10071) = -coupl(nGC_10070)
    coupl(nGC_8093) = coupl(nGC_5379) + coupl(nGC_91)*dZZp/2d0 + coupl(nGC_91)*&
                      dZtauMinusL
    coupl(nGC_7622) = -coupl(nGC_7621)
    coupl(nGC_9624) = coupl(nGC_5456) + coupl(nGC_9621)
    coupl(nGC_7625) = coupl(nGC_35)*dZWMinus + coupl(nGC_5195)
    coupl(nGC_8786) = coupl(nGC_7731) + coupl(nGC_8781)
    coupl(nGC_9377) = -coupl(nGC_5160) - coupl(nGC_9375)
    coupl(nGC_9376) = -coupl(nGC_5159)
    coupl(nGC_8400) = coupl(nGC_8396) + coupl(nGC_8399)
    coupl(nGC_7532) = coupl(nGC_32)*dZZp/2d0 + coupl(nGC_5394)
    coupl(nGC_8705) = -2d0*coupl(nGC_8704)
    coupl(nGC_9545) = coupl(nGC_7731) + coupl(nGC_9544)
    coupl(nGC_9546) = coupl(nGC_7731) + coupl(nGC_9541)
    coupl(nGC_9378) = coupl(nGC_5160) + coupl(nGC_9375)
    coupl(nGC_7573) = -coupl(nGC_7572)
    coupl(nGC_7598) = coupl(nGC_44)*dZWMinus/2d0 + coupl(nGC_5075)
    coupl(nGC_7760) = coupl(nGC_24)*dZZp/2d0 + coupl(nGC_5400)
    coupl(nGC_4980) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_111)**2d0 + coupl(      &
                      nGC_160)**2d0 + coupl(nGC_161)*coupl(nGC_421) + coupl(   &
                      nGC_162)**2d0 + coupl(nGC_163)**2d0 + 4d0*coupl(nGC_2)** &
                      2d0)/(64d0*pi**2d0)
    coupl(nGC_8785) = coupl(nGC_7731) + coupl(nGC_8784)
    coupl(nGC_9204) = coupl(nGC_7731) + coupl(nGC_9202)
    coupl(nGC_8074) = -2d0*coupl(nGC_8063)
    coupl(nGC_8611) = coupl(nGC_5388) + coupl(nGC_92)*dZZp/2d0
    coupl(nGC_8814) = coupl(nGC_5334) + coupl(nGC_96)*dZZp/2d0
    coupl(nGC_4978) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_109)**2d0 + 4d0*coupl(  &
                      nGC_115)**2d0 + coupl(nGC_136)**2d0 + coupl(nGC_160)**2d0&
                       + coupl(nGC_161)*coupl(nGC_421) + 4d0*coupl(nGC_2)**2d0 &
                       + 4d0*coupl(nGC_43)**2d0)/(64d0*pi**2d0)
    coupl(nGC_8079) = coupl(nGC_45)*dZWMinus + coupl(nGC_45)*dZZ/2d0 + coupl(  &
                      nGC_5068)
    coupl(nGC_8080) = -coupl(nGC_8079)
    coupl(nGC_7599) = -coupl(nGC_7598)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
