!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-15 18:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 1152, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 188, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 1064, check)
    call createCurrent(P_b, P_bAnti, P_g, 1315, check)
    call createCurrent(P_muPlus, P_Zp, P_tauMinus, 1300, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 109, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 1394, check)
    call createCurrent(P_WpPlus, P_tAnti, P_s, 521, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_H, 1484, check)
    call createCurrent(P_WpMinus, P_dAnti, P_t, 799, check)
    call createCurrent(P_Z, P_GPlus, P_H, P_WMinus, 928, check)
    call createCurrent(P_GPlus, P_uAnti, P_s, 1369, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, 125, check)
    call createCurrent(P_WpPlus, P_s, P_cAnti, 1172, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 489, check)
    call createCurrent(P_G0, P_uAnti, P_u, 648, check)
    call createCurrent(P_s, P_sAnti, P_H, 1078, check)
    call createCurrent(P_cAnti, P_WpPlus, P_d, 996, check)
    call createCurrent(P_WpMinus, P_nu_e, P_ePlus, 855, check)
    call createCurrent(P_g, P_cAnti, P_c, 477, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 970, check)
    call createCurrent(P_WPlus, P_g, P_WpMinus, P_g, 1555, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 121, check)
    call createCurrent(P_Zp, P_s, P_sAnti, 308, check)
    call createCurrent(P_sAnti, P_g, P_s, 581, check)
    call createCurrent(P_u, P_cAnti, P_Zp, 601, check)
    call createCurrent(P_c, P_GMinus, P_dAnti, 1462, check)
    call createCurrent(P_bAnti, P_d, P_Zp, 562, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 1095, check)
    call createCurrent(P_s, P_WpPlus, P_cAnti, 594, check)
    call createCurrent(P_nu_e, P_ePlus, P_WpMinus, 985, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, P_H, 1084, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 1372, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 1280, check)
    call createCurrent(P_tauMinus, P_WpPlus, P_nu_tauAnti, 1144, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 1046, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 887, check)
    call createCurrent(P_H, P_WPlus, P_A, P_GMinus, 569, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, P_H, 1277, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 1145, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 916, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 357, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 983, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 190, check)
    call createCurrent(P_WMinus, P_H, P_Z, P_GPlus, 312, check)
    call createCurrent(P_ePlus, P_WpMinus, P_nu_e, 608, check)
    call createCurrent(P_Zp, P_d, P_bAnti, 272, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 291, check)
    call createCurrent(P_bAnti, P_b, P_g, 634, check)
    call createCurrent(P_cAnti, P_Z, P_c, 1392, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 1361, check)
    call createCurrent(P_Zp, P_tauMinus, P_ePlus, 806, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 1045, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 1322, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 445, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 203, check)
    call createCurrent(P_t, P_Z, P_tAnti, 1087, check)
    call createCurrent(P_G0, P_dAnti, P_d, 863, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 877, check)
    call createCurrent(P_s, P_Z, P_sAnti, 402, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 625, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 89, check)
    call createCurrent(P_H, P_cAnti, P_c, 931, check)
    call createCurrent(P_H, P_H, P_GPlus, P_GMinus, 604, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 1265, check)
    call createCurrent(P_H, P_sAnti, P_d, 1080, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 1116, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 797, check)
    call createCurrent(P_H, P_Z, P_GMinus, P_WPlus, 1149, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 722, check)
    call createCurrent(P_G0, P_c, P_cAnti, 11, check)
    call createCurrent(P_s, P_uAnti, P_GPlus, 1197, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 543, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 782, check)
    call createCurrent(P_g, P_H, P_H, P_g, 1645, check)
    call createCurrent(P_WpPlus, P_WMinus, P_g, P_g, 1675, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 500, check)
    call createCurrent(P_g, P_g, P_Z, P_Zp, 1669, check)
    call createCurrent(P_Zp, P_sAnti, P_b, 649, check)
    call createCurrent(P_uAnti, P_s, P_WpPlus, 465, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 1497, check)
    call createCurrent(P_sAnti, P_WpMinus, P_u, 164, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 1588, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 1015, check)
    call createCurrent(P_tauMinus, P_Zp, P_muPlus, 537, check)
    call createCurrent(P_dAnti, P_t, P_WpMinus, 1310, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 1343, check)
    call createCurrent(P_sAnti, P_s, P_H, 791, check)
    call createCurrent(P_A, P_H, P_GMinus, P_WPlus, 920, check)
    call createCurrent(P_dAnti, P_d, P_A, 149, check)
    call createCurrent(P_WpPlus, P_WpMinus, P_g, P_g, 1678, check)
    call createCurrent(P_Z, P_uAnti, P_u, 1384, check)
    call createCurrent(P_H, P_muMinus, P_muPlus, 158, check)
    call createCurrent(P_tauMinus, P_H, P_tauPlus, 365, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 1074, check)
    call createCurrent(P_Zp, P_A, P_g, P_g, 1629, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 384, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, P_H, 319, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, 660, check)
    call createCurrent(P_GPlus, P_H, P_H, P_GMinus, 1034, check)
    call createCurrent(P_c, P_cAnti, P_Zp, 415, check)
    call createCurrent(P_dAnti, P_g, P_d, 1308, check)
    call createCurrent(P_WpMinus, P_muPlus, P_nu_e, 784, check)
    call createCurrent(P_c, P_cAnti, P_A, 616, check)
    call createCurrent(P_Zp, P_g, P_g, P_Z, 1584, check)
    call createCurrent(P_tauMinus, P_nu_muAnti, P_WpPlus, 320, check)
    call createCurrent(P_H, P_dAnti, P_s, 324, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 1563, check)
    call createCurrent(P_cAnti, P_GPlus, P_d, 26, check)
    call createCurrent(P_G0, P_sAnti, P_d, 801, check)
    call createCurrent(P_tAnti, P_t, P_A, 662, check)
    call createCurrent(P_tauMinus, P_tauPlus, 1509, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 1290, check)
    call createCurrent(P_b, P_WpPlus, P_cAnti, 1419, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_H, 494, check)
    call createCurrent(P_eMinus, P_muPlus, P_Zp, 669, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 703, check)
    call createCurrent(P_c, P_WpMinus, P_dAnti, 727, check)
    call createCurrent(P_A, P_d, P_dAnti, 10, check)
    call createCurrent(P_dAnti, P_c, P_WMinus, 457, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, 1195, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 472, check)
    call createCurrent(P_H, P_H, P_H, 943, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 280, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 167, check)
    call createCurrent(P_d, P_WpPlus, P_tAnti, 102, check)
    call createCurrent(P_g, P_WpMinus, P_g, P_WpPlus, 1561, check)
    call createCurrent(P_muMinus, P_Zp, P_tauPlus, 1348, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_A, 134, check)
    call createCurrent(P_u, P_bAnti, P_WpMinus, 244, check)
    call createCurrent(P_uAnti, P_u, 1505, check)
    call createCurrent(P_WpMinus, P_bAnti, P_c, 848, check)
    call createCurrent(P_Zp, P_bAnti, P_d, 1213, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 286, check)
    call createCurrent(P_sAnti, P_A, P_s, 623, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_Z, 148, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 1103, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WpPlus, 358, check)
    call createCurrent(P_nu_muAnti, P_WpPlus, P_muMinus, 82, check)
    call createCurrent(P_eMinus, P_ePlus, P_Zp, 1487, check)
    call createCurrent(P_uAnti, P_WPlus, P_s, 234, check)
    call createCurrent(P_tauPlus, P_Zp, P_tauMinus, 951, check)
    call createCurrent(P_d, P_H, P_sAnti, 644, check)
    call createCurrent(P_t, P_sAnti, P_WpMinus, 1303, check)
    call createCurrent(P_uAnti, P_WpPlus, P_s, 1495, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 154, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 632, check)
    call createCurrent(P_uAnti, P_u, P_g, 772, check)
    call createCurrent(P_nu_e, P_WpMinus, P_muPlus, 911, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 1470, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 854, check)
    call createCurrent(P_nu_eAnti, P_muMinus, P_WpPlus, 92, check)
    call createCurrent(P_GMinus, P_H, P_A, P_WPlus, 174, check)
    call createCurrent(P_u, P_uAnti, 1530, check)
    call createCurrent(P_WpPlus, P_g, P_WpMinus, P_g, 1612, check)
    call createCurrent(P_cAnti, P_c, P_Zp, 1157, check)
    call createCurrent(P_sAnti, P_H, P_s, 49, check)
    call createCurrent(P_s, P_WpPlus, P_uAnti, 1405, check)
    call createCurrent(P_tAnti, P_t, P_Z, 459, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 785, check)
    call createCurrent(P_s, P_sAnti, P_Zp, 755, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 83, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 732, check)
    call createCurrent(P_g, P_WPlus, P_WpMinus, P_g, 1550, check)
    call createCurrent(P_sAnti, P_b, P_Zp, 1316, check)
    call createCurrent(P_d, P_cAnti, P_GPlus, 362, check)
    call createCurrent(P_G0, P_H, P_G0, 443, check)
    call createCurrent(P_WMinus, P_dAnti, P_c, 1070, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 555, check)
    call createCurrent(P_A, P_H, P_WMinus, P_GPlus, 1001, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 1274, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 441, check)
    call createCurrent(P_cAnti, P_c, 1500, check)
    call createCurrent(P_uAnti, P_u, P_Zp, 421, check)
    call createCurrent(P_cAnti, P_Zp, P_t, 223, check)
    call createCurrent(P_c, P_cAnti, P_G0, 155, check)
    call createCurrent(P_WpPlus, P_cAnti, P_b, 1007, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 210, check)
    call createCurrent(P_tauMinus, P_Zp, P_ePlus, 577, check)
    call createCurrent(P_c, P_sAnti, P_WpMinus, 846, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, 1461, check)
    call createCurrent(P_G0, P_tAnti, P_t, 1415, check)
    call createCurrent(P_dAnti, P_Zp, P_b, 575, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 998, check)
    call createCurrent(P_bAnti, P_Zp, P_d, 808, check)
    call createCurrent(P_s, P_dAnti, P_G0, 1390, check)
    call createCurrent(P_tauPlus, P_WpMinus, P_nu_e, 977, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 57, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghWm, 1119, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 327, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, 1128, check)
    call createCurrent(P_dAnti, P_d, P_g, 876, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 542, check)
    call createCurrent(P_c, P_cAnti, 1506, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_A, 1026, check)
    call createCurrent(P_WpMinus, P_c, P_bAnti, 369, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 524, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 132, check)
    call createCurrent(P_s, P_Zp, P_sAnti, 895, check)
    call createCurrent(P_A, P_H, P_GPlus, P_WMinus, 979, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 182, check)
    call createCurrent(P_eMinus, P_nu_tauAnti, P_WpPlus, 1352, check)
    call createCurrent(P_s, P_sAnti, P_g, 523, check)
    call createCurrent(P_uAnti, P_Z, P_u, 959, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 181, check)
    call createCurrent(P_ePlus, P_nu_e, P_WpMinus, 1143, check)
    call createCurrent(P_A, P_GPlus, P_H, P_WMinus, 696, check)
    call createCurrent(P_d, P_dAnti, 1525, check)
    call createCurrent(P_H, P_A, P_WMinus, P_GPlus, 1296, check)
    call createCurrent(P_A, P_Zp, P_g, P_g, 1643, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 432, check)
    call createCurrent(P_H, P_G0, P_Z, 1491, check)
    call createCurrent(P_d, P_GPlus, P_cAnti, 734, check)
    call createCurrent(P_uAnti, P_d, P_WpPlus, 1180, check)
    call createCurrent(P_d, P_bAnti, P_Zp, 1338, check)
    call createCurrent(P_d, P_Zp, P_bAnti, 1476, check)
    call createCurrent(P_Z, P_g, P_g, P_Zp, 1581, check)
    call createCurrent(P_g, P_WpPlus, P_g, P_WpMinus, 1579, check)
    call createCurrent(P_WpMinus, P_nu_tau, P_tauPlus, 1463, check)
    call createCurrent(P_d, P_sAnti, P_H, 483, check)
    call createCurrent(P_G0, P_d, P_dAnti, 305, check)
    call createCurrent(P_bAnti, P_G0, P_b, 884, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 517, check)
    call createCurrent(P_H, P_Z, P_G0, 506, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H, 424, check)
    call createCurrent(P_WpPlus, P_nu_muAnti, P_eMinus, 1102, check)
    call createCurrent(P_bAnti, P_Z, P_b, 1376, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 584, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 1632, check)
    call createCurrent(P_tauMinus, P_muPlus, P_Zp, 202, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 243, check)
    call createCurrent(P_s, P_GPlus, P_uAnti, 723, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WpMinus, 1317, check)
    call createCurrent(P_u, P_Zp, P_tAnti, 912, check)
    call createCurrent(P_H, P_muPlus, P_muMinus, 1340, check)
    call createCurrent(P_WPlus, P_WMinus, 1503, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 385, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 611, check)
    call createCurrent(P_dAnti, P_WpMinus, P_u, 113, check)
    call createCurrent(P_muMinus, P_muPlus, P_Zp, 189, check)
    call createCurrent(P_A, P_g, P_Zp, P_g, 1564, check)
    call createCurrent(P_u, P_Zp, P_cAnti, 642, check)
    call createCurrent(P_c, P_dAnti, P_GMinus, 840, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H, 779, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 1062, check)
    call createCurrent(P_tauMinus, P_WpPlus, P_nu_eAnti, 525, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 438, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 1440, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 467, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 1272, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 257, check)
    call createCurrent(P_Zp, P_g, P_g, P_g, 1646, check)
    call createCurrent(P_Zp, P_s, P_bAnti, 1032, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 1354, check)
    call createCurrent(P_d, P_G0, P_dAnti, 729, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 218, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 1299, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 1600, check)
    call createCurrent(P_WpPlus, P_uAnti, P_d, 370, check)
    call createCurrent(P_Zp, P_tAnti, P_u, 826, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 679, check)
    call createCurrent(P_tAnti, P_Zp, P_t, 60, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 131, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 235, check)
    call createCurrent(P_d, P_cAnti, P_WPlus, 976, check)
    call createCurrent(P_g, P_g, P_WpPlus, P_WMinus, 1580, check)
    call createCurrent(P_muPlus, P_nu_tau, P_WpMinus, 1082, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WpMinus, 418, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 1654, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 1271, check)
    call createCurrent(P_u, P_dAnti, P_WpMinus, 637, check)
    call createCurrent(P_A, P_s, P_sAnti, 1003, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 949, check)
    call createCurrent(P_Zp, P_tauMinus, P_tauPlus, 769, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, 522, check)
    call createCurrent(P_H, P_d, P_sAnti, 1374, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 566, check)
    call createCurrent(P_A, P_H, P_WPlus, P_GMinus, 1448, check)
    call createCurrent(P_d, P_g, P_dAnti, 268, check)
    call createCurrent(P_g, P_t, P_tAnti, 47, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 298, check)
    call createCurrent(P_t, P_tAnti, 1514, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 1228, check)
    call createCurrent(P_sAnti, P_WMinus, P_u, 1244, check)
    call createCurrent(P_b, P_bAnti, P_Zp, 878, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 1518, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 23, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 871, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 486, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 1109, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_A, 1242, check)
    call createCurrent(P_u, P_uAnti, P_Z, 533, check)
    call createCurrent(P_GPlus, P_H, P_Z, P_WMinus, 511, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 736, check)
    call createCurrent(P_t, P_bAnti, P_WMinus, 393, check)
    call createCurrent(P_ghWpAnti, P_H, P_ghWp, 259, check)
    call createCurrent(P_uAnti, P_WpPlus, P_d, 346, check)
    call createCurrent(P_g, P_b, P_bAnti, 249, check)
    call createCurrent(P_A, P_b, P_bAnti, 668, check)
    call createCurrent(P_g, P_g, P_H, P_H, 1673, check)
    call createCurrent(P_WpPlus, P_s, P_tAnti, 1136, check)
    call createCurrent(P_c, P_H, P_cAnti, 251, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 1349, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 665, check)
    call createCurrent(P_tAnti, P_Zp, P_c, 793, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 1193, check)
    call createCurrent(P_GMinus, P_u, P_sAnti, 323, check)
    call createCurrent(P_uAnti, P_Zp, P_t, 392, check)
    call createCurrent(P_ePlus, P_eMinus, P_H, 292, check)
    call createCurrent(P_g, P_Zp, P_g, 1572, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 1267, check)
    call createCurrent(P_d, P_H, P_dAnti, 1058, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 1578, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 366, check)
    call createCurrent(P_sAnti, P_s, P_G0, 1344, check)
    call createCurrent(P_WpMinus, P_sAnti, P_t, 1022, check)
    call createCurrent(P_u, P_G0, P_uAnti, 997, check)
    call createCurrent(P_H, P_A, P_GMinus, P_WPlus, 1206, check)
    call createCurrent(P_Zp, P_uAnti, P_u, 1225, check)
    call createCurrent(P_WpPlus, P_tauMinus, P_nu_tauAnti, 1161, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, 473, check)
    call createCurrent(P_H, P_t, P_tAnti, 1391, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, 942, check)
    call createCurrent(P_G0, P_sAnti, P_s, 61, check)
    call createCurrent(P_muPlus, P_WpMinus, P_nu_tau, 32, check)
    call createCurrent(P_g, P_g, P_g, 832, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 214, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 1059, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 484, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_H, 1356, check)
    call createCurrent(P_WpMinus, P_ePlus, P_nu_tau, 762, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 1409, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 1636, check)
    call createCurrent(P_Zp, P_sAnti, P_s, 1400, check)
    call createCurrent(P_Zp, P_t, P_uAnti, 397, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 407, check)
    call createCurrent(P_H, P_Z, P_WMinus, P_GPlus, 239, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 270, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 936, check)
    call createCurrent(P_WMinus, P_Z, P_H, P_GPlus, 578, check)
    call createCurrent(P_c, P_dAnti, P_WpMinus, 216, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 1112, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_H, 233, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 161, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 238, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 651, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 1404, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 76, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 1626, check)
    call createCurrent(P_muPlus, P_Zp, P_eMinus, 1345, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 684, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 326, check)
    call createCurrent(P_WpMinus, P_dAnti, P_c, 971, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 1433, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 1233, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_H, 492, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 236, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WpMinus, 403, check)
    call createCurrent(P_d, P_WpPlus, P_cAnti, 814, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 200, check)
    call createCurrent(P_H, P_u, P_uAnti, 1055, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 42, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 37, check)
    call createCurrent(P_tauPlus, P_tauMinus, 1536, check)
    call createCurrent(P_c, P_Z, P_cAnti, 1028, check)
    call createCurrent(P_g, P_H, P_g, P_H, 1625, check)
    call createCurrent(P_H, P_b, P_bAnti, 502, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 1008, check)
    call createCurrent(P_WpMinus, P_g, P_WPlus, P_g, 1595, check)
    call createCurrent(P_WMinus, P_u, P_sAnti, 1192, check)
    call createCurrent(P_g, P_g, 1523, check)
    call createCurrent(P_Z, P_Z, P_H, 501, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 290, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 133, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, 671, check)
    call createCurrent(P_WMinus, P_H, P_H, P_WPlus, 635, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 645, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 178, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 1231, check)
    call createCurrent(P_A, P_WMinus, P_H, P_GPlus, 741, check)
    call createCurrent(P_Zp, P_muMinus, P_ePlus, 105, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 1167, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 1039, check)
    call createCurrent(P_Zp, P_muPlus, P_muMinus, 1247, check)
    call createCurrent(P_u, P_uAnti, P_g, 965, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 1542, check)
    call createCurrent(P_nu_tauAnti, P_eMinus, P_WpPlus, 108, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 1223, check)
    call createCurrent(P_GPlus, P_H, P_A, P_WMinus, 1106, check)
    call createCurrent(P_Zp, P_cAnti, P_t, 598, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 1492, check)
    call createCurrent(P_tauPlus, P_H, P_tauMinus, 1201, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 1019, check)
    call createCurrent(P_g, P_g, P_Zp, P_Z, 1599, check)
    call createCurrent(P_WPlus, P_GMinus, 1501, check)
    call createCurrent(P_u, P_g, P_uAnti, 419, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 888, check)
    call createCurrent(P_tAnti, P_u, P_Zp, 86, check)
    call createCurrent(P_dAnti, P_c, P_GMinus, 718, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, 950, check)
    call createCurrent(P_muMinus, P_WpPlus, P_nu_muAnti, 914, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H, 1093, check)
    call createCurrent(P_s, P_tAnti, P_WpPlus, 823, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 14, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 1249, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 794, check)
    call createCurrent(P_Zp, P_bAnti, P_s, 498, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 1603, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_Z, 463, check)
    call createCurrent(P_WpPlus, P_tauMinus, P_nu_eAnti, 1377, check)
    call createCurrent(P_ghZAnti, P_H, P_ghZ, 1224, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_H, 1086, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 1328, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 667, check)
    call createCurrent(P_H, P_Z, P_Z, P_H, 1399, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, 1442, check)
    call createCurrent(P_muMinus, P_WpPlus, P_nu_tauAnti, 639, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 55, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 342, check)
    call createCurrent(P_nu_tau, P_WpMinus, P_tauPlus, 485, check)
    call createCurrent(P_d, P_G0, P_sAnti, 24, check)
    call createCurrent(P_t, P_tAnti, P_A, 789, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H, 1053, check)
    call createCurrent(P_H, P_ghWpAnti, P_ghWp, 842, check)
    call createCurrent(P_H, P_tauPlus, P_tauMinus, 1169, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 78, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 460, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_A, 870, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 1634, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 605, check)
    call createCurrent(P_t, P_tAnti, P_G0, 849, check)
    call createCurrent(P_dAnti, P_WpMinus, P_t, 1416, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 683, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 589, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 835, check)
    call createCurrent(P_Zp, P_muMinus, P_muPlus, 820, check)
    call createCurrent(P_g, P_Zp, P_g, P_Z, 1621, check)
    call createCurrent(P_cAnti, P_s, P_WpPlus, 269, check)
    call createCurrent(P_nu_mu, P_ePlus, P_WpMinus, 541, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 631, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 1235, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 1367, check)
    call createCurrent(P_GPlus, P_cAnti, P_d, 937, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 900, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 143, check)
    call createCurrent(P_H, P_ghZAnti, P_ghZ, 256, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 1107, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_Z, 207, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 294, check)
    call createCurrent(P_ePlus, P_Zp, P_tauMinus, 287, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 746, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 508, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 1587, check)
    call createCurrent(P_s, P_A, P_sAnti, 580, check)
    call createCurrent(P_s, P_WpPlus, P_tAnti, 310, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 597, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 853, check)
    call createCurrent(P_nu_muAnti, P_WpPlus, P_eMinus, 880, check)
    call createCurrent(P_G0, P_H, P_Z, 1437, check)
    call createCurrent(P_d, P_cAnti, P_WpPlus, 213, check)
    call createCurrent(P_H, P_H, P_WMinus, P_WPlus, 74, check)
    call createCurrent(P_GMinus, P_dAnti, P_c, 1170, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 151, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_Z, 1320, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 1606, check)
    call createCurrent(P_cAnti, P_A, P_c, 1421, check)
    call createCurrent(P_g, P_g, P_H, 1651, check)
    call createCurrent(P_muPlus, P_muMinus, P_H, 456, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 813, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 117, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 815, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 96, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 481, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 479, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H, 70, check)
    call createCurrent(P_muMinus, P_muPlus, 1533, check)
    call createCurrent(P_uAnti, P_Zp, P_c, 1362, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 548, check)
    call createCurrent(P_bAnti, P_b, P_G0, 1388, check)
    call createCurrent(P_g, P_g, P_WpPlus, P_WpMinus, 1665, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 1648, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 1324, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 175, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 398, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 1219, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 903, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 490, check)
    call createCurrent(P_sAnti, P_u, P_GMinus, 1454, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_A, 349, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 431, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 768, check)
    call createCurrent(P_b, P_bAnti, P_G0, 653, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 231, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 730, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 255, check)
    call createCurrent(P_sAnti, P_t, P_WpMinus, 851, check)
    call createCurrent(P_H, P_sAnti, P_s, 1218, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 1456, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 512, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 1260, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 650, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 591, check)
    call createCurrent(P_WpMinus, P_nu_mu, P_tauPlus, 630, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H, 1401, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 712, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 917, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 1060, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 1037, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, 1232, check)
    call createCurrent(P_muPlus, P_WpMinus, P_nu_mu, 901, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 444, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 1519, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 275, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 198, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 1177, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 13, check)
    call createCurrent(P_G0, P_Z, 1517, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 1410, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 1594, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 507, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 1540, check)
    call createCurrent(P_tAnti, P_c, P_Zp, 747, check)
    call createCurrent(P_WPlus, P_uAnti, P_s, 1289, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 33, check)
    call createCurrent(P_sAnti, P_c, P_WpMinus, 1319, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 1031, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 1114, check)
    call createCurrent(P_G0, P_bAnti, P_b, 183, check)
    call createCurrent(P_uAnti, P_b, P_WpPlus, 745, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 720, check)
    call createCurrent(P_sAnti, P_WpMinus, P_c, 48, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 65, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 641, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 1092, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WpPlus, 865, check)
    call createCurrent(P_Zp, P_muPlus, P_eMinus, 452, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 31, check)
    call createCurrent(P_t, P_WpMinus, P_dAnti, 945, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 186, check)
    call createCurrent(P_uAnti, P_s, P_GPlus, 872, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 879, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 831, check)
    call createCurrent(P_c, P_WpMinus, P_sAnti, 1481, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 1652, check)
    call createCurrent(P_WPlus, P_tAnti, P_b, 325, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 1512, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 195, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 989, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 1539, check)
    call createCurrent(P_nu_eAnti, P_WpPlus, P_eMinus, 1402, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 388, check)
    call createCurrent(P_g, P_g, P_Zp, P_A, 1569, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_A, 1141, check)
    call createCurrent(P_WMinus, P_H, P_A, P_GPlus, 130, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 624, check)
    call createCurrent(P_Z, P_u, P_uAnti, 1283, check)
    call createCurrent(P_H, P_g, P_g, P_H, 1658, check)
    call createCurrent(P_Zp, P_g, P_Zp, P_g, 1617, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 288, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 647, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_A, 66, check)
    call createCurrent(P_u, P_sAnti, P_GMinus, 1381, check)
    call createCurrent(P_WpPlus, P_nu_eAnti, P_tauMinus, 579, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 796, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 896, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 1168, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 1111, check)
    call createCurrent(P_Z, P_g, P_g, P_A, 1656, check)
    call createCurrent(P_bAnti, P_t, P_WpMinus, 953, check)
    call createCurrent(P_H, P_GPlus, P_A, P_WMinus, 281, check)
    call createCurrent(P_uAnti, P_A, P_u, 45, check)
    call createCurrent(P_g, P_g, P_Zp, P_Zp, 1593, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 798, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 316, check)
    call createCurrent(P_Z, P_H, P_WMinus, P_GPlus, 449, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 264, check)
    call createCurrent(P_g, P_g, P_A, P_g, 1567, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 1173, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 1200, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 978, check)
    call createCurrent(P_muPlus, P_H, P_muMinus, 248, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 964, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 828, check)
    call createCurrent(P_eMinus, P_WpPlus, P_nu_eAnti, 733, check)
    call createCurrent(P_d, P_sAnti, P_G0, 934, check)
    call createCurrent(P_nu_muAnti, P_eMinus, P_WpPlus, 1464, check)
    call createCurrent(P_H, P_g, P_g, 1576, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_A, 1292, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 1532, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 1245, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 721, check)
    call createCurrent(P_b, P_Z, P_bAnti, 1489, check)
    call createCurrent(P_d, P_dAnti, P_G0, 263, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 1382, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 678, check)
    call createCurrent(P_g, P_WpPlus, P_g, P_WMinus, 1679, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 25, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 819, check)
    call createCurrent(P_Zp, P_c, P_tAnti, 157, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 1002, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 99, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 271, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 1631, check)
    call createCurrent(P_H, P_ghZ, P_ghZAnti, 673, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WpPlus, 1627, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_Z, 1142, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 215, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 694, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 221, check)
    call createCurrent(P_tauPlus, P_WpMinus, P_nu_tau, 1364, check)
    call createCurrent(P_H, P_Z, P_Z, 169, check)
    call createCurrent(P_nu_tauAnti, P_WpPlus, P_muMinus, 306, check)
    call createCurrent(P_G0, P_b, P_bAnti, 56, check)
    call createCurrent(P_H, P_g, P_H, P_g, 1649, check)
    call createCurrent(P_muPlus, P_WpMinus, P_nu_e, 141, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 166, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 1473, check)
    call createCurrent(P_muMinus, P_nu_eAnti, P_WpPlus, 1050, check)
    call createCurrent(P_u, P_uAnti, P_Zp, 705, check)
    call createCurrent(P_s, P_bAnti, P_Zp, 681, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 867, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 1147, check)
    call createCurrent(P_g, P_Z, P_Z, P_g, 1628, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 809, check)
    call createCurrent(P_G0, P_dAnti, P_s, 302, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 1077, check)
    call createCurrent(P_nu_tau, P_WpMinus, P_ePlus, 411, check)
    call createCurrent(P_c, P_cAnti, P_H, 1455, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 461, check)
    call createCurrent(P_bAnti, P_H, P_b, 162, check)
    call createCurrent(P_g, P_g, P_Zp, 1609, check)
    call createCurrent(P_Zp, P_s, P_dAnti, 1071, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 1017, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 1263, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 1297, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 144, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 1009, check)
    call createCurrent(P_c, P_WMinus, P_dAnti, 710, check)
    call createCurrent(P_Zp, P_g, P_g, 1602, check)
    call createCurrent(P_nu_e, P_tauPlus, P_WpMinus, 1202, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_H, 825, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 16, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 1413, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 1155, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 1398, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 1207, check)
    call createCurrent(P_eMinus, P_ePlus, 1515, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 1081, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 845, check)
    call createCurrent(P_dAnti, P_d, P_H, 1298, check)
    call createCurrent(P_WpMinus, P_tauPlus, P_nu_e, 503, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 1430, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, 237, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 1339, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 382, check)
    call createCurrent(P_d, P_Zp, P_sAnti, 88, check)
    call createCurrent(P_tauMinus, P_ePlus, P_Zp, 862, check)
    call createCurrent(P_eMinus, P_Zp, P_ePlus, 399, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 1042, check)
    call createCurrent(P_tauPlus, P_Zp, P_muMinus, 12, check)
    call createCurrent(P_Z, P_H, P_Z, 1113, check)
    call createCurrent(P_A, P_tAnti, P_t, 1251, check)
    call createCurrent(P_nu_mu, P_WpMinus, P_tauPlus, 1250, check)
    call createCurrent(P_eMinus, P_WpPlus, P_nu_tauAnti, 395, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 1033, check)
    call createCurrent(P_nu_e, P_muPlus, P_WpMinus, 744, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 518, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 1014, check)
    call createCurrent(P_Z, P_d, P_dAnti, 406, check)
    call createCurrent(P_g, P_A, P_Zp, P_g, 1577, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 30, check)
    call createCurrent(P_tAnti, P_t, P_Zp, 1469, check)
    call createCurrent(P_g, P_g, P_WpMinus, P_WpPlus, 1544, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 1313, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 206, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 995, check)
    call createCurrent(P_WpMinus, P_c, P_sAnti, 972, check)
    call createCurrent(P_WPlus, P_H, P_Z, P_GMinus, 666, check)
    call createCurrent(P_g, P_c, P_cAnti, 629, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 1347, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, P_H, 1266, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 509, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 1035, check)
    call createCurrent(P_bAnti, P_s, P_Zp, 360, check)
    call createCurrent(P_dAnti, P_G0, P_s, 359, check)
    call createCurrent(P_s, P_Zp, P_bAnti, 1127, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 1425, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 775, check)
    call createCurrent(P_sAnti, P_d, P_G0, 1153, check)
    call createCurrent(P_c, P_WpMinus, P_bAnti, 686, check)
    call createCurrent(P_A, P_WPlus, P_H, P_GMinus, 725, check)
    call createCurrent(P_Zp, P_c, P_uAnti, 194, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 409, check)
    call createCurrent(P_tauPlus, P_muMinus, P_Zp, 299, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 628, check)
    call createCurrent(P_WMinus, P_GPlus, 1511, check)
    call createCurrent(P_Zp, P_u, P_cAnti, 242, check)
    call createCurrent(P_g, P_sAnti, P_s, 633, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 296, check)
    call createCurrent(P_GMinus, P_WPlus, 1524, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 567, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WpPlus, 810, check)
    call createCurrent(P_A, P_t, P_tAnti, 201, check)
    call createCurrent(P_sAnti, P_GMinus, P_u, 1089, check)
    call createCurrent(P_b, P_G0, P_bAnti, 551, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 140, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 499, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 599, check)
    call createCurrent(P_Z, P_s, P_sAnti, 894, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 927, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 114, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 529, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 367, check)
    call createCurrent(P_sAnti, P_s, P_g, 817, check)
    call createCurrent(P_WpMinus, P_WPlus, P_g, P_g, 1666, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 1650, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 1294, check)
    call createCurrent(P_cAnti, P_Zp, P_u, 1, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 1226, check)
    call createCurrent(P_nu_eAnti, P_WpPlus, P_muMinus, 606, check)
    call createCurrent(P_tAnti, P_t, P_g, 852, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 98, check)
    call createCurrent(P_s, P_dAnti, P_H, 627, check)
    call createCurrent(P_WpPlus, P_nu_tauAnti, P_tauMinus, 1210, check)
    call createCurrent(P_H, P_Z, P_GPlus, P_WMinus, 864, check)
    call createCurrent(P_s, P_WPlus, P_uAnti, 1304, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 8, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 1054, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 1036, check)
    call createCurrent(P_g, P_Z, P_g, P_Zp, 1596, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 830, check)
    call createCurrent(P_H, P_bAnti, P_b, 205, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 1457, check)
    call createCurrent(P_t, P_WpMinus, P_sAnti, 220, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H, 690, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 822, check)
    call createCurrent(P_uAnti, P_u, P_Z, 1215, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 437, check)
    call createCurrent(P_tAnti, P_b, P_WpPlus, 682, check)
    call createCurrent(P_GPlus, P_Z, P_H, P_WMinus, 1411, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 390, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 909, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 929, check)
    call createCurrent(P_GMinus, P_H, P_H, P_GPlus, 992, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 40, check)
    call createCurrent(P_WpPlus, P_cAnti, P_d, 429, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 750, check)
    call createCurrent(P_sAnti, P_s, P_Zp, 583, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 538, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 505, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 159, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_H, 475, check)
    call createCurrent(P_H, P_s, P_sAnti, 767, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 1480, check)
    call createCurrent(P_A, P_g, P_g, P_A, 1608, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 1494, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 1311, check)
    call createCurrent(P_eMinus, P_ePlus, P_H, 947, check)
    call createCurrent(P_A, P_bAnti, P_b, 1412, check)
    call createCurrent(P_g, P_WpPlus, P_WpMinus, P_g, 1607, check)
    call createCurrent(P_ePlus, P_eMinus, 1535, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 58, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 687, check)
    call createCurrent(P_Zp, P_g, P_Z, P_g, 1541, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 1639, check)
    call createCurrent(P_ePlus, P_WpMinus, P_nu_mu, 544, check)
    call createCurrent(P_WpMinus, P_tauPlus, P_nu_mu, 396, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 1097, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 614, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 515, check)
    call createCurrent(P_G0, P_H, P_H, P_G0, 19, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, 1395, check)
    call createCurrent(P_dAnti, P_d, P_Zp, 595, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 761, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 1566, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 377, check)
    call createCurrent(P_H, P_WMinus, P_A, P_GPlus, 1150, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 534, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 1013, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 1467, check)
    call createCurrent(P_Zp, P_t, P_cAnti, 1222, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 545, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 1513, check)
    call createCurrent(P_WpMinus, P_t, P_dAnti, 519, check)
    call createCurrent(P_G0, P_s, P_sAnti, 1482, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 1052, check)
    call createCurrent(P_Z, P_H, P_G0, 331, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 1429, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 1507, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 252, check)
    call createCurrent(P_WpMinus, P_sAnti, P_c, 297, check)
    call createCurrent(P_Zp, P_eMinus, P_ePlus, 1253, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 1547, check)
    call createCurrent(P_tAnti, P_t, P_G0, 1140, check)
    call createCurrent(P_WpMinus, P_g, P_g, P_WPlus, 1558, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 405, check)
    call createCurrent(P_Zp, P_u, P_tAnti, 968, check)
    call createCurrent(P_s, P_G0, P_sAnti, 147, check)
    call createCurrent(P_cAnti, P_d, P_WPlus, 1387, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WpMinus, 1556, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_Z, 1006, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 111, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 454, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WpMinus, 1493, check)
    call createCurrent(P_Zp, P_tAnti, P_c, 724, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 837, check)
    call createCurrent(P_tauPlus, P_eMinus, P_Zp, 590, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 787, check)
    call createCurrent(P_d, P_A, P_dAnti, 38, check)
    call createCurrent(P_c, P_uAnti, P_Zp, 994, check)
    call createCurrent(P_Zp, P_tAnti, P_t, 866, check)
    call createCurrent(P_d, P_sAnti, P_Zp, 1258, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 771, check)
    call createCurrent(P_c, P_cAnti, P_g, 1275, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 94, check)
    call createCurrent(P_Zp, P_cAnti, P_c, 1305, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 781, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 347, check)
    call createCurrent(P_nu_tau, P_ePlus, P_WpMinus, 1011, check)
    call createCurrent(P_G0, P_G0, P_H, P_H, 246, check)
    call createCurrent(P_tAnti, P_A, P_t, 1123, check)
    call createCurrent(P_A, P_g, P_g, P_Zp, 1677, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 46, check)
    call createCurrent(P_u, P_Z, P_uAnti, 1314, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 1545, check)
    call createCurrent(P_s, P_sAnti, P_A, 434, check)
    call createCurrent(P_t, P_tAnti, P_g, 1273, check)
    call createCurrent(P_uAnti, P_s, P_WPlus, 1453, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 128, check)
    call createCurrent(P_Zp, P_b, P_dAnti, 217, check)
    call createCurrent(P_Z, P_bAnti, P_b, 610, check)
    call createCurrent(P_G0, P_cAnti, P_c, 969, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 191, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 301, check)
    call createCurrent(P_g, P_WMinus, P_WpPlus, P_g, 1642, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_A, 609, check)
    call createCurrent(P_Z, P_dAnti, P_d, 104, check)
    call createCurrent(P_b, P_cAnti, P_WpPlus, 926, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 758, check)
    call createCurrent(P_bAnti, P_b, P_Z, 118, check)
    call createCurrent(P_A, P_c, P_cAnti, 829, check)
    call createCurrent(P_bAnti, P_u, P_WpMinus, 77, check)
    call createCurrent(P_A, P_uAnti, P_u, 278, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 1269, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 1158, check)
    call createCurrent(P_WpPlus, P_nu_tauAnti, P_eMinus, 1129, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 935, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 1554, check)
    call createCurrent(P_WpPlus, P_muMinus, P_nu_eAnti, 688, check)
    call createCurrent(P_GPlus, P_A, P_H, P_WMinus, 1353, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 788, check)
    call createCurrent(P_g, P_Z, P_Zp, P_g, 1653, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WpPlus, 1619, check)
    call createCurrent(P_s, P_g, P_sAnti, 1061, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 1443, check)
    call createCurrent(P_u, P_sAnti, P_WMinus, 860, check)
    call createCurrent(P_uAnti, P_Zp, P_u, 258, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 708, check)
    call createCurrent(P_WpMinus, P_bAnti, P_t, 546, check)
    call createCurrent(P_Zp, P_cAnti, P_u, 554, check)
    call createCurrent(P_A, P_g, P_g, P_g, 1591, check)
    call createCurrent(P_d, P_uAnti, P_WpPlus, 532, check)
    call createCurrent(P_Zp, P_dAnti, P_s, 1121, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 754, check)
    call createCurrent(P_muMinus, P_muPlus, P_H, 171, check)
    call createCurrent(P_H, P_s, P_dAnti, 22, check)
    call createCurrent(P_dAnti, P_d, 1527, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 1101, check)
    call createCurrent(P_s, P_sAnti, P_Z, 1138, check)
    call createCurrent(P_g, P_H, P_g, 1543, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, P_H, 984, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 1270, check)
    call createCurrent(P_sAnti, P_Zp, P_b, 447, check)
    call createCurrent(P_g, P_d, P_dAnti, 321, check)
    call createCurrent(P_cAnti, P_g, P_c, 1133, check)
    call createCurrent(P_A, P_cAnti, P_c, 17, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 1386, check)
    call createCurrent(P_WpPlus, P_g, P_g, P_WpMinus, 1635, check)
    call createCurrent(P_g, P_tAnti, P_t, 620, check)
    call createCurrent(P_s, P_dAnti, P_Zp, 93, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 672, check)
    call createCurrent(P_H, P_GMinus, P_Z, P_WPlus, 961, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 153, check)
    call createCurrent(P_g, P_g, P_g, P_Zp, 1549, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, 1038, check)
    call createCurrent(P_H, P_tauMinus, P_tauPlus, 1496, check)
    call createCurrent(P_t, P_g, P_tAnti, 1375, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 655, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 351, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 73, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 603, check)
    call createCurrent(P_WpMinus, P_nu_tau, P_muPlus, 112, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_Z, 1211, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 1378, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 1021, check)
    call createCurrent(P_WMinus, P_WpPlus, P_g, P_g, 1614, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 1431, check)
    call createCurrent(P_nu_mu, P_WpMinus, P_ePlus, 1183, check)
    call createCurrent(P_G0, P_u, P_uAnti, 1363, check)
    call createCurrent(P_muPlus, P_muMinus, 1537, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 1024, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 948, check)
    call createCurrent(P_uAnti, P_c, P_Zp, 228, check)
    call createCurrent(P_b, P_dAnti, P_Zp, 277, check)
    call createCurrent(P_uAnti, P_G0, P_u, 685, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 839, check)
    call createCurrent(P_dAnti, P_d, P_Z, 1027, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 757, check)
    call createCurrent(P_Zp, P_ePlus, P_muMinus, 980, check)
    call createCurrent(P_sAnti, P_d, P_Zp, 129, check)
    call createCurrent(P_b, P_A, P_bAnti, 1248, check)
    call createCurrent(P_nu_mu, P_tauPlus, P_WpMinus, 1459, check)
    call createCurrent(P_bAnti, P_b, P_Zp, 1216, check)
    call createCurrent(P_muMinus, P_Zp, P_ePlus, 1393, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 743, check)
    call createCurrent(P_WpPlus, P_eMinus, P_nu_eAnti, 466, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 1449, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 289, check)
    call createCurrent(P_H, P_H, P_g, P_g, 1548, check)
    call createCurrent(P_WpPlus, P_eMinus, P_nu_tauAnti, 540, check)
    call createCurrent(P_Z, P_b, P_bAnti, 196, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 338, check)
    call createCurrent(P_t, P_tAnti, P_H, 1239, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 991, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 225, check)
    call createCurrent(P_nu_tauAnti, P_WpPlus, P_eMinus, 990, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 1212, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 1104, check)
    call createCurrent(P_H, P_WMinus, P_H, P_WPlus, 106, check)
    call createCurrent(P_g, P_u, P_uAnti, 572, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 1417, check)
    call createCurrent(P_tAnti, P_WpPlus, P_s, 1424, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 988, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 921, check)
    call createCurrent(P_Zp, P_Zp, 1504, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 482, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, 975, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 531, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 1360, check)
    call createCurrent(P_sAnti, P_s, P_A, 354, check)
    call createCurrent(P_tAnti, P_d, P_WpPlus, 469, check)
    call createCurrent(P_muPlus, P_tauMinus, P_Zp, 778, check)
    call createCurrent(P_H, P_Z, P_H, P_Z, 136, check)
    call createCurrent(P_WpPlus, P_tAnti, P_b, 1321, check)
    call createCurrent(P_WpPlus, P_uAnti, P_s, 211, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 1278, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 1090, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 1146, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 254, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 64, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H, 1181, check)
    call createCurrent(P_Zp, P_Z, P_g, P_g, 1618, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 1237, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 381, check)
    call createCurrent(P_b, P_uAnti, P_WpPlus, 643, check)
    call createCurrent(P_cAnti, P_c, P_g, 664, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 564, check)
    call createCurrent(P_Zp, P_eMinus, P_muPlus, 260, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 1332, check)
    call createCurrent(P_GMinus, P_sAnti, P_u, 262, check)
    call createCurrent(P_Zp, P_ePlus, P_eMinus, 180, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 536, check)
    call createCurrent(P_u, P_GMinus, P_sAnti, 504, check)
    call createCurrent(P_A, P_g, P_A, P_g, 1604, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_Z, 1445, check)
    call createCurrent(P_A, P_sAnti, P_s, 1262, check)
    call createCurrent(P_tAnti, P_t, P_H, 68, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 719, check)
    call createCurrent(P_d, P_WpPlus, P_uAnti, 139, check)
    call createCurrent(P_sAnti, P_u, P_WpMinus, 95, check)
    call createCurrent(P_d, P_dAnti, P_Z, 698, check)
    call createCurrent(P_Zp, P_tauPlus, P_tauMinus, 425, check)
    call createCurrent(P_nu_e, P_WpMinus, P_tauPlus, 1243, check)
    call createCurrent(P_WpMinus, P_tauPlus, P_nu_tau, 640, check)
    call createCurrent(P_dAnti, P_H, P_d, 861, check)
    call createCurrent(P_u, P_H, P_uAnti, 1252, check)
    call createCurrent(P_tAnti, P_H, P_t, 956, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 717, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 303, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 146, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 1660, check)
    call createCurrent(P_WpMinus, P_ePlus, P_nu_e, 1041, check)
    call createCurrent(P_GMinus, P_A, P_H, P_WPlus, 386, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 400, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 62, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 618, check)
    call createCurrent(P_WpMinus, P_WpPlus, 1502, check)
    call createCurrent(P_GPlus, P_s, P_uAnti, 63, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 838, check)
    call createCurrent(P_cAnti, P_u, P_Zp, 333, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 1130, check)
    call createCurrent(P_sAnti, P_G0, P_s, 52, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 97, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 1331, check)
    call createCurrent(P_cAnti, P_t, P_Zp, 1255, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 1075, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 124, check)
    call createCurrent(P_b, P_Zp, P_sAnti, 1241, check)
    call createCurrent(P_b, P_WpPlus, P_tAnti, 339, check)
    call createCurrent(P_GMinus, P_c, P_dAnti, 1185, check)
    call createCurrent(P_b, P_bAnti, P_A, 478, check)
    call createCurrent(P_c, P_bAnti, P_WpMinus, 1187, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 439, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 1498, check)
    call createCurrent(P_g, P_g, P_g, P_g, 120, check)
    call createCurrent(P_dAnti, P_WpMinus, P_c, 496, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 1478, check)
    call createCurrent(P_WpMinus, P_u, P_dAnti, 1162, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 1122, check)
    call createCurrent(P_H, P_Z, P_WPlus, P_GMinus, 713, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 1611, check)
    call createCurrent(P_WpPlus, P_b, P_cAnti, 209, check)
    call createCurrent(P_Z, P_H, P_H, P_Z, 7, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 1174, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 982, check)
    call createCurrent(P_WPlus, P_cAnti, P_d, 135, check)
    call createCurrent(P_WpMinus, P_t, P_bAnti, 122, check)
    call createCurrent(P_H, P_d, P_dAnti, 930, check)
    call createCurrent(P_Zp, P_dAnti, P_b, 355, check)
    call createCurrent(P_Z, P_GMinus, P_H, P_WPlus, 773, check)
    call createCurrent(P_WpMinus, P_u, P_bAnti, 915, check)
    call createCurrent(P_tAnti, P_WpPlus, P_b, 626, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 1229, check)
    call createCurrent(P_nu_eAnti, P_WpPlus, P_tauMinus, 702, check)
    call createCurrent(P_WMinus, P_c, P_dAnti, 841, check)
    call createCurrent(P_dAnti, P_Zp, P_s, 1371, check)
    call createCurrent(P_dAnti, P_c, P_WpMinus, 957, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H, 1171, check)
    call createCurrent(P_H, P_GMinus, P_H, P_GPlus, 925, check)
    call createCurrent(P_bAnti, P_c, P_WpMinus, 692, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 795, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 335, check)
    call createCurrent(P_bAnti, P_A, P_b, 958, check)
    call createCurrent(P_bAnti, P_Zp, P_s, 387, check)
    call createCurrent(P_G0, P_t, P_tAnti, 1120, check)
    call createCurrent(P_cAnti, P_c, P_G0, 952, check)
    call createCurrent(P_WPlus, P_d, P_cAnti, 1105, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_A, 946, check)
    call createCurrent(P_bAnti, P_g, P_b, 1160, check)
    call createCurrent(P_cAnti, P_d, P_GPlus, 67, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 446, check)
    call createCurrent(P_muPlus, P_Zp, P_muMinus, 276, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 152, check)
    call createCurrent(P_muMinus, P_H, P_muPlus, 1079, check)
    call createCurrent(P_nu_e, P_WpMinus, P_ePlus, 807, check)
    call createCurrent(P_Zp, P_tauPlus, P_eMinus, 51, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 739, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 476, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 552, check)
    call createCurrent(P_g, P_uAnti, P_u, 1199, check)
    call createCurrent(P_dAnti, P_s, P_H, 322, check)
    call createCurrent(P_Z, P_H, P_Z, P_H, 844, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 740, check)
    call createCurrent(P_Zp, P_ePlus, P_tauMinus, 1427, check)
    call createCurrent(P_WpMinus, P_bAnti, P_u, 728, check)
    call createCurrent(P_Z, P_Zp, P_g, P_g, 1586, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghWm, 811, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 341, check)
    call createCurrent(P_WpMinus, P_muPlus, P_nu_mu, 39, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H, 266, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H, 337, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 1301, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 582, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 87, check)
    call createCurrent(P_sAnti, P_s, P_Z, 1451, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 197, check)
    call createCurrent(P_g, P_Zp, P_Zp, P_g, 1676, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 1582, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 1490, check)
    call createCurrent(P_WpPlus, P_nu_eAnti, P_eMinus, 107, check)
    call createCurrent(P_dAnti, P_GMinus, P_c, 173, check)
    call createCurrent(P_c, P_tAnti, P_Zp, 253, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 1067, check)
    call createCurrent(P_Zp, P_b, P_bAnti, 1164, check)
    call createCurrent(P_Zp, P_Zp, P_g, P_g, 1570, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_Z, 1227, check)
    call createCurrent(P_Z, P_cAnti, P_c, 558, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 487, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 1346, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 15, check)
    call createCurrent(P_nu_mu, P_WpMinus, P_muPlus, 1257, check)
    call createCurrent(P_cAnti, P_H, P_c, 458, check)
    call createCurrent(P_H, P_H, 1510, check)
    call createCurrent(P_G0, P_G0, P_H, 821, check)
    call createCurrent(P_WpMinus, P_WpPlus, P_g, P_g, 1664, check)
    call createCurrent(P_bAnti, P_Zp, P_b, 1471, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 1357, check)
    call createCurrent(P_cAnti, P_c, P_A, 1214, check)
    call createCurrent(P_WpMinus, P_nu_mu, P_ePlus, 587, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 561, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 54, check)
    call createCurrent(P_Zp, P_dAnti, P_d, 41, check)
    call createCurrent(P_nu_tauAnti, P_WpPlus, P_tauMinus, 1030, check)
    call createCurrent(P_t, P_tAnti, P_Zp, 1477, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 474, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H, 790, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 1422, check)
    call createCurrent(P_t, P_Zp, P_cAnti, 1342, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 422, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 1337, check)
    call createCurrent(P_WpPlus, P_g, P_WMinus, P_g, 1644, check)
    call createCurrent(P_g, P_WpMinus, P_WpPlus, P_g, 1620, check)
    call createCurrent(P_t, P_dAnti, P_WpMinus, 414, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 770, check)
    call createCurrent(P_Z, P_G0, P_H, 199, check)
    call createCurrent(P_tAnti, P_G0, P_t, 565, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 559, check)
    call createCurrent(P_s, P_H, P_sAnti, 731, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 110, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 1184, check)
    call createCurrent(P_tAnti, P_Z, P_t, 1196, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 408, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 886, check)
    call createCurrent(P_d, P_dAnti, P_H, 636, check)
    call createCurrent(P_Z, P_WMinus, P_H, P_GPlus, 374, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 9, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 468, check)
    call createCurrent(P_Zp, P_u, P_uAnti, 1005, check)
    call createCurrent(P_cAnti, P_WpPlus, P_b, 267, check)
    call createCurrent(P_H, P_H, P_Z, P_Z, 435, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 592, check)
    call createCurrent(P_d, P_WPlus, P_cAnti, 1396, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 516, check)
    call createCurrent(P_g, P_Zp, P_Z, P_g, 1601, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 284, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 568, check)
    call createCurrent(P_A, P_GMinus, P_H, P_WPlus, 1458, check)
    call createCurrent(P_ePlus, P_WpMinus, P_nu_tau, 315, check)
    call createCurrent(P_g, P_A, P_A, P_g, 1668, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 293, check)
    call createCurrent(P_s, P_H, P_dAnti, 1176, check)
    call createCurrent(P_sAnti, P_Z, P_s, 1010, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 1655, check)
    call createCurrent(P_WpPlus, P_uAnti, P_b, 1406, check)
    call createCurrent(P_G0, P_H, P_G0, P_H, 1276, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 1647, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 1330, check)
    call createCurrent(P_ghWp, P_H, P_ghWpAnti, 923, check)
    call createCurrent(P_Zp, P_d, P_dAnti, 232, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, 1486, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 1246, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 1203, check)
    call createCurrent(P_sAnti, P_d, P_H, 1268, check)
    call createCurrent(P_dAnti, P_A, P_d, 1264, check)
    call createCurrent(P_GPlus, P_WMinus, 1516, check)
    call createCurrent(P_H, P_GMinus, P_A, P_WPlus, 90, check)
    call createCurrent(P_Z, P_tAnti, P_t, 993, check)
    call createCurrent(P_WpPlus, P_muMinus, P_nu_muAnti, 1256, check)
    call createCurrent(P_b, P_tAnti, P_WpPlus, 295, check)
    call createCurrent(P_bAnti, P_WpMinus, P_t, 709, check)
    call createCurrent(P_ePlus, P_nu_tau, P_WpMinus, 103, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 2, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 1279, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 913, check)
    call createCurrent(P_ePlus, P_Zp, P_eMinus, 245, check)
    call createCurrent(P_s, P_sAnti, 1529, check)
    call createCurrent(P_t, P_Zp, P_uAnti, 1468, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WpMinus, 1585, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_H, 44, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 375, check)
    call createCurrent(P_WpPlus, P_b, P_tAnti, 1318, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 345, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 328, check)
    call createCurrent(P_s, P_cAnti, P_WpPlus, 1069, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 1680, check)
    call createCurrent(P_dAnti, P_s, P_G0, 638, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 1175, check)
    call createCurrent(P_g, P_Zp, P_g, P_Zp, 1674, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 100, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 1091, check)
    call createCurrent(P_H, P_WMinus, P_Z, P_GPlus, 1125, check)
    call createCurrent(P_eMinus, P_tauPlus, P_Zp, 657, check)
    call createCurrent(P_Zp, P_t, P_tAnti, 1325, check)
    call createCurrent(P_g, P_g, P_A, P_A, 1557, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_A, 394, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 1474, check)
    call createCurrent(P_muPlus, P_muMinus, P_Zp, 455, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 883, check)
    call createCurrent(P_g, P_WpMinus, P_g, P_WPlus, 1633, check)
    call createCurrent(P_dAnti, P_WMinus, P_c, 1488, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 786, check)
    call createCurrent(P_Zp, P_d, P_sAnti, 59, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 1132, check)
    call createCurrent(P_tauPlus, P_WpMinus, P_nu_mu, 868, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 1466, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 1159, check)
    call createCurrent(P_WpMinus, P_nu_e, P_muPlus, 910, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 1151, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 471, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 1083, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, 1094, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 491, check)
    call createCurrent(P_WpPlus, P_cAnti, P_s, 285, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 1285, check)
    call createCurrent(P_Z, P_H, P_GMinus, P_WPlus, 1023, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 766, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 613, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 1236, check)
    call createCurrent(P_c, P_Zp, P_cAnti, 804, check)
    call createCurrent(P_g, P_bAnti, P_b, 265, check)
    call createCurrent(P_sAnti, P_Zp, P_s, 344, check)
    call createCurrent(P_dAnti, P_Zp, P_d, 1118, check)
    call createCurrent(P_GPlus, P_d, P_cAnti, 75, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 816, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, P_H, 557, check)
    call createCurrent(P_sAnti, P_u, P_WMinus, 6, check)
    call createCurrent(P_uAnti, P_t, P_Zp, 165, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 1139, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 179, check)
    call createCurrent(P_tAnti, P_WpPlus, P_d, 676, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 938, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 462, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 527, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 764, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 18, check)
    call createCurrent(P_Zp, P_uAnti, P_c, 700, check)
    call createCurrent(P_u, P_tAnti, P_Zp, 1295, check)
    call createCurrent(P_bAnti, P_b, P_A, 1056, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 615, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 646, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 1287, check)
    call createCurrent(P_WpPlus, P_d, P_tAnti, 742, check)
    call createCurrent(P_tauMinus, P_Zp, P_tauPlus, 1435, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 833, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 1012, check)
    call createCurrent(P_eMinus, P_H, P_ePlus, 1479, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 547, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 1418, check)
    call createCurrent(P_u, P_sAnti, P_WpMinus, 560, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 1370, check)
    call createCurrent(P_H, P_WPlus, P_H, P_WMinus, 539, check)
    call createCurrent(P_cAnti, P_Zp, P_c, 1209, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_H, 706, check)
    call createCurrent(P_WpPlus, P_g, P_g, P_WMinus, 1670, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 955, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, P_H, 981, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 738, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 1163, check)
    call createCurrent(P_b, P_bAnti, 1522, check)
    call createCurrent(P_c, P_dAnti, P_WMinus, 1230, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 283, check)
    call createCurrent(P_Z, P_G0, 1526, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 1336, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 576, check)
    call createCurrent(P_tauPlus, P_nu_mu, P_WpMinus, 1438, check)
    call createCurrent(P_uAnti, P_g, P_u, 960, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 701, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 318, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 1551, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 528, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 1657, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 818, check)
    call createCurrent(P_b, P_H, P_bAnti, 1085, check)
    call createCurrent(P_WpPlus, P_nu_tauAnti, P_muMinus, 420, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 918, check)
    call createCurrent(P_g, P_g, P_Zp, P_g, 1597, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 535, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 874, check)
    call createCurrent(P_Zp, P_muMinus, P_tauPlus, 933, check)
    call createCurrent(P_H, P_ghWp, P_ghWpAnti, 892, check)
    call createCurrent(P_dAnti, P_d, P_G0, 847, check)
    call createCurrent(P_WPlus, P_H, P_H, P_WMinus, 230, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 924, check)
    call createCurrent(P_c, P_G0, P_cAnti, 751, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, P_H, 654, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 777, check)
    call createCurrent(P_Z, P_H, P_WPlus, P_GMinus, 760, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 765, check)
    call createCurrent(P_G0, P_d, P_sAnti, 332, check)
    call createCurrent(P_g, P_A, P_g, P_g, 1622, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 81, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WpPlus, 715, check)
    call createCurrent(P_H, P_G0, P_G0, 1379, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_Z, 334, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 1640, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 428, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 1559, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 168, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 1204, check)
    call createCurrent(P_g, P_Zp, P_g, P_A, 1568, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, 1220, check)
    call createCurrent(P_Zp, P_sAnti, P_d, 510, check)
    call createCurrent(P_g, P_g, P_g, P_A, 1637, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 371, check)
    call createCurrent(P_A, P_dAnti, P_d, 748, check)
    call createCurrent(P_Z, P_H, P_GPlus, P_WMinus, 726, check)
    call createCurrent(P_WMinus, P_g, P_WpPlus, P_g, 1624, check)
    call createCurrent(P_sAnti, P_s, 1521, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 4, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, P_H, 1380, check)
    call createCurrent(P_s, P_Zp, P_dAnti, 137, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 689, check)
    call createCurrent(P_tAnti, P_t, 1534, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 1098, check)
    call createCurrent(P_muMinus, P_nu_tauAnti, P_WpPlus, 1126, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 404, check)
    call createCurrent(P_u, P_uAnti, P_G0, 1447, check)
    call createCurrent(P_bAnti, P_WpMinus, P_c, 368, check)
    call createCurrent(P_H, P_tAnti, P_t, 1057, check)
    call createCurrent(P_t, P_G0, P_tAnti, 442, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WpPlus, 0, check)
    call createCurrent(P_WPlus, P_A, P_H, P_GMinus, 675, check)
    call createCurrent(P_GMinus, P_Z, P_H, P_WPlus, 1182, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 450, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 27, check)
    call createCurrent(P_WpPlus, P_tAnti, P_d, 1423, check)
    call createCurrent(P_WpMinus, P_g, P_g, P_WpPlus, 1590, check)
    call createCurrent(P_WPlus, P_H, P_A, P_GMinus, 426, check)
    call createCurrent(P_cAnti, P_b, P_WpPlus, 29, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 612, check)
    call createCurrent(P_t, P_H, P_tAnti, 859, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, P_H, 274, check)
    call createCurrent(P_tauMinus, P_nu_eAnti, P_WpPlus, 91, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WpMinus, 1638, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 1100, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 116, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 28, check)
    call createCurrent(P_bAnti, P_WpMinus, P_u, 1135, check)
    call createCurrent(P_muMinus, P_ePlus, P_Zp, 905, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 35, check)
    call createCurrent(P_WPlus, P_WpMinus, P_g, P_g, 1659, check)
    call createCurrent(P_H, P_G0, P_H, P_G0, 176, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 944, check)
    call createCurrent(P_ePlus, P_eMinus, P_Zp, 661, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 279, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 1323, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 226, check)
    call createCurrent(P_s, P_G0, P_dAnti, 906, check)
    call createCurrent(P_t, P_uAnti, P_Zp, 363, check)
    call createCurrent(P_H, P_uAnti, P_u, 1190, check)
    call createCurrent(P_u, P_A, P_uAnti, 1485, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 881, check)
    call createCurrent(P_b, P_WpPlus, P_uAnti, 300, check)
    call createCurrent(P_A, P_u, P_uAnti, 693, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 670, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 1359, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 1368, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 1373, check)
    call createCurrent(P_WpPlus, P_WpMinus, 1531, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 1221, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 1414, check)
    call createCurrent(P_s, P_uAnti, P_WpPlus, 222, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_Z, 1307, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 1284, check)
    call createCurrent(P_uAnti, P_GPlus, P_s, 53, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 663, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 451, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 1115, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 774, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 526, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 69, check)
    call createCurrent(P_g, P_Zp, P_A, P_g, 1630, check)
    call createCurrent(P_WPlus, P_Z, P_H, P_GMinus, 1383, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 1441, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 373, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 1428, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 563, check)
    call createCurrent(P_b, P_Zp, P_dAnti, 1450, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_Z, 520, check)
    call createCurrent(P_dAnti, P_s, P_Zp, 891, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H, 1154, check)
    call createCurrent(P_muPlus, P_eMinus, P_Zp, 1397, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 707, check)
    call createCurrent(P_WpPlus, P_nu_muAnti, P_tauMinus, 904, check)
    call createCurrent(P_WPlus, P_s, P_uAnti, 908, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 714, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H, 549, check)
    call createCurrent(P_H, P_GPlus, P_Z, P_WMinus, 1099, check)
    call createCurrent(P_H, P_ghWm, P_ghWmAnti, 72, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 885, check)
    call createCurrent(P_WpMinus, P_u, P_sAnti, 79, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 352, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 1662, check)
    call createCurrent(P_Zp, P_g, P_A, P_g, 1598, check)
    call createCurrent(P_WpMinus, P_t, P_sAnti, 967, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 1465, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 1051, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 1366, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 573, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 1681, check)
    call createCurrent(P_WpMinus, P_nu_tau, P_ePlus, 827, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 1110, check)
    call createCurrent(P_u, P_uAnti, P_H, 313, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 514, check)
    call createCurrent(P_g, P_Zp, P_g, P_g, 1575, check)
    call createCurrent(P_G0, P_s, P_dAnti, 617, check)
    call createCurrent(P_eMinus, P_Zp, P_tauPlus, 1018, check)
    call createCurrent(P_u, P_WMinus, P_sAnti, 1291, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 3, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 898, check)
    call createCurrent(P_g, P_A, P_g, P_A, 1546, check)
    call createCurrent(P_tauMinus, P_WpPlus, P_nu_muAnti, 659, check)
    call createCurrent(P_b, P_bAnti, P_H, 1040, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 119, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, P_H, 1134, check)
    call createCurrent(P_d, P_dAnti, P_g, 1407, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WpPlus, 1240, check)
    call createCurrent(P_WpMinus, P_sAnti, P_u, 513, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 803, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 1312, check)
    call createCurrent(P_b, P_Zp, P_bAnti, 530, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 193, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 1148, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 602, check)
    call createCurrent(P_ghWm, P_H, P_ghWmAnti, 480, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 1573, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 1538, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 674, check)
    call createCurrent(P_tAnti, P_Zp, P_u, 50, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 219, check)
    call createCurrent(P_u, P_WpMinus, P_sAnti, 163, check)
    call createCurrent(P_ePlus, P_tauMinus, P_Zp, 241, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H, 966, check)
    call createCurrent(P_Z, P_WPlus, P_H, P_GMinus, 417, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H, 857, check)
    call createCurrent(P_c, P_g, P_cAnti, 556, check)
    call createCurrent(P_c, P_cAnti, P_Z, 893, check)
    call createCurrent(P_H, P_G0, P_G0, P_H, 85, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 364, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 273, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, 735, check)
    call createCurrent(P_dAnti, P_Z, P_d, 834, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 699, check)
    call createCurrent(P_ePlus, P_nu_mu, P_WpMinus, 307, check)
    call createCurrent(P_Zp, P_eMinus, P_tauPlus, 1385, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 1259, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 356, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 1179, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 1432, check)
    call createCurrent(P_uAnti, P_u, P_G0, 470, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 43, check)
    call createCurrent(P_H, P_H, P_GMinus, P_GPlus, 227, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H, 160, check)
    call createCurrent(P_d, P_dAnti, P_A, 1446, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 763, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 497, check)
    call createCurrent(P_d, P_tAnti, P_WpPlus, 752, check)
    call createCurrent(P_dAnti, P_b, P_Zp, 656, check)
    call createCurrent(P_uAnti, P_H, P_u, 1072, check)
    call createCurrent(P_g, P_WpPlus, P_WMinus, P_g, 1661, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 1641, check)
    call createCurrent(P_WpPlus, P_nu_muAnti, P_muMinus, 184, check)
    call createCurrent(P_nu_eAnti, P_tauMinus, P_WpPlus, 1254, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 586, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 1672, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 412, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 1426, check)
    call createCurrent(P_Zp, P_bAnti, P_b, 1444, check)
    call createCurrent(P_eMinus, P_Zp, P_muPlus, 1137, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 1355, check)
    call createCurrent(P_nu_muAnti, P_tauMinus, P_WpPlus, 1460, check)
    call createCurrent(P_WpMinus, P_nu_mu, P_muPlus, 1335, check)
    call createCurrent(P_tauPlus, P_Zp, P_eMinus, 185, check)
    call createCurrent(P_A, P_A, P_g, P_g, 1663, check)
    call createCurrent(P_g, P_A, P_g, P_Zp, 1589, check)
    call createCurrent(P_tauPlus, P_nu_e, P_WpMinus, 329, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 389, check)
    call createCurrent(P_dAnti, P_u, P_WpMinus, 1327, check)
    call createCurrent(P_b, P_bAnti, P_Z, 1186, check)
    call createCurrent(P_nu_tau, P_WpMinus, P_muPlus, 1326, check)
    call createCurrent(P_Zp, P_uAnti, P_t, 974, check)
    call createCurrent(P_Z, P_Z, 1508, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 607, check)
    call createCurrent(P_b, P_sAnti, P_Zp, 361, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, 941, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 759, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 1436, check)
    call createCurrent(P_t, P_bAnti, P_WpMinus, 340, check)
    call createCurrent(P_WpPlus, P_nu_eAnti, P_muMinus, 330, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 1358, check)
    call createCurrent(P_sAnti, P_Zp, P_d, 261, check)
    call createCurrent(P_nu_tauAnti, P_muMinus, P_WpPlus, 962, check)
    call createCurrent(P_Z, P_sAnti, P_s, 753, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 1124, check)
    call createCurrent(P_Zp, P_g, P_g, P_Zp, 1562, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 716, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Zp, 1188, check)
    call createCurrent(P_tAnti, P_s, P_WpPlus, 658, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 5, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 1156, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 922, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 21, check)
    call createCurrent(P_t, P_Zp, P_tAnti, 593, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 1408, check)
    call createCurrent(P_eMinus, P_nu_muAnti, P_WpPlus, 1205, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, 800, check)
    call createCurrent(P_s, P_uAnti, P_WPlus, 987, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 1189, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 311, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 550, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 1288, check)
    call createCurrent(P_WpMinus, P_muPlus, P_nu_tau, 250, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, 224, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 36, check)
    call createCurrent(P_u, P_Zp, P_uAnti, 869, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 1403, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 1583, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 939, check)
    call createCurrent(P_muMinus, P_WpPlus, P_nu_eAnti, 192, check)
    call createCurrent(P_c, P_Zp, P_uAnti, 1044, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 413, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 378, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 1198, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 824, check)
    call createCurrent(P_WpMinus, P_dAnti, P_u, 208, check)
    call createCurrent(P_H, P_A, P_GPlus, P_WMinus, 889, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 430, check)
    call createCurrent(P_Zp, P_tauMinus, P_muPlus, 138, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 187, check)
    call createCurrent(P_WMinus, P_WPlus, 1528, check)
    call createCurrent(P_H, P_eMinus, P_ePlus, 1341, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 20, check)
    call createCurrent(P_H, P_H, P_H, P_H, 574, check)
    call createCurrent(P_WpPlus, P_d, P_uAnti, 348, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 423, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 1592, check)
    call createCurrent(P_Z, P_Z, P_H, P_H, 1004, check)
    call createCurrent(P_g, P_s, P_sAnti, 999, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, 780, check)
    call createCurrent(P_Zp, P_muPlus, P_tauMinus, 493, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 1178, check)
    call createCurrent(P_H, P_A, P_WPlus, P_GMinus, 212, check)
    call createCurrent(P_WMinus, P_A, P_H, P_GPlus, 596, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 127, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 897, check)
    call createCurrent(P_c, P_A, P_cAnti, 401, check)
    call createCurrent(P_Zp, P_b, P_sAnti, 391, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 427, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 1286, check)
    call createCurrent(P_Z, P_g, P_Zp, P_g, 1610, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Zp, 123, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 1334, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 495, check)
    call createCurrent(P_WpMinus, P_ePlus, P_nu_mu, 317, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 621, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 1302, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 1194, check)
    call createCurrent(P_Zp, P_c, P_cAnti, 873, check)
    call createCurrent(P_cAnti, P_WPlus, P_d, 343, check)
    call createCurrent(P_bAnti, P_b, 1499, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 170, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 1452, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 1475, check)
    call createCurrent(P_eMinus, P_WpPlus, P_nu_muAnti, 1131, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 1667, check)
    call createCurrent(P_muPlus, P_nu_e, P_WpMinus, 372, check)
    call createCurrent(P_t, P_tAnti, P_Z, 156, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 1117, check)
    call createCurrent(P_nu_tau, P_muPlus, P_WpMinus, 756, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 1020, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 309, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 177, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 704, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 1066, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 145, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 314, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 1552, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 440, check)
    call createCurrent(P_ePlus, P_Zp, P_muMinus, 1048, check)
    call createCurrent(P_H, P_ePlus, P_eMinus, 1281, check)
    call createCurrent(P_WpMinus, P_g, P_WpPlus, P_g, 1605, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H, 1000, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 126, check)
    call createCurrent(P_u, P_WpMinus, P_bAnti, 1049, check)
    call createCurrent(P_g, P_g, P_A, P_Zp, 1574, check)
    call createCurrent(P_WpPlus, P_s, P_uAnti, 875, check)
    call createCurrent(P_nu_muAnti, P_WpPlus, P_tauMinus, 836, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 1439, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 1068, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 737, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 973, check)
    call createCurrent(P_s, P_sAnti, P_G0, 695, check)
    call createCurrent(P_dAnti, P_H, P_s, 1365, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 1623, check)
    call createCurrent(P_GMinus, P_H, P_Z, P_WPlus, 453, check)
    call createCurrent(P_H, P_WPlus, P_Z, P_GMinus, 805, check)
    call createCurrent(P_u, P_WpMinus, P_dAnti, 882, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 172, check)
    call createCurrent(P_ePlus, P_H, P_eMinus, 1434, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 622, check)
    call createCurrent(P_sAnti, P_H, P_d, 1472, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 150, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 858, check)
    call createCurrent(P_Z, P_t, P_tAnti, 902, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 963, check)
    call createCurrent(P_ePlus, P_muMinus, P_Zp, 84, check)
    call createCurrent(P_Z, P_c, P_cAnti, 448, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 1483, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 1329, check)
    call createCurrent(P_H, P_GPlus, P_H, P_GMinus, 1238, check)
    call createCurrent(P_sAnti, P_G0, P_d, 379, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 1261, check)
    call createCurrent(P_b, P_g, P_bAnti, 304, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 101, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, P_H, 247, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 1029, check)
    call createCurrent(P_muMinus, P_Zp, P_muPlus, 1025, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 1165, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, 812, check)
    call createCurrent(P_sAnti, P_WpMinus, P_t, 711, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 932, check)
    call createCurrent(P_c, P_Zp, P_tAnti, 1088, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 1096, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 1191, check)
    call createCurrent(P_WpPlus, P_b, P_uAnti, 71, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 856, check)
    call createCurrent(P_WpPlus, P_muMinus, P_nu_tauAnti, 464, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 1560, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 336, check)
    call createCurrent(P_WpPlus, P_tauMinus, P_nu_muAnti, 1047, check)
    call createCurrent(P_H, P_dAnti, P_d, 142, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 1350, check)
    call createCurrent(P_WpPlus, P_d, P_cAnti, 282, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 1043, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 619, check)
    call createCurrent(P_H, P_c, P_cAnti, 1333, check)
    call createCurrent(P_uAnti, P_u, P_A, 570, check)
    call createCurrent(P_g, P_dAnti, P_d, 1065, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 1309, check)
    call createCurrent(P_bAnti, P_b, P_H, 843, check)
    call createCurrent(P_d, P_Z, P_dAnti, 600, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H, 1351, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 1208, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 850, check)
    call createCurrent(P_t, P_A, P_tAnti, 1282, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_A, 229, check)
    call createCurrent(P_G0, P_Z, P_H, 240, check)
    call createCurrent(P_cAnti, P_c, P_Z, 954, check)
    call createCurrent(P_uAnti, P_u, P_H, 1420, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 571, check)
    call createCurrent(P_ghZ, P_H, P_ghZAnti, 802, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 1063, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 353, check)
    call createCurrent(P_uAnti, P_WpPlus, P_b, 697, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 680, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 436, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 986, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WpPlus, 1571, check)
    call createCurrent(P_WpMinus, P_nu_e, P_tauPlus, 899, check)
    call createCurrent(P_H, P_H, P_WPlus, P_WMinus, 1166, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 691, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 350, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 1553, check)
    call createCurrent(P_d, P_dAnti, P_Zp, 416, check)
    call createCurrent(P_g, P_g, P_WpMinus, P_WPlus, 1613, check)
    call createCurrent(P_dAnti, P_G0, P_d, 940, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 410, check)
    call createCurrent(P_A, P_A, 1520, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 919, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 80, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 553, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 204, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 1016, check)
    call createCurrent(P_cAnti, P_d, P_WpPlus, 588, check)
    call createCurrent(P_cAnti, P_c, P_H, 1306, check)
    call createCurrent(P_Zp, P_tauPlus, P_muMinus, 1217, check)
    call createCurrent(P_tAnti, P_g, P_t, 1234, check)
    call createCurrent(P_t, P_WpMinus, P_bAnti, 907, check)
    call createCurrent(P_cAnti, P_G0, P_c, 792, check)
    call createCurrent(P_WpMinus, P_c, P_dAnti, 433, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 1073, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 115, check)
    call createCurrent(P_u, P_uAnti, P_A, 376, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H, 749, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 1108, check)
    call createCurrent(P_t, P_cAnti, P_Zp, 1389, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 652, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 1616, check)
    call createCurrent(P_WMinus, P_sAnti, P_u, 890, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 488, check)
    call createCurrent(P_muMinus, P_tauPlus, P_Zp, 776, check)
    call createCurrent(P_H, P_H, P_G0, P_G0, 677, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, 383, check)
    call createCurrent(P_Zp, P_g, P_g, P_A, 1615, check)
    call createCurrent(P_g, P_WpMinus, P_WPlus, P_g, 1565, check)
    call createCurrent(P_cAnti, P_WpPlus, P_s, 380, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 585, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 1671, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 1076, check)
    call createCurrent(P_d, P_Zp, P_dAnti, 34, check)
    call createCurrent(P_WpPlus, P_eMinus, P_nu_muAnti, 1293, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 783, check)
  end subroutine fill_current_1
end module currents_info1
