!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-15 18:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  implicit none
  contains
  subroutine fill_vertices_mdl5()
    use class_vertices
    use class_couplings
    allocate(vertices(271)%branchR2(0:0))
    call avR2(271, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4886])

    allocate(vertices(697)%branchR2(0:0))
    call avR2(697, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

    allocate(vertices(772)%branchR2(0:5))
    call avR2(772, 0, 34, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(772, 1, 34, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4980, nGC_4978])

    call avR2(772, 2, 34, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4981, nGC_4979])

    call avR2(772, 3, 35, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(772, 4, 35, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4976, nGC_4974])

    call avR2(772, 5, 35, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4977, nGC_4975])

    allocate(vertices(222)%branchR2(0:0))
    call avR2(222, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

    allocate(vertices(477)%branchR2(0:5))
    call avR2(477, 0, 40, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(477, 1, 40, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4954, nGC_4952])

    call avR2(477, 2, 40, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4955, nGC_4953])

    call avR2(477, 3, 41, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(477, 4, 41, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4950, nGC_4948])

    call avR2(477, 5, 41, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4951, nGC_4949])

    allocate(vertices(1566)%branchR2(0:1))
    call avR2(1566, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1566, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(616)%branchR2(0:0))
    call avR2(616, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(244)%branchR2(0:0))
    call avR2(244, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

    allocate(vertices(1567)%branchR2(0:5))
    call avR2(1567, 0, 77, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5012, nGC_5012,     &
    nGC_5012])

    call avR2(1567, 1, 78, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1567, 2, 79, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1567, 3, 80, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1567, 4, 81, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5014, nGC_5014,     &
    nGC_5014])

    call avR2(1567, 5, 82, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5012, nGC_5012,     &
    nGC_5012])

    allocate(vertices(753)%branchR2(0:0))
    call avR2(753, 0, 21, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(75)%branchR2(0:0))
    call avR2(75, 0, 20, 1, 0, SFFa1, 0, [2, 1, 0], [nGC_4852])

    allocate(vertices(421)%branchR2(0:0))
    call avR2(421, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4937, nGC_4936])

    allocate(vertices(17)%branchR2(0:0))
    call avR2(17, 0, 21, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(68)%branchR2(0:0))
    call avR2(68, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4882, nGC_4882])

    allocate(vertices(163)%branchR2(0:0))
    call avR2(163, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

    allocate(vertices(457)%branchR2(0:0))
    call avR2(457, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4887])

    allocate(vertices(1568)%branchR2(0:1))
    call avR2(1568, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1568, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(926)%branchR2(0:0))
    call avR2(926, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(644)%branchR2(0:0))
    call avR2(644, 0, 17, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4879, nGC_4880])

    allocate(vertices(408)%branchR2(0:0))
    call avR2(408, 0, 20, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1569)%branchR2(0:1))
    call avR2(1569, 0, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1569, 1, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(876)%branchR2(0:5))
    call avR2(876, 0, 34, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(876, 1, 34, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4962, nGC_4960])

    call avR2(876, 2, 34, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4963, nGC_4961])

    call avR2(876, 3, 35, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(876, 4, 35, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4958, nGC_4956])

    call avR2(876, 5, 35, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4959, nGC_4957])

    allocate(vertices(1570)%branchR2(0:1))
    call avR2(1570, 0, 53, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5025, nGC_5025,     &
    nGC_5025])

    call avR2(1570, 1, 54, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5026, nGC_5026,     &
    nGC_5026])

    allocate(vertices(633)%branchR2(0:5))
    call avR2(633, 0, 40, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(633, 1, 40, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4971, nGC_4969])

    call avR2(633, 2, 40, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4972, nGC_4970])

    call avR2(633, 3, 41, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(633, 4, 41, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4966, nGC_4964])

    call avR2(633, 5, 41, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4967, nGC_4965])

    allocate(vertices(764)%branchR2(0:0))
    call avR2(764, 0, 21, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(969)%branchR2(0:0))
    call avR2(969, 0, 21, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_4864, nGC_4865])

    allocate(vertices(194)%branchR2(0:0))
    call avR2(194, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(629)%branchR2(0:5))
    call avR2(629, 0, 38, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(629, 1, 38, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_4954, nGC_4952])

    call avR2(629, 2, 38, 1, 0, VFFa0, 0, [1, 2, 2], [nGC_4955, nGC_4953])

    call avR2(629, 3, 39, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(629, 4, 39, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_4950, nGC_4948])

    call avR2(629, 5, 39, 1, 0, VFFa0, 0, [1, 2, 2], [nGC_4951, nGC_4949])

    allocate(vertices(1571)%branchR2(0:1))
    call avR2(1571, 0, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1571, 1, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(305)%branchR2(0:0))
    call avR2(305, 0, 20, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4862, nGC_4863])

    allocate(vertices(1136)%branchR2(0:0))
    call avR2(1136, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

    allocate(vertices(414)%branchR2(0:0))
    call avR2(414, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(258)%branchR2(0:0))
    call avR2(258, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4937, nGC_4936])

    allocate(vertices(1572)%branchR2(0:1))
    call avR2(1572, 0, 47, 1, 0, VVV1, 0, [2, 1, 1], [nGC_4932])

    call avR2(1572, 1, 48, 1, 0, VVV1, 0, [2, 1, 1], [nGC_4933])

    allocate(vertices(48)%branchR2(0:0))
    call avR2(48, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4898, nGC_4899])

    allocate(vertices(583)%branchR2(0:0))
    call avR2(583, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4929, nGC_4928])

    allocate(vertices(589)%branchR2(0:0))
    call avR2(589, 0, 17, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1573)%branchR2(0:1))
    call avR2(1573, 0, 61, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4996])

    call avR2(1573, 1, 62, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4997])

    allocate(vertices(1374)%branchR2(0:0))
    call avR2(1374, 0, 20, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4879, nGC_4880])

    allocate(vertices(1574)%branchR2(0:1))
    call avR2(1574, 0, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1574, 1, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(253)%branchR2(0:0))
    call avR2(253, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

    allocate(vertices(496)%branchR2(0:0))
    call avR2(496, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(60)%branchR2(0:0))
    call avR2(60, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4931, nGC_4930])

    allocate(vertices(1575)%branchR2(0:5))
    call avR2(1575, 0, 83, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_5020, nGC_5020,     &
    nGC_5020, nGC_13174])

    call avR2(1575, 1, 84, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5022, nGC_5022,     &
    nGC_5022])

    call avR2(1575, 2, 85, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5022, nGC_5022,     &
    nGC_5022])

    call avR2(1575, 3, 86, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5022, nGC_5022,     &
    nGC_5022])

    call avR2(1575, 4, 87, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5023, nGC_5023,     &
    nGC_5023])

    call avR2(1575, 5, 88, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_5020, nGC_5020,     &
    nGC_5020, nGC_13170])

    allocate(vertices(1576)%branchR2(0:1))
    call avR2(1576, 0, 43, 1, 0, SVV0, 0, [2, 1, 0], [nGC_4883])

    call avR2(1576, 1, 44, 1, 0, SVV0, 0, [2, 1, 0], [nGC_4884])

    allocate(vertices(11)%branchR2(0:0))
    call avR2(11, 0, 20, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4864, nGC_4865])

    allocate(vertices(668)%branchR2(0:0))
    call avR2(668, 0, 20, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

    allocate(vertices(1577)%branchR2(0:1))
    call avR2(1577, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1577, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(434)%branchR2(0:0))
    call avR2(434, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

    allocate(vertices(1578)%branchR2(0:1))
    call avR2(1578, 0, 61, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4994])

    call avR2(1578, 1, 62, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4995])

    allocate(vertices(686)%branchR2(0:0))
    call avR2(686, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(718)%branchR2(0:0))
    call avR2(718, 0, 18, 1, 0, FaFS2, 0, [2, 1, 0], [nGC_4852])

    allocate(vertices(894)%branchR2(0:0))
    call avR2(894, 0, 20, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(1248)%branchR2(0:0))
    call avR2(1248, 0, 17, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

    allocate(vertices(1579)%branchR2(0:1))
    call avR2(1579, 0, 59, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1579, 1, 60, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(1153)%branchR2(0:0))
    call avR2(1153, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4866, nGC_4867])

    allocate(vertices(1321)%branchR2(0:0))
    call avR2(1321, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4893, nGC_4892])

    allocate(vertices(1078)%branchR2(0:0))
    call avR2(1078, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4881, nGC_4881])

    allocate(vertices(1580)%branchR2(0:1))
    call avR2(1580, 0, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1580, 1, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(52)%branchR2(0:0))
    call avR2(52, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4868, nGC_4869])

    allocate(vertices(1581)%branchR2(0:1))
    call avR2(1581, 0, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5010, nGC_5010,     &
    nGC_5010])

    call avR2(1581, 1, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5011, nGC_5011,     &
    nGC_5011])

    allocate(vertices(1316)%branchR2(0:0))
    call avR2(1316, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

    allocate(vertices(88)%branchR2(0:0))
    call avR2(88, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(1505)%branchR2(0:2))
    call avR2(1505, 0, 42, 1, 0, FaF0, 0, [0, 2, 0], [nGC_4824, nGC_4835,      &
    nGC_4832, nGC_4832])

    call avR2(1505, 1, 42, 1, 0, FaF0, 0, [2, 0, 0], [nGC_4808, nGC_4808,      &
    nGC_4833, nGC_4833])

    call avR2(1505, 2, 42, 1, 0, FaF0, 0, [0, 2, 2], [nGC_4837, nGC_4836,      &
    nGC_4834, nGC_4834])

    allocate(vertices(104)%branchR2(0:0))
    call avR2(104, 0, 21, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(1506)%branchR2(0:2))
    call avR2(1506, 0, 14, 1, 0, FFa0, 0, [0, 2, 0], [nGC_4824, nGC_4822,      &
    nGC_4819, nGC_4819])

    call avR2(1506, 1, 14, 1, 0, FFa0, 0, [2, 0, 0], [nGC_4808, nGC_4808,      &
    nGC_4820, nGC_4820])

    call avR2(1506, 2, 14, 1, 0, FFa0, 0, [0, 2, 2], [nGC_4825, nGC_4823,      &
    nGC_4821, nGC_4821])

    allocate(vertices(1477)%branchR2(0:0))
    call avR2(1477, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4931, nGC_4930])

    allocate(vertices(459)%branchR2(0:0))
    call avR2(459, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(1450)%branchR2(0:0))
    call avR2(1450, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4913, nGC_4912])

    allocate(vertices(1157)%branchR2(0:0))
    call avR2(1157, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4919, nGC_4918])

    allocate(vertices(1582)%branchR2(0:1))
    call avR2(1582, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1582, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(999)%branchR2(0:5))
    call avR2(999, 0, 38, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(999, 1, 38, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_4971, nGC_4969])

    call avR2(999, 2, 38, 1, 0, VFFa0, 0, [1, 2, 2], [nGC_4972, nGC_4970])

    call avR2(999, 3, 39, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(999, 4, 39, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_4966, nGC_4964])

    call avR2(999, 5, 39, 1, 0, VFFa0, 0, [1, 2, 2], [nGC_4967, nGC_4965])

    allocate(vertices(95)%branchR2(0:0))
    call avR2(95, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

    allocate(vertices(1583)%branchR2(0:1))
    call avR2(1583, 0, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1583, 1, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(406)%branchR2(0:0))
    call avR2(406, 0, 20, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(213)%branchR2(0:0))
    call avR2(213, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(890)%branchR2(0:0))
    call avR2(890, 0, 21, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(24)%branchR2(0:0))
    call avR2(24, 0, 17, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4866, nGC_4867])

    allocate(vertices(1357)%branchR2(0:0))
    call avR2(1357, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4856, nGC_4855])

    allocate(vertices(956)%branchR2(0:0))
    call avR2(956, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4882, nGC_4882])

    allocate(vertices(551)%branchR2(0:0))
    call avR2(551, 0, 17, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4860, nGC_4861])

    allocate(vertices(470)%branchR2(0:0))
    call avR2(470, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4874, nGC_4875])

    allocate(vertices(1133)%branchR2(0:5))
    call avR2(1133, 0, 36, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(1133, 1, 36, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4954, nGC_4952])

    call avR2(1133, 2, 36, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4955, nGC_4953])

    call avR2(1133, 3, 37, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(1133, 4, 37, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4950, nGC_4948])

    call avR2(1133, 5, 37, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4951, nGC_4949])

    allocate(vertices(1584)%branchR2(0:1))
    call avR2(1584, 0, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5010, nGC_5010,     &
    nGC_5010])

    call avR2(1584, 1, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5011, nGC_5011,     &
    nGC_5011])

    allocate(vertices(139)%branchR2(0:0))
    call avR2(139, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

    allocate(vertices(285)%branchR2(0:0))
    call avR2(285, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4898, nGC_4899])

    allocate(vertices(28)%branchR2(0:0))
    call avR2(28, 0, 17, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4854, nGC_4853])

    allocate(vertices(1585)%branchR2(0:1))
    call avR2(1585, 0, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1585, 1, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(1586)%branchR2(0:1))
    call avR2(1586, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5010, nGC_5010,     &
    nGC_5010])

    call avR2(1586, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5011, nGC_5011,     &
    nGC_5011])

    allocate(vertices(1160)%branchR2(0:5))
    call avR2(1160, 0, 36, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(1160, 1, 36, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4946, nGC_4943])

    call avR2(1160, 2, 36, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4947, nGC_4944])

    call avR2(1160, 3, 37, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(1160, 4, 37, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4941, nGC_4938])

    call avR2(1160, 5, 37, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4942, nGC_4939])

    allocate(vertices(1587)%branchR2(0:1))
    call avR2(1587, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5008, nGC_5008,     &
    nGC_5008])

    call avR2(1587, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5009, nGC_5009,     &
    nGC_5009])

    allocate(vertices(1588)%branchR2(0:1))
    call avR2(1588, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1588, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(34)%branchR2(0:0))
    call avR2(34, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4925, nGC_4924])

    allocate(vertices(1295)%branchR2(0:0))
    call avR2(1295, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4935, nGC_4934])

    allocate(vertices(698)%branchR2(0:0))
    call avR2(698, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(968)%branchR2(0:0))
    call avR2(968, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4935, nGC_4934])

    allocate(vertices(1589)%branchR2(0:1))
    call avR2(1589, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1589, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(1407)%branchR2(0:5))
    call avR2(1407, 0, 11, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(1407, 1, 11, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4962, nGC_4960])

    call avR2(1407, 2, 11, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4963, nGC_4961])

    call avR2(1407, 3, 12, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(1407, 4, 12, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4958, nGC_4956])

    call avR2(1407, 5, 12, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4959, nGC_4957])

    allocate(vertices(848)%branchR2(0:0))
    call avR2(848, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(447)%branchR2(0:0))
    call avR2(447, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

    allocate(vertices(1590)%branchR2(0:1))
    call avR2(1590, 0, 55, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1590, 1, 56, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(157)%branchR2(0:0))
    call avR2(157, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

    allocate(vertices(1003)%branchR2(0:0))
    call avR2(1003, 0, 20, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

    allocate(vertices(1338)%branchR2(0:0))
    call avR2(1338, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4913, nGC_4912])

    allocate(vertices(1591)%branchR2(0:5))
    call avR2(1591, 0, 65, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5012, nGC_5012,     &
    nGC_5012])

    call avR2(1591, 1, 66, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1591, 2, 67, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1591, 3, 68, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5014, nGC_5014,     &
    nGC_5014])

    call avR2(1591, 4, 69, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1591, 5, 70, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5012, nGC_5012,     &
    nGC_5012])

    allocate(vertices(891)%branchR2(0:0))
    call avR2(891, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(201)%branchR2(0:0))
    call avR2(201, 0, 20, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1044)%branchR2(0:0))
    call avR2(1044, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(332)%branchR2(0:0))
    call avR2(332, 0, 20, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4866, nGC_4867])

    allocate(vertices(930)%branchR2(0:0))
    call avR2(930, 0, 20, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4878, nGC_4878])

    allocate(vertices(801)%branchR2(0:0))
    call avR2(801, 0, 21, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_4866, nGC_4867])

    allocate(vertices(6)%branchR2(0:0))
    call avR2(6, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(1297)%branchR2(0:0))
    call avR2(1297, 0, 19, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1469)%branchR2(0:0))
    call avR2(1469, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4931, nGC_4930])

    allocate(vertices(397)%branchR2(0:0))
    call avR2(397, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4935, nGC_4934])

    allocate(vertices(261)%branchR2(0:0))
    call avR2(261, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(461)%branchR2(0:0))
    call avR2(461, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4886])

    allocate(vertices(1468)%branchR2(0:0))
    call avR2(1468, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4935, nGC_4934])

    allocate(vertices(1592)%branchR2(0:5))
    call avR2(1592, 0, 65, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,     &
    nGC_5017])

    call avR2(1592, 1, 66, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1592, 2, 67, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1592, 3, 68, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5019, nGC_5019,     &
    nGC_5019])

    call avR2(1592, 4, 69, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1592, 5, 70, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,     &
    nGC_5017])

    allocate(vertices(1593)%branchR2(0:1))
    call avR2(1593, 0, 63, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5025, nGC_5025,     &
    nGC_5025])

    call avR2(1593, 1, 64, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5026, nGC_5026,     &
    nGC_5026])

    allocate(vertices(1594)%branchR2(0:1))
    call avR2(1594, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1594, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(1595)%branchR2(0:1))
    call avR2(1595, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1595, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(727)%branchR2(0:0))
    call avR2(727, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(1371)%branchR2(0:0))
    call avR2(1371, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(323)%branchR2(0:0))
    call avR2(323, 0, 20, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(601)%branchR2(0:0))
    call avR2(601, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(1596)%branchR2(0:1))
    call avR2(1596, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5010, nGC_5010,     &
    nGC_5010])

    call avR2(1596, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5011, nGC_5011,     &
    nGC_5011])

    allocate(vertices(1089)%branchR2(0:0))
    call avR2(1089, 0, 19, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(502)%branchR2(0:0))
    call avR2(502, 0, 20, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4876, nGC_4876])

    allocate(vertices(917)%branchR2(0:0))
    call avR2(917, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1597)%branchR2(0:5))
    call avR2(1597, 0, 77, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_5020, nGC_5020,     &
    nGC_5020, nGC_5024])

    call avR2(1597, 1, 78, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5022, nGC_5022,     &
    nGC_5022])

    call avR2(1597, 2, 79, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5022, nGC_5022,     &
    nGC_5022])

    call avR2(1597, 3, 80, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5022, nGC_5022,     &
    nGC_5022])

    call avR2(1597, 4, 81, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5023, nGC_5023,     &
    nGC_5023])

    call avR2(1597, 5, 82, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_5020, nGC_5020,     &
    nGC_5020, nGC_5021])

    allocate(vertices(872)%branchR2(0:0))
    call avR2(872, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(1598)%branchR2(0:1))
    call avR2(1598, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1598, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(1190)%branchR2(0:0))
    call avR2(1190, 0, 21, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_4885, nGC_4885])

    allocate(vertices(789)%branchR2(0:0))
    call avR2(789, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(960)%branchR2(0:5))
    call avR2(960, 0, 36, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(960, 1, 36, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4980, nGC_4978])

    call avR2(960, 2, 36, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4981, nGC_4979])

    call avR2(960, 3, 37, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(960, 4, 37, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4976, nGC_4974])

    call avR2(960, 5, 37, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4977, nGC_4975])

    allocate(vertices(1599)%branchR2(0:1))
    call avR2(1599, 0, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5010, nGC_5010,     &
    nGC_5010])

    call avR2(1599, 1, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5011, nGC_5011,     &
    nGC_5011])

    allocate(vertices(1600)%branchR2(0:1))
    call avR2(1600, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1600, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(348)%branchR2(0:0))
    call avR2(348, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

    allocate(vertices(1058)%branchR2(0:0))
    call avR2(1058, 0, 17, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4878, nGC_4878])

    allocate(vertices(513)%branchR2(0:0))
    call avR2(513, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

    allocate(vertices(429)%branchR2(0:0))
    call avR2(429, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(554)%branchR2(0:0))
    call avR2(554, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(982)%branchR2(0:0))
    call avR2(982, 0, 17, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4886])

    allocate(vertices(987)%branchR2(0:0))
    call avR2(987, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(1325)%branchR2(0:0))
    call avR2(1325, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4931, nGC_4930])

    allocate(vertices(498)%branchR2(0:0))
    call avR2(498, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

    allocate(vertices(1601)%branchR2(0:1))
    call avR2(1601, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5010, nGC_5010,     &
    nGC_5010])

    call avR2(1601, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5011, nGC_5011,     &
    nGC_5011])

    allocate(vertices(1530)%branchR2(0:2))
    call avR2(1530, 0, 14, 1, 0, FFa0, 0, [0, 2, 0], [nGC_4824, nGC_4835,      &
    nGC_4832, nGC_4832])

    call avR2(1530, 1, 14, 1, 0, FFa0, 0, [2, 0, 0], [nGC_4808, nGC_4808,      &
    nGC_4833, nGC_4833])

    call avR2(1530, 2, 14, 1, 0, FFa0, 0, [0, 2, 2], [nGC_4837, nGC_4836,      &
    nGC_4834, nGC_4834])

    allocate(vertices(362)%branchR2(0:0))
    call avR2(362, 0, 10, 1, 0, FFaS2, 0, [2, 1, 0], [nGC_4852])

    allocate(vertices(532)%branchR2(0:0))
    call avR2(532, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

    allocate(vertices(1602)%branchR2(0:1))
    call avR2(1602, 0, 43, 1, 0, VVV2, 0, [2, 1, 1], [nGC_4932])

    call avR2(1602, 1, 44, 1, 0, VVV2, 0, [2, 1, 1], [nGC_4933])

    allocate(vertices(47)%branchR2(0:5))
    call avR2(47, 0, 38, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(47, 1, 38, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_4988, nGC_4986])

    call avR2(47, 2, 38, 1, 0, VFFa0, 0, [1, 2, 2], [nGC_4989, nGC_4987])

    call avR2(47, 3, 39, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(47, 4, 39, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_4984, nGC_4982])

    call avR2(47, 5, 39, 1, 0, VFFa0, 0, [1, 2, 2], [nGC_4985, nGC_4983])

    allocate(vertices(1476)%branchR2(0:0))
    call avR2(1476, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4913, nGC_4912])

    allocate(vertices(796)%branchR2(0:0))
    call avR2(796, 0, 21, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1603)%branchR2(0:1))
    call avR2(1603, 0, 55, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4994])

    call avR2(1603, 1, 56, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4995])

    allocate(vertices(1135)%branchR2(0:0))
    call avR2(1135, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

    allocate(vertices(277)%branchR2(0:0))
    call avR2(277, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4913, nGC_4912])

    allocate(vertices(59)%branchR2(0:0))
    call avR2(59, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(723)%branchR2(0:0))
    call avR2(723, 0, 17, 1, 0, FSFa2, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(1604)%branchR2(0:1))
    call avR2(1604, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5002, nGC_5002,     &
    nGC_5002])

    call avR2(1604, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5003, nGC_5003,     &
    nGC_5003])

    allocate(vertices(1605)%branchR2(0:1))
    call avR2(1605, 0, 57, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1605, 1, 58, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(300)%branchR2(0:0))
    call avR2(300, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

    allocate(vertices(1462)%branchR2(0:0))
    call avR2(1462, 0, 17, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4852])

    allocate(vertices(937)%branchR2(0:0))
    call avR2(937, 0, 21, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_4852])

    allocate(vertices(1418)%branchR2(0:0))
    call avR2(1418, 0, 17, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4853, nGC_4854])

    allocate(vertices(614)%branchR2(0:0))
    call avR2(614, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4854, nGC_4853])

    allocate(vertices(1)%branchR2(0:0))
    call avR2(1, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(1606)%branchR2(0:1))
    call avR2(1606, 0, 55, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4996])

    call avR2(1606, 1, 56, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4997])

    allocate(vertices(808)%branchR2(0:0))
    call avR2(808, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4913, nGC_4912])

    allocate(vertices(884)%branchR2(0:0))
    call avR2(884, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4860, nGC_4861])

    allocate(vertices(610)%branchR2(0:0))
    call avR2(610, 0, 21, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(162)%branchR2(0:0))
    call avR2(162, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4876, nGC_4876])

    allocate(vertices(375)%branchR2(0:0))
    call avR2(375, 0, 20, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(183)%branchR2(0:0))
    call avR2(183, 0, 21, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_4860, nGC_4861])

    allocate(vertices(1447)%branchR2(0:0))
    call avR2(1447, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4874, nGC_4875])

    allocate(vertices(1607)%branchR2(0:1))
    call avR2(1607, 0, 61, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1607, 1, 62, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(598)%branchR2(0:0))
    call avR2(598, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

    allocate(vertices(1406)%branchR2(0:0))
    call avR2(1406, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

    allocate(vertices(1416)%branchR2(0:0))
    call avR2(1416, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(1080)%branchR2(0:0))
    call avR2(1080, 0, 21, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_4879, nGC_4880])

    allocate(vertices(1608)%branchR2(0:1))
    call avR2(1608, 0, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5002, nGC_5002,     &
    nGC_5002])

    call avR2(1608, 1, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5003, nGC_5003,     &
    nGC_5003])

    allocate(vertices(220)%branchR2(0:0))
    call avR2(220, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

    allocate(vertices(1609)%branchR2(0:1))
    call avR2(1609, 0, 45, 1, 0, VVV3, 0, [2, 1, 1], [nGC_4932])

    call avR2(1609, 1, 46, 1, 0, VVV3, 0, [2, 1, 1], [nGC_4933])

    allocate(vertices(770)%branchR2(0:0))
    call avR2(770, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4856, nGC_4855])

    allocate(vertices(1610)%branchR2(0:1))
    call avR2(1610, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5010, nGC_5010,     &
    nGC_5010])

    call avR2(1610, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5011, nGC_5011,     &
    nGC_5011])

    allocate(vertices(1252)%branchR2(0:0))
    call avR2(1252, 0, 17, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4885, nGC_4885])

    allocate(vertices(1611)%branchR2(0:1))
    call avR2(1611, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1611, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(1612)%branchR2(0:1))
    call avR2(1612, 0, 57, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1612, 1, 58, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(748)%branchR2(0:0))
    call avR2(748, 0, 21, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

    allocate(vertices(1215)%branchR2(0:0))
    call avR2(1215, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(380)%branchR2(0:0))
    call avR2(380, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4898, nGC_4899])

    allocate(vertices(1613)%branchR2(0:1))
    call avR2(1613, 0, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1613, 1, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(1299)%branchR2(0:0))
    call avR2(1299, 0, 19, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(887)%branchR2(0:0))
    call avR2(887, 0, 21, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(731)%branchR2(0:0))
    call avR2(731, 0, 17, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4881, nGC_4881])

    allocate(vertices(376)%branchR2(0:0))
    call avR2(376, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1614)%branchR2(0:1))
    call avR2(1614, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1614, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(1022)%branchR2(0:0))
    call avR2(1022, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

    allocate(vertices(4)%branchR2(0:0))
    call avR2(4, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4855, nGC_4856])

    allocate(vertices(972)%branchR2(0:0))
    call avR2(972, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4898, nGC_4899])

    allocate(vertices(1615)%branchR2(0:1))
    call avR2(1615, 0, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1615, 1, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(1185)%branchR2(0:0))
    call avR2(1185, 0, 20, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_4852])

    allocate(vertices(1049)%branchR2(0:0))
    call avR2(1049, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

    allocate(vertices(1616)%branchR2(0:5))
    call avR2(1616, 0, 83, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,     &
    nGC_5017])

    call avR2(1616, 1, 84, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1616, 2, 85, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1616, 3, 86, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1616, 4, 87, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5019, nGC_5019,     &
    nGC_5019])

    call avR2(1616, 5, 88, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,     &
    nGC_5017])

    allocate(vertices(267)%branchR2(0:0))
    call avR2(267, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(1617)%branchR2(0:1))
    call avR2(1617, 0, 57, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5025, nGC_5025,     &
    nGC_5025])

    call avR2(1617, 1, 58, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5026, nGC_5026,     &
    nGC_5026])

    allocate(vertices(693)%branchR2(0:0))
    call avR2(693, 0, 20, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(132)%branchR2(0:0))
    call avR2(132, 0, 20, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4856, nGC_4855])

    allocate(vertices(709)%branchR2(0:0))
    call avR2(709, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4893, nGC_4892])

    allocate(vertices(164)%branchR2(0:0))
    call avR2(164, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

    allocate(vertices(1087)%branchR2(0:0))
    call avR2(1087, 0, 17, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(1618)%branchR2(0:1))
    call avR2(1618, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5010, nGC_5010,     &
    nGC_5010])

    call avR2(1618, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5011, nGC_5011,     &
    nGC_5011])

    allocate(vertices(1619)%branchR2(0:1))
    call avR2(1619, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1619, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(1333)%branchR2(0:0))
    call avR2(1333, 0, 20, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4877, nGC_4877])

    allocate(vertices(1478)%branchR2(0:0))
    call avR2(1478, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4886])

    allocate(vertices(118)%branchR2(0:0))
    call avR2(118, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(562)%branchR2(0:0))
    call avR2(562, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4913, nGC_4912])

    allocate(vertices(1239)%branchR2(0:0))
    call avR2(1239, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4882, nGC_4882])

    allocate(vertices(1620)%branchR2(0:1))
    call avR2(1620, 0, 61, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1620, 1, 62, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(1291)%branchR2(0:0))
    call avR2(1291, 0, 17, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(571)%branchR2(0:0))
    call avR2(571, 0, 21, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_4855, nGC_4856])

    allocate(vertices(792)%branchR2(0:0))
    call avR2(792, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4864, nGC_4865])

    allocate(vertices(593)%branchR2(0:0))
    call avR2(593, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4931, nGC_4930])

    allocate(vertices(448)%branchR2(0:0))
    call avR2(448, 0, 20, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(49)%branchR2(0:0))
    call avR2(49, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4881, nGC_4881])

    allocate(vertices(113)%branchR2(0:0))
    call avR2(113, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

    allocate(vertices(1621)%branchR2(0:1))
    call avR2(1621, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5010, nGC_5010,     &
    nGC_5010])

    call avR2(1621, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5011, nGC_5011,     &
    nGC_5011])

    allocate(vertices(915)%branchR2(0:0))
    call avR2(915, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

    allocate(vertices(895)%branchR2(0:0))
    call avR2(895, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4929, nGC_4928])

    allocate(vertices(1622)%branchR2(0:5))
    call avR2(1622, 0, 83, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5012, nGC_5012,     &
    nGC_5012])

    call avR2(1622, 1, 84, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1622, 2, 85, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1622, 3, 86, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1622, 4, 87, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5014, nGC_5014,     &
    nGC_5014])

    call avR2(1622, 5, 88, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5012, nGC_5012,     &
    nGC_5012])

    allocate(vertices(745)%branchR2(0:0))
    call avR2(745, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

    allocate(vertices(1623)%branchR2(0:1))
    call avR2(1623, 0, 63, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4994])

    call avR2(1623, 1, 64, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4995])

    allocate(vertices(737)%branchR2(0:0))
    call avR2(737, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(565)%branchR2(0:0))
    call avR2(565, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4872, nGC_4873])

    allocate(vertices(995)%branchR2(0:0))
    call avR2(995, 0, 20, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4855, nGC_4856])

    allocate(vertices(957)%branchR2(0:0))
    call avR2(957, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(1624)%branchR2(0:1))
    call avR2(1624, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1624, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(620)%branchR2(0:5))
    call avR2(620, 0, 40, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(620, 1, 40, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4988, nGC_4986])

    call avR2(620, 2, 40, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4989, nGC_4987])

    call avR2(620, 3, 41, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(620, 4, 41, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4984, nGC_4982])

    call avR2(620, 5, 41, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4985, nGC_4983])

    allocate(vertices(369)%branchR2(0:0))
    call avR2(369, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(1625)%branchR2(0:1))
    call avR2(1625, 0, 59, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_5000])

    call avR2(1625, 1, 60, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_5001])

    allocate(vertices(971)%branchR2(0:0))
    call avR2(971, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(1010)%branchR2(0:0))
    call avR2(1010, 0, 19, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(1495)%branchR2(0:0))
    call avR2(1495, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

    allocate(vertices(1626)%branchR2(0:5))
    call avR2(1626, 0, 71, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,     &
    nGC_5017])

    call avR2(1626, 1, 72, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1626, 2, 73, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1626, 3, 74, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1626, 4, 75, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5019, nGC_5019,     &
    nGC_5019])

    call avR2(1626, 5, 76, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,     &
    nGC_5017])

    allocate(vertices(832)%branchR2(0:1))
    call avR2(832, 0, 2, 1, 0, VVV0, 0, [3, 0, 0], [nGC_14078])

    call avR2(832, 1, 3, 1, 0, VVV0, 0, [3, 0, 0], [nGC_14076])

    allocate(vertices(483)%branchR2(0:0))
    call avR2(483, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4879, nGC_4880])

    allocate(vertices(1251)%branchR2(0:0))
    call avR2(1251, 0, 21, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1627)%branchR2(0:1))
    call avR2(1627, 0, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1627, 1, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(994)%branchR2(0:0))
    call avR2(994, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(1180)%branchR2(0:0))
    call avR2(1180, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

    allocate(vertices(100)%branchR2(0:0))
    call avR2(100, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1140)%branchR2(0:0))
    call avR2(1140, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4872, nGC_4873])

    allocate(vertices(1315)%branchR2(0:5))
    call avR2(1315, 0, 11, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(1315, 1, 11, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4946, nGC_4943])

    call avR2(1315, 2, 11, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4947, nGC_4944])

    call avR2(1315, 3, 12, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(1315, 4, 12, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4941, nGC_4938])

    call avR2(1315, 5, 12, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4942, nGC_4939])

    allocate(vertices(387)%branchR2(0:0))
    call avR2(387, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

    allocate(vertices(747)%branchR2(0:0))
    call avR2(747, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

    allocate(vertices(965)%branchR2(0:5))
    call avR2(965, 0, 11, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(965, 1, 11, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4980, nGC_4978])

    call avR2(965, 2, 11, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4981, nGC_4979])

    call avR2(965, 3, 12, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(965, 4, 12, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4976, nGC_4974])

    call avR2(965, 5, 12, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4977, nGC_4975])

    allocate(vertices(1483)%branchR2(0:0))
    call avR2(1483, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4853, nGC_4854])

    allocate(vertices(1628)%branchR2(0:1))
    call avR2(1628, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5008, nGC_5008,     &
    nGC_5008])

    call avR2(1628, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5009, nGC_5009,     &
    nGC_5009])

    allocate(vertices(851)%branchR2(0:0))
    call avR2(851, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

    allocate(vertices(819)%branchR2(0:0))
    call avR2(819, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(322)%branchR2(0:0))
    call avR2(322, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4880, nGC_4879])

    allocate(vertices(1629)%branchR2(0:1))
    call avR2(1629, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1629, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(1630)%branchR2(0:1))
    call avR2(1630, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1630, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(177)%branchR2(0:0))
    call avR2(177, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4854, nGC_4853])

    allocate(vertices(1405)%branchR2(0:0))
    call avR2(1405, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

    allocate(vertices(1631)%branchR2(0:1))
    call avR2(1631, 0, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1631, 1, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(151)%branchR2(0:0))
    call avR2(151, 0, 21, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_4854, nGC_4853])

    allocate(vertices(1632)%branchR2(0:1))
    call avR2(1632, 0, 57, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_4996])

    call avR2(1632, 1, 58, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_4997])

    allocate(vertices(1319)%branchR2(0:0))
    call avR2(1319, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4898, nGC_4899])

    allocate(vertices(755)%branchR2(0:0))
    call avR2(755, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4929, nGC_4928])

    allocate(vertices(533)%branchR2(0:0))
    call avR2(533, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(1633)%branchR2(0:1))
    call avR2(1633, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1633, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(705)%branchR2(0:0))
    call avR2(705, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4937, nGC_4936])

    allocate(vertices(1369)%branchR2(0:0))
    call avR2(1369, 0, 21, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(1389)%branchR2(0:0))
    call avR2(1389, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

    allocate(vertices(958)%branchR2(0:0))
    call avR2(958, 0, 19, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

    allocate(vertices(1121)%branchR2(0:0))
    call avR2(1121, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(1485)%branchR2(0:0))
    call avR2(1485, 0, 17, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1382)%branchR2(0:0))
    call avR2(1382, 0, 19, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(415)%branchR2(0:0))
    call avR2(415, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4919, nGC_4918])

    allocate(vertices(345)%branchR2(0:0))
    call avR2(345, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4858, nGC_4857])

    allocate(vertices(50)%branchR2(0:0))
    call avR2(50, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4935, nGC_4934])

    allocate(vertices(1634)%branchR2(0:1))
    call avR2(1634, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5008, nGC_5008,     &
    nGC_5008])

    call avR2(1634, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5009, nGC_5009,     &
    nGC_5009])

    allocate(vertices(1091)%branchR2(0:0))
    call avR2(1091, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4854, nGC_4853])

    allocate(vertices(368)%branchR2(0:0))
    call avR2(368, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(510)%branchR2(0:0))
    call avR2(510, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(1635)%branchR2(0:1))
    call avR2(1635, 0, 55, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1635, 1, 56, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(1007)%branchR2(0:0))
    call avR2(1007, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(1636)%branchR2(0:1))
    call avR2(1636, 0, 53, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4994])

    call avR2(1636, 1, 54, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4995])

    allocate(vertices(278)%branchR2(0:0))
    call avR2(278, 0, 21, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1637)%branchR2(0:5))
    call avR2(1637, 0, 71, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5012, nGC_5012,     &
    nGC_5012])

    call avR2(1637, 1, 72, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1637, 2, 73, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1637, 3, 74, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1637, 4, 75, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5014, nGC_5014,     &
    nGC_5014])

    call avR2(1637, 5, 76, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5012, nGC_5012,     &
    nGC_5012])

    allocate(vertices(142)%branchR2(0:0))
    call avR2(142, 0, 21, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_4878, nGC_4878])

    allocate(vertices(1638)%branchR2(0:1))
    call avR2(1638, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1638, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(742)%branchR2(0:0))
    call avR2(742, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(1246)%branchR2(0:0))
    call avR2(1246, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4853, nGC_4854])

    allocate(vertices(22)%branchR2(0:0))
    call avR2(22, 0, 20, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4880, nGC_4879])

    allocate(vertices(129)%branchR2(0:0))
    call avR2(129, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(187)%branchR2(0:0))
    call avR2(187, 0, 20, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(232)%branchR2(0:0))
    call avR2(232, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4925, nGC_4924])

    allocate(vertices(302)%branchR2(0:0))
    call avR2(302, 0, 21, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_4871, nGC_4870])

    allocate(vertices(1173)%branchR2(0:0))
    call avR2(1173, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4855, nGC_4856])

    allocate(vertices(682)%branchR2(0:0))
    call avR2(682, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4893, nGC_4892])

    allocate(vertices(1523)%branchR2(0:1))
    call avR2(1523, 0, 15, 1, 0, VV0, 0, [2, 0, 0], [nGC_4845, nGC_4844,       &
    nGC_4846])

    call avR2(1523, 1, 16, 1, 0, VV0, 0, [2, 0, 0], [nGC_4848, nGC_4847,       &
    nGC_4849])

    allocate(vertices(344)%branchR2(0:0))
    call avR2(344, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4929, nGC_4928])

    allocate(vertices(392)%branchR2(0:0))
    call avR2(392, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4935, nGC_4934])

    allocate(vertices(1056)%branchR2(0:0))
    call avR2(1056, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

    allocate(vertices(1035)%branchR2(0:0))
    call avR2(1035, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1639)%branchR2(0:1))
    call avR2(1639, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1639, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(1387)%branchR2(0:0))
    call avR2(1387, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4887])

    allocate(vertices(1640)%branchR2(0:1))
    call avR2(1640, 0, 63, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4994])

    call avR2(1640, 1, 64, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4995])

    allocate(vertices(973)%branchR2(0:0))
    call avR2(973, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4857, nGC_4858])

    allocate(vertices(581)%branchR2(0:5))
    call avR2(581, 0, 36, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(581, 1, 36, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4971, nGC_4969])

    call avR2(581, 2, 36, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4972, nGC_4970])

    call avR2(581, 3, 37, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(581, 4, 37, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4966, nGC_4964])

    call avR2(581, 5, 37, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4967, nGC_4965])

    allocate(vertices(173)%branchR2(0:0))
    call avR2(173, 0, 19, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4852])

    allocate(vertices(804)%branchR2(0:0))
    call avR2(804, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4919, nGC_4918])

    allocate(vertices(1641)%branchR2(0:1))
    call avR2(1641, 0, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1641, 1, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(325)%branchR2(0:0))
    call avR2(325, 0, 21, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4886])

    allocate(vertices(1474)%branchR2(0:0))
    call avR2(1474, 0, 21, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4886])

    allocate(vertices(893)%branchR2(0:0))
    call avR2(893, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(45)%branchR2(0:0))
    call avR2(45, 0, 19, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1306)%branchR2(0:0))
    call avR2(1306, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4877, nGC_4877])

    allocate(vertices(370)%branchR2(0:0))
    call avR2(370, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

    allocate(vertices(361)%branchR2(0:0))
    call avR2(361, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

    allocate(vertices(1275)%branchR2(0:5))
    call avR2(1275, 0, 11, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(1275, 1, 11, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4954, nGC_4952])

    call avR2(1275, 2, 11, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4955, nGC_4953])

    call avR2(1275, 3, 12, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(1275, 4, 12, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4950, nGC_4948])

    call avR2(1275, 5, 12, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4951, nGC_4949])

    allocate(vertices(710)%branchR2(0:0))
    call avR2(710, 0, 17, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4887])

    allocate(vertices(268)%branchR2(0:5))
    call avR2(268, 0, 32, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(268, 1, 32, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4962, nGC_4960])

    call avR2(268, 2, 32, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4963, nGC_4961])

    call avR2(268, 3, 33, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(268, 4, 33, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4958, nGC_4956])

    call avR2(268, 5, 33, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4959, nGC_4957])

    allocate(vertices(523)%branchR2(0:5))
    call avR2(523, 0, 11, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(523, 1, 11, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4971, nGC_4969])

    call avR2(523, 2, 11, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4972, nGC_4970])

    call avR2(523, 3, 12, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(523, 4, 12, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4966, nGC_4964])

    call avR2(523, 5, 12, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4967, nGC_4965])

    allocate(vertices(1642)%branchR2(0:1))
    call avR2(1642, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1642, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(560)%branchR2(0:0))
    call avR2(560, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

    allocate(vertices(508)%branchR2(0:0))
    call avR2(508, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4853, nGC_4854])

    allocate(vertices(38)%branchR2(0:0))
    call avR2(38, 0, 17, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

    allocate(vertices(572)%branchR2(0:5))
    call avR2(572, 0, 38, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(572, 1, 38, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_4980, nGC_4978])

    call avR2(572, 2, 38, 1, 0, VFFa0, 0, [1, 2, 2], [nGC_4981, nGC_4979])

    call avR2(572, 3, 39, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(572, 4, 39, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_4976, nGC_4974])

    call avR2(572, 5, 39, 1, 0, VFFa0, 0, [1, 2, 2], [nGC_4977, nGC_4975])

    allocate(vertices(430)%branchR2(0:0))
    call avR2(430, 0, 17, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4855, nGC_4856])

    allocate(vertices(1273)%branchR2(0:5))
    call avR2(1273, 0, 11, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(1273, 1, 11, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4988, nGC_4986])

    call avR2(1273, 2, 11, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4989, nGC_4987])

    call avR2(1273, 3, 12, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(1273, 4, 12, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4984, nGC_4982])

    call avR2(1273, 5, 12, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4985, nGC_4983])

    allocate(vertices(676)%branchR2(0:0))
    call avR2(676, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(1214)%branchR2(0:0))
    call avR2(1214, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(536)%branchR2(0:0))
    call avR2(536, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4857, nGC_4858])

    allocate(vertices(1120)%branchR2(0:0))
    call avR2(1120, 0, 20, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4872, nGC_4873])

    allocate(vertices(695)%branchR2(0:0))
    call avR2(695, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4868, nGC_4869])

    allocate(vertices(179)%branchR2(0:0))
    call avR2(179, 0, 17, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4858, nGC_4857])

    allocate(vertices(490)%branchR2(0:0))
    call avR2(490, 0, 20, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1388)%branchR2(0:0))
    call avR2(1388, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4860, nGC_4861])

    allocate(vertices(1453)%branchR2(0:0))
    call avR2(1453, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(840)%branchR2(0:0))
    call avR2(840, 0, 10, 1, 0, FFaS1, 0, [2, 1, 0], [nGC_4852])

    allocate(vertices(1643)%branchR2(0:1))
    call avR2(1643, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1643, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(324)%branchR2(0:0))
    call avR2(324, 0, 21, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_4880, nGC_4879])

    allocate(vertices(1027)%branchR2(0:0))
    call avR2(1027, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(1065)%branchR2(0:5))
    call avR2(1065, 0, 40, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(1065, 1, 40, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4962, nGC_4960])

    call avR2(1065, 2, 40, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4963, nGC_4961])

    call avR2(1065, 3, 41, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(1065, 4, 41, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4958, nGC_4956])

    call avR2(1065, 5, 41, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4959, nGC_4957])

    allocate(vertices(1644)%branchR2(0:1))
    call avR2(1644, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1644, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(102)%branchR2(0:0))
    call avR2(102, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(580)%branchR2(0:0))
    call avR2(580, 0, 17, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

    allocate(vertices(1444)%branchR2(0:0))
    call avR2(1444, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4915, nGC_4914])

    allocate(vertices(1264)%branchR2(0:0))
    call avR2(1264, 0, 19, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

    allocate(vertices(1645)%branchR2(0:1))
    call avR2(1645, 0, 61, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_5000])

    call avR2(1645, 1, 62, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_5001])

    allocate(vertices(997)%branchR2(0:0))
    call avR2(997, 0, 17, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4874, nGC_4875])

    allocate(vertices(1186)%branchR2(0:0))
    call avR2(1186, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(829)%branchR2(0:0))
    call avR2(829, 0, 20, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1118)%branchR2(0:0))
    call avR2(1118, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4925, nGC_4924])

    allocate(vertices(1105)%branchR2(0:0))
    call avR2(1105, 0, 20, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4887])

    allocate(vertices(1057)%branchR2(0:0))
    call avR2(1057, 0, 21, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_4882, nGC_4882])

    allocate(vertices(711)%branchR2(0:0))
    call avR2(711, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

    allocate(vertices(1318)%branchR2(0:0))
    call avR2(1318, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4893, nGC_4892])

    allocate(vertices(1028)%branchR2(0:0))
    call avR2(1028, 0, 17, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(1172)%branchR2(0:0))
    call avR2(1172, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4898, nGC_4899])

    allocate(vertices(1646)%branchR2(0:5))
    call avR2(1646, 0, 65, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_5020, nGC_5020,     &
    nGC_5020, nGC_5021])

    call avR2(1646, 1, 66, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5022, nGC_5022,     &
    nGC_5022])

    call avR2(1646, 2, 67, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5022, nGC_5022,     &
    nGC_5022])

    call avR2(1646, 3, 68, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5023, nGC_5023,     &
    nGC_5023])

    call avR2(1646, 4, 69, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5022, nGC_5022,     &
    nGC_5022])

    call avR2(1646, 5, 70, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_5020, nGC_5020,     &
    nGC_5020, nGC_5024])

    allocate(vertices(1159)%branchR2(0:0))
    call avR2(1159, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4855, nGC_4856])

    allocate(vertices(1529)%branchR2(0:2))
    call avR2(1529, 0, 14, 1, 0, FFa0, 0, [0, 2, 0], [nGC_4811, nGC_4828,      &
    nGC_4830, nGC_4830])

    call avR2(1529, 1, 14, 1, 0, FFa0, 0, [2, 0, 0], [nGC_4808, nGC_4808,      &
    nGC_4826, nGC_4826])

    call avR2(1529, 2, 14, 1, 0, FFa0, 0, [0, 2, 2], [nGC_4831, nGC_4829,      &
    nGC_4827, nGC_4827])

    allocate(vertices(1647)%branchR2(0:1))
    call avR2(1647, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1647, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(67)%branchR2(0:0))
    call avR2(67, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4852])

    allocate(vertices(1362)%branchR2(0:0))
    call avR2(1362, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(26)%branchR2(0:0))
    call avR2(26, 0, 19, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4852])

    allocate(vertices(1376)%branchR2(0:0))
    call avR2(1376, 0, 19, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(1482)%branchR2(0:0))
    call avR2(1482, 0, 20, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4868, nGC_4869])

    allocate(vertices(703)%branchR2(0:0))
    call avR2(703, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1648)%branchR2(0:1))
    call avR2(1648, 0, 61, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4994])

    call avR2(1648, 1, 62, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4995])

    allocate(vertices(636)%branchR2(0:0))
    call avR2(636, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4878, nGC_4878])

    allocate(vertices(433)%branchR2(0:0))
    call avR2(433, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(724)%branchR2(0:0))
    call avR2(724, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

    allocate(vertices(10)%branchR2(0:0))
    call avR2(10, 0, 20, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

    allocate(vertices(841)%branchR2(0:0))
    call avR2(841, 0, 20, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4887])

    allocate(vertices(308)%branchR2(0:0))
    call avR2(308, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4929, nGC_4928])

    allocate(vertices(310)%branchR2(0:0))
    call avR2(310, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

    allocate(vertices(155)%branchR2(0:0))
    call avR2(155, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4864, nGC_4865])

    allocate(vertices(217)%branchR2(0:0))
    call avR2(217, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4913, nGC_4912])

    allocate(vertices(1040)%branchR2(0:0))
    call avR2(1040, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4876, nGC_4876])

    allocate(vertices(1649)%branchR2(0:1))
    call avR2(1649, 0, 57, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_5000])

    call avR2(1649, 1, 58, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_5001])

    allocate(vertices(1244)%branchR2(0:0))
    call avR2(1244, 0, 19, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(684)%branchR2(0:0))
    call avR2(684, 0, 19, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4886])

    allocate(vertices(1488)%branchR2(0:0))
    call avR2(1488, 0, 19, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4887])

    allocate(vertices(1255)%branchR2(0:0))
    call avR2(1255, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

    allocate(vertices(1650)%branchR2(0:1))
    call avR2(1650, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1650, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(1213)%branchR2(0:0))
    call avR2(1213, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4913, nGC_4912])

    allocate(vertices(642)%branchR2(0:0))
    call avR2(642, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(1651)%branchR2(0:1))
    call avR2(1651, 0, 45, 1, 0, VVS0, 0, [2, 1, 0], [nGC_4883])

    call avR2(1651, 1, 46, 1, 0, VVS0, 0, [2, 1, 0], [nGC_4884])

    allocate(vertices(643)%branchR2(0:0))
    call avR2(643, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

    allocate(vertices(627)%branchR2(0:0))
    call avR2(627, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4880, nGC_4879])

    allocate(vertices(269)%branchR2(0:0))
    call avR2(269, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4898, nGC_4899])

    allocate(vertices(558)%branchR2(0:0))
    call avR2(558, 0, 21, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(391)%branchR2(0:0))
    call avR2(391, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

    allocate(vertices(419)%branchR2(0:5))
    call avR2(419, 0, 32, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(419, 1, 32, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4980, nGC_4978])

    call avR2(419, 2, 32, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4981, nGC_4979])

    call avR2(419, 3, 33, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(419, 4, 33, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4976, nGC_4974])

    call avR2(419, 5, 33, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4977, nGC_4975])

    allocate(vertices(211)%branchR2(0:0))
    call avR2(211, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

    allocate(vertices(1303)%branchR2(0:0))
    call avR2(1303, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

    allocate(vertices(1071)%branchR2(0:0))
    call avR2(1071, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(401)%branchR2(0:0))
    call avR2(401, 0, 17, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1381)%branchR2(0:0))
    call avR2(1381, 0, 10, 1, 0, FFaS1, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(1216)%branchR2(0:0))
    call avR2(1216, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4915, nGC_4914])

    allocate(vertices(339)%branchR2(0:0))
    call avR2(339, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4893, nGC_4892])

    allocate(vertices(282)%branchR2(0:0))
    call avR2(282, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(1392)%branchR2(0:0))
    call avR2(1392, 0, 19, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(1652)%branchR2(0:1))
    call avR2(1652, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1652, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(275)%branchR2(0:0))
    call avR2(275, 0, 20, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4886])

    allocate(vertices(216)%branchR2(0:0))
    call avR2(216, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(1653)%branchR2(0:1))
    call avR2(1653, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5010, nGC_5010,     &
    nGC_5010])

    call avR2(1653, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5011, nGC_5011,     &
    nGC_5011])

    allocate(vertices(852)%branchR2(0:5))
    call avR2(852, 0, 34, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(852, 1, 34, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4988, nGC_4986])

    call avR2(852, 2, 34, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4989, nGC_4987])

    call avR2(852, 3, 35, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(852, 4, 35, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4984, nGC_4982])

    call avR2(852, 5, 35, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4985, nGC_4983])

    allocate(vertices(272)%branchR2(0:0))
    call avR2(272, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4913, nGC_4912])

    allocate(vertices(1304)%branchR2(0:0))
    call avR2(1304, 0, 17, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(122)%branchR2(0:0))
    call avR2(122, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4893, nGC_4892])

    allocate(vertices(1196)%branchR2(0:0))
    call avR2(1196, 0, 19, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(1209)%branchR2(0:0))
    call avR2(1209, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4919, nGC_4918])

    allocate(vertices(1654)%branchR2(0:1))
    call avR2(1654, 0, 57, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_4994])

    call avR2(1654, 1, 58, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_4995])

    allocate(vertices(978)%branchR2(0:0))
    call avR2(978, 0, 20, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4886])

    allocate(vertices(1655)%branchR2(0:1))
    call avR2(1655, 0, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1655, 1, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(465)%branchR2(0:0))
    call avR2(465, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

    allocate(vertices(478)%branchR2(0:0))
    call avR2(478, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

    allocate(vertices(1656)%branchR2(0:1))
    call avR2(1656, 0, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1656, 1, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(1263)%branchR2(0:0))
    call avR2(1263, 0, 19, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4886])

    allocate(vertices(1390)%branchR2(0:0))
    call avR2(1390, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4871, nGC_4870])

    allocate(vertices(746)%branchR2(0:0))
    call avR2(746, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(303)%branchR2(0:0))
    call avR2(303, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4856, nGC_4855])

    allocate(vertices(1164)%branchR2(0:0))
    call avR2(1164, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4915, nGC_4914])

    allocate(vertices(149)%branchR2(0:0))
    call avR2(149, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

    allocate(vertices(262)%branchR2(0:0))
    call avR2(262, 0, 21, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(354)%branchR2(0:0))
    call avR2(354, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

    allocate(vertices(908)%branchR2(0:0))
    call avR2(908, 0, 20, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(530)%branchR2(0:0))
    call avR2(530, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4915, nGC_4914])

    allocate(vertices(1365)%branchR2(0:0))
    call avR2(1365, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4880, nGC_4879])

    allocate(vertices(442)%branchR2(0:0))
    call avR2(442, 0, 17, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4872, nGC_4873])

    allocate(vertices(1657)%branchR2(0:1))
    call avR2(1657, 0, 59, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4994])

    call avR2(1657, 1, 60, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4995])

    allocate(vertices(954)%branchR2(0:0))
    call avR2(954, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(1400)%branchR2(0:0))
    call avR2(1400, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4929, nGC_4928])

    allocate(vertices(57)%branchR2(0:0))
    call avR2(57, 0, 17, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4856, nGC_4855])

    allocate(vertices(849)%branchR2(0:0))
    call avR2(849, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4872, nGC_4873])

    allocate(vertices(1489)%branchR2(0:0))
    call avR2(1489, 0, 17, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(1658)%branchR2(0:1))
    call avR2(1658, 0, 55, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_5000])

    call avR2(1658, 1, 56, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_5001])

    allocate(vertices(1521)%branchR2(0:2))
    call avR2(1521, 0, 42, 1, 0, FaF0, 0, [0, 2, 0], [nGC_4811, nGC_4828,      &
    nGC_4830, nGC_4830])

    call avR2(1521, 1, 42, 1, 0, FaF0, 0, [2, 0, 0], [nGC_4808, nGC_4808,      &
    nGC_4826, nGC_4826])

    call avR2(1521, 2, 42, 1, 0, FaF0, 0, [0, 2, 2], [nGC_4831, nGC_4829,      &
    nGC_4827, nGC_4827])

    allocate(vertices(402)%branchR2(0:0))
    call avR2(402, 0, 17, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(1455)%branchR2(0:0))
    call avR2(1455, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4877, nGC_4877])

    allocate(vertices(1659)%branchR2(0:1))
    call avR2(1659, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1659, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(41)%branchR2(0:0))
    call avR2(41, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4925, nGC_4924])

    allocate(vertices(1660)%branchR2(0:1))
    call avR2(1660, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1660, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(570)%branchR2(0:0))
    call avR2(570, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1661)%branchR2(0:1))
    call avR2(1661, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1661, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(165)%branchR2(0:0))
    call avR2(165, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4935, nGC_4934])

    allocate(vertices(1262)%branchR2(0:0))
    call avR2(1262, 0, 21, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

    allocate(vertices(519)%branchR2(0:0))
    call avR2(519, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(458)%branchR2(0:0))
    call avR2(458, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4877, nGC_4877])

    allocate(vertices(1662)%branchR2(0:1))
    call avR2(1662, 0, 63, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4996])

    call avR2(1662, 1, 64, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4997])

    allocate(vertices(692)%branchR2(0:0))
    call avR2(692, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(209)%branchR2(0:0))
    call avR2(209, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(1421)%branchR2(0:0))
    call avR2(1421, 0, 19, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(147)%branchR2(0:0))
    call avR2(147, 0, 17, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4868, nGC_4869])

    allocate(vertices(208)%branchR2(0:0))
    call avR2(208, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

    allocate(vertices(63)%branchR2(0:0))
    call avR2(63, 0, 20, 1, 0, SFFa1, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(1663)%branchR2(0:1))
    call avR2(1663, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5002, nGC_5002,     &
    nGC_5002])

    call avR2(1663, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5003, nGC_5003,     &
    nGC_5003])

    allocate(vertices(1664)%branchR2(0:1))
    call avR2(1664, 0, 53, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1664, 1, 54, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(86)%branchR2(0:0))
    call avR2(86, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4935, nGC_4934])

    allocate(vertices(1241)%branchR2(0:0))
    call avR2(1241, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

    allocate(vertices(304)%branchR2(0:5))
    call avR2(304, 0, 32, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(304, 1, 32, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4946, nGC_4943])

    call avR2(304, 2, 32, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4947, nGC_4944])

    call avR2(304, 3, 33, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(304, 4, 33, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4941, nGC_4938])

    call avR2(304, 5, 33, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4942, nGC_4939])

    allocate(vertices(1465)%branchR2(0:0))
    call avR2(1465, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4858, nGC_4857])

    allocate(vertices(931)%branchR2(0:0))
    call avR2(931, 0, 21, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_4877, nGC_4877])

    allocate(vertices(1665)%branchR2(0:1))
    call avR2(1665, 0, 63, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1665, 1, 64, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(1666)%branchR2(0:1))
    call avR2(1666, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1666, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(626)%branchR2(0:0))
    call avR2(626, 0, 19, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4893, nGC_4892])

    allocate(vertices(1667)%branchR2(0:1))
    call avR2(1667, 0, 55, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4994])

    call avR2(1667, 1, 56, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4995])

    allocate(vertices(137)%branchR2(0:0))
    call avR2(137, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(1668)%branchR2(0:1))
    call avR2(1668, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5002, nGC_5002,     &
    nGC_5002])

    call avR2(1668, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5003, nGC_5003,     &
    nGC_5003])

    allocate(vertices(835)%branchR2(0:0))
    call avR2(835, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4858, nGC_4857])

    allocate(vertices(1669)%branchR2(0:1))
    call avR2(1669, 0, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5010, nGC_5010,     &
    nGC_5010])

    call avR2(1669, 1, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5011, nGC_5011,     &
    nGC_5011])

    allocate(vertices(1282)%branchR2(0:0))
    call avR2(1282, 0, 17, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(952)%branchR2(0:0))
    call avR2(952, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4864, nGC_4865])

    allocate(vertices(1123)%branchR2(0:0))
    call avR2(1123, 0, 19, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1670)%branchR2(0:1))
    call avR2(1670, 0, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1670, 1, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(634)%branchR2(0:5))
    call avR2(634, 0, 34, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(634, 1, 34, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4946, nGC_4943])

    call avR2(634, 2, 34, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4947, nGC_4944])

    call avR2(634, 3, 35, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(634, 4, 35, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4941, nGC_4938])

    call avR2(634, 5, 35, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4942, nGC_4939])

    allocate(vertices(1671)%branchR2(0:1))
    call avR2(1671, 0, 53, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4996])

    call avR2(1671, 1, 54, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4997])

    allocate(vertices(1672)%branchR2(0:1))
    call avR2(1672, 0, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1672, 1, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(799)%branchR2(0:0))
    call avR2(799, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(469)%branchR2(0:0))
    call avR2(469, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(1673)%branchR2(0:1))
    call avR2(1673, 0, 63, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_5000])

    call avR2(1673, 1, 64, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_5001])

    allocate(vertices(333)%branchR2(0:0))
    call avR2(333, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(1415)%branchR2(0:0))
    call avR2(1415, 0, 21, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_4872, nGC_4873])

    allocate(vertices(1070)%branchR2(0:0))
    call avR2(1070, 0, 21, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4887])

    allocate(vertices(1472)%branchR2(0:0))
    call avR2(1472, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4879, nGC_4880])

    allocate(vertices(791)%branchR2(0:0))
    call avR2(791, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4881, nGC_4881])

    allocate(vertices(1514)%branchR2(0:2))
    call avR2(1514, 0, 14, 1, 0, FFa0, 0, [0, 2, 0], [nGC_4824, nGC_4841,      &
    nGC_4838, nGC_4838])

    call avR2(1514, 1, 14, 1, 0, FFa0, 0, [2, 0, 0], [nGC_4808, nGC_4808,      &
    nGC_4839, nGC_4839])

    call avR2(1514, 2, 14, 1, 0, FFa0, 0, [0, 2, 2], [nGC_4843, nGC_4842,      &
    nGC_4840, nGC_4840])

    allocate(vertices(1342)%branchR2(0:0))
    call avR2(1342, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

    allocate(vertices(1225)%branchR2(0:0))
    call avR2(1225, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4937, nGC_4936])

    allocate(vertices(1283)%branchR2(0:0))
    call avR2(1283, 0, 20, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(156)%branchR2(0:0))
    call avR2(156, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(1674)%branchR2(0:1))
    call avR2(1674, 0, 59, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5025, nGC_5025,     &
    nGC_5025])

    call avR2(1674, 1, 60, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5026, nGC_5026,     &
    nGC_5026])

    allocate(vertices(46)%branchR2(0:0))
    call avR2(46, 0, 17, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1163)%branchR2(0:0))
    call avR2(1163, 0, 17, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4886])

    allocate(vertices(1432)%branchR2(0:0))
    call avR2(1432, 0, 19, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(974)%branchR2(0:0))
    call avR2(974, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4935, nGC_4934])

    allocate(vertices(1481)%branchR2(0:0))
    call avR2(1481, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4898, nGC_4899])

    allocate(vertices(878)%branchR2(0:0))
    call avR2(878, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4915, nGC_4914])

    allocate(vertices(1675)%branchR2(0:1))
    call avR2(1675, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1675, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(1305)%branchR2(0:0))
    call avR2(1305, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4919, nGC_4918])

    allocate(vertices(653)%branchR2(0:0))
    call avR2(653, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4860, nGC_4861])

    allocate(vertices(379)%branchR2(0:0))
    call avR2(379, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4866, nGC_4867])

    allocate(vertices(1676)%branchR2(0:1))
    call avR2(1676, 0, 61, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5025, nGC_5025,     &
    nGC_5025])

    call avR2(1676, 1, 62, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5026, nGC_5026,     &
    nGC_5026])

    allocate(vertices(685)%branchR2(0:0))
    call avR2(685, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4874, nGC_4875])

    allocate(vertices(265)%branchR2(0:5))
    call avR2(265, 0, 40, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(265, 1, 40, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4946, nGC_4943])

    call avR2(265, 2, 40, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4947, nGC_4944])

    call avR2(265, 3, 41, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(265, 4, 41, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4941, nGC_4938])

    call avR2(265, 5, 41, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4942, nGC_4939])

    allocate(vertices(359)%branchR2(0:0))
    call avR2(359, 0, 19, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4871, nGC_4870])

    allocate(vertices(860)%branchR2(0:0))
    call avR2(860, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(1500)%branchR2(0:2))
    call avR2(1500, 0, 42, 1, 0, FaF0, 0, [0, 2, 0], [nGC_4824, nGC_4822,      &
    nGC_4819, nGC_4819])

    call avR2(1500, 1, 42, 1, 0, FaF0, 0, [2, 0, 0], [nGC_4808, nGC_4808,      &
    nGC_4820, nGC_4820])

    call avR2(1500, 2, 42, 1, 0, FaF0, 0, [0, 2, 2], [nGC_4825, nGC_4823,      &
    nGC_4821, nGC_4821])

    allocate(vertices(295)%branchR2(0:0))
    call avR2(295, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4893, nGC_4892])

    allocate(vertices(1268)%branchR2(0:0))
    call avR2(1268, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4879, nGC_4880])

    allocate(vertices(1677)%branchR2(0:1))
    call avR2(1677, 0, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1677, 1, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(875)%branchR2(0:0))
    call avR2(875, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

    allocate(vertices(752)%branchR2(0:0))
    call avR2(752, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(1678)%branchR2(0:1))
    call avR2(1678, 0, 53, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1678, 1, 54, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(649)%branchR2(0:0))
    call avR2(649, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

    allocate(vertices(993)%branchR2(0:0))
    call avR2(993, 0, 21, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(1679)%branchR2(0:1))
    call avR2(1679, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4998, nGC_4998,     &
    nGC_4998])

    call avR2(1679, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4999, nGC_4999,     &
    nGC_4999])

    allocate(vertices(1363)%branchR2(0:0))
    call avR2(1363, 0, 20, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4874, nGC_4875])

    allocate(vertices(1005)%branchR2(0:0))
    call avR2(1005, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4937, nGC_4936])

    allocate(vertices(1454)%branchR2(0:0))
    call avR2(1454, 0, 18, 1, 0, FaFS2, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(521)%branchR2(0:0))
    call avR2(521, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

    allocate(vertices(504)%branchR2(0:0))
    call avR2(504, 0, 17, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(1680)%branchR2(0:1))
    call avR2(1680, 0, 59, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4996])

    call avR2(1680, 1, 60, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4997])

    allocate(vertices(1088)%branchR2(0:0))
    call avR2(1088, 0, 17, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

    allocate(vertices(1375)%branchR2(0:5))
    call avR2(1375, 0, 32, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(1375, 1, 32, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4988, nGC_4986])

    call avR2(1375, 2, 32, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4989, nGC_4987])

    call avR2(1375, 3, 33, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(1375, 4, 33, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4984, nGC_4982])

    call avR2(1375, 5, 33, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4985, nGC_4983])

    allocate(vertices(29)%branchR2(0:0))
    call avR2(29, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(546)%branchR2(0:0))
    call avR2(546, 0, 21, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4893, nGC_4892])

    allocate(vertices(242)%branchR2(0:0))
    call avR2(242, 0, 20, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(1681)%branchR2(0:5))
    call avR2(1681, 0, 77, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,     &
    nGC_5017])

    call avR2(1681, 1, 78, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1681, 2, 79, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1681, 3, 80, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1681, 4, 81, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5019, nGC_5019,     &
    nGC_5019])

    call avR2(1681, 5, 82, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,     &
    nGC_5017])

  end subroutine fill_vertices_mdl5
end module vertices_info5
